%define _noVersionedDependencies        1

%define ver 0.60.6
%define rel 2

Summary: A spelling checker.
Summary(ja): スペルチェッカ
Name: aspell
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: LGPL
Group: Applications/Text
URL: http://aspell.net/
Source0: ftp://ftp.gnu.org/gnu/aspell/aspell-%{version}.tar.gz
Source10: %{name}-install.sh
Source11: %{name}-remove.sh
Source12: %{name}-init.el
Source100: aspell.conf
Patch1003: aspell-0.60.3-install_info.patch
Patch1005: aspell-0.60.5-fileconflict.patch
Patch1007: aspell-0.60.5-pspell_conf.patch
Patch1008: aspell-0.60.6-zero.patch

Buildrequires: gcc-c++
Requires(post,preun): %{_syssbindir}/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: pspell
Obsoletes: ispell, pspell


%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It can
either be used as a library or as an independent spell checker. Its main
feature is that it does a much better job of coming up with possible
suggestions than just about any other spell checker out there for the
English language, including Ispell and Microsoft Word. It also has many
other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more
than one Aspell process is open at once.


%package	devel
Summary: Static libraries and header files for Aspell development.
Group: Development/Libraries
Requires: aspell = %{version}-%{release}
Obsoletes: pspell-devel

%description	devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development.


%package        el
Summary: Emacs lisp for aspell
Group: Applications/Editors/Emacs
Requires: aspell = %{version}-%{release}
Requires: emacsen-common

%description    el
Aspell is a spelling checker. The aspell-el package includes the
elisp for using aspell within emacsen.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch1003 -p1 -b .iinfo
%patch1005 -p1 -b .fc
%patch1007 -p1 -b .mlib
%patch1008 -p1 -b .zero
iconv -f windows-1252 -t utf-8 manual/aspell.info -o manual/aspell.info.aux
mv manual/aspell.info.aux manual/aspell.info

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall

mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-*/ispell ${RPM_BUILD_ROOT}%{_bindir}
mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-*/spell ${RPM_BUILD_ROOT}%{_bindir}

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libaspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/*-filter.la

# Add by H.Irokawa(2004.02.23)
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 %{SOURCE100} $RPM_BUILD_ROOT%{_sysconfdir}/aspell.conf

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/aspell
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/emacsen-common/packages/install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/emacsen-common/packages/remove

install -m 644 %{SOURCE12} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/%{name}

# install  script( bytecompile el and install elc , remove )

%_installemacsenscript %{name} %{SOURCE10}

%_removeemacsenscript  %{name} %{SOURCE11}

rm -f $RPM_BUILD_ROOT/usr/share/doc/aspell/manual.aux

%find_lang %{name}
   
%post
/sbin/ldconfig
# info
if [ "$1" = 0 ] ; then
%{_syssbindir}/install-info %{_infodir}/aspell.info.gz %{_infodir}/dir
fi

%post devel
/sbin/ldconfig
# info
if [ "$1" = 0 ] ; then
%{_syssbindir}/install-info %{_infodir}/aspell-dev.info.gz %{_infodir}/dir
fi

%post el
if [ "$1" = 2 ]; then

  %_emacsenPackageRemove %{name}

fi

%_addemacsenlist %{name}

%_emacsenPackageInstall %{name}
       

%postun
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
%{_syssbindir}/install-info --delete %{_infodir}/aspell.info.gz %{_infodir}/dir
fi

%preun devel
if [ $1 = 0 ]; then
%{_syssbindir}/install-info --delete %{_infodir}/aspell-dev.info.gz %{_infodir}/dir
fi

%preun el
if [ "$1" = 0 ]; then

  %_emacsenPackageRemove %{name}

  %_removeemacsenlist %{name}

fi


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/aspell.conf
%doc README TODO
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/aspell-*
%{_infodir}/aspell.info*
%{_mandir}/man1/*

%files		devel
%defattr(-,root,root)
%{_includedir}/aspell.h
%{_includedir}/pspell
%{_infodir}/aspell-dev.info*
%{_libdir}/lib*spell.so
%{_libdir}/pkgconfig/aspell.pc

%files          el
%{_datadir}/emacs/site-lisp/%{name}/
%{_prefix}/lib/emacsen-common/packages/install/%{name}
%{_prefix}/lib/emacsen-common/packages/remove/%{name}

%changelog
* Tue May  3 2011 IWAI, Masaharu <iwai@alib.jp> 0.60.6-2
- update aspell.conf (Source100)

* Sat Apr 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.60.6-1
- new upstream release
- sync Fedora 0.60.6-14
 - split English dictionary package: create aspell-en package
 - drop unnecessary patches
  - prefix patch (Patch0)
  - fix compress patch (Patch1)
 - add some patches (Patch1003, 1005, 1007, 1008)
 - create aspell.pc file
 - update files
 - add post, preun scripts for info file
 - add Requires(post,preun) for installing info file
- noreplace aspell.conf

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.50.5-1vl5
- applied new versioning policy, spec in utf-8

* Sun May 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.50.5-0vl3
- rebuilt with new toolchain

* Mon Sep 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.50.5-0vl2
- changed aspell-el Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Sun Jul 23 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.50.5-0vl1
- upgrade to new upstream
- drop aspell-0.50.3-gcc33.patch
- update prefix.patch

* Sat Oct 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.50.3-0vl8
- merged with errata package
  * Wed Oct  6 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 0.50.3-0vl5.1
  - added aspell-compress-bug.patch (CAN-2004-0548).

* Fri Oct 15 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.50.3-0vl7
- fixed typo (s/%postun el/%preun el/)

* Fri Oct 15 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.50.3-0vl6
- split elisp-related files into the aspell-el subpackage

* Thu Mar  4 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.50.3-0vl5
- add PreReq: emacsen-common

* Mon Feb 23 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 0.50.3-0vl4
- add /etc/aspell.conf
- modded aspell-init.el(Japanese blended English spell check)

* Wed Feb 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.50.3-0vl3
- add %{_bindir}/{ispell,spell} for compatibility script
- enable site-start.d stuff

* Mon Nov 17 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.50.3-0vl2
- fixed spec file character code to EUC-JP

* Wed Jun 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.50.3-0vl1
- build for Vine Linux
- merge aspell-en

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 7:0.50.3-10
- rebuild again to fix libpspell deps

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 7:0.50.3-9
- remove ExcludeArch

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 7:0.50.3-8
- fix build with gcc 3.3

* Wed May 22 2003 Adrian Havill <havill@redhat.com> 0.50.3-7
- require aspell-en for upgrades

* Sun May 11 2003 Jeremy Katz <katzj@redhat.com> 6:0.50.3-6
- -devel should obsolete pspell-devel

* Tue May  6 2003 Joe Orton <jorton@redhat.com> 0.50.3-5
- include libpspell.so in devel package

* Wed May  1 2003 Adrian Havill <havill@redhat.com> 0.50.3-4
- removed .la files

* Wed Apr 16 2003 Adrian Havill <havill@redhat.com> 0.50.3-3
- Changed the header for provides, obsoletes, epoch
- fixed config prefix in dirs.h

* Wed Apr 16 2003 Adrian Havill <havill@redhat.com> 0.50.3-1
- upgrade to 0.50.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov  8 2002 Tim Powers <timp@redhat.com>
- fix broken pspell epoch dep
- create $RPM_BUILD_ROOT/usr/bin by hand
- remove /usr/doc
- fix hardcoding of /usr/lib so that we can build on x86_64

* Tue Aug 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.33.7.1-16
- require pspell and pspell-devel using the proper epoch

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 0.33.7.1-14
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.33.7.1-13
- automated rebuild

* Thu Jun 13 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-12
- Rebuild to make it work again... #66708

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-10
- Rebuild

* Thu Feb 21 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-9
- Disable evil patch

* Mon Jan 28 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-8
- Build on more archs (doh)

* Tue Jan 22 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-7
- Make it compile with new compiler (evil workaround)

* Wed Jan 16 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-5
- Rebuild
- Unexclude alpha

* Fri Dec 14 2001 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-3
- Rebuild
- Don't build on alpha

* Mon Oct 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.7.1-2
- "make it work with gcc 3.1" ;)

* Tue Sep 18 2001 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7.1-1
- 0.33.7.1, which is a "make it work with gcc 3" release

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Thu Aug  9 2001 Trond Eivind Glomsrød <teg@redhat.com> 0.33.7-1
- 0.33.7 bugfix release. Requested by the author, it fixes
  coredumps in sug-mode and when not using typo-analyses.
  It also contains code cleanups so it compiles with -ansi
- should fix coredump on IA64 (#49746)

* Wed Jul 11 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Add the .la files in the main package - used for dynamic loading

* Sun Jun  3 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 0.33.6.3, which includes the fix made yesterday

* Sat Jun  2 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Make it search for directories in the correct location

* Wed May 30 2001 Trond Eivind Glomsrød <teg@redhat.com>
- No more workarounds at the specfile level

* Tue May 29 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Use custom ltmain.sh to work around buggy bundled libtool

* Sun May 20 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 0.33.6
- use standard %%configure macro - it works now.

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.33.5-2
- Rebuild with new libltdl

* Mon Apr 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 0.33.5

* Thu Nov 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use new emacs init scheme for Emacs and XEmacs

* Wed Nov 22 2000 Trond Eivind Glomsrød <teg@redhat.com>
-  .32.6

* Sat Aug 19 2000 Trond Eivind Glomsrød <teg@redhat.com>
- .32.5 bugfix release (also contains improved documentation),
  obsolete old patch
- the compatibility scripts are now part of the package itself
- clean up build procedure
- remove manual.aux file from docs (#16424)

* Sun Aug 06 2000 Trond Eivind Glomsrød <teg@redhat.com>
- .32.1 bugfix release, obsolete old patch
- rename to 0.32.1
- add patch from author to change his email address
- add spell and ispell compatibility scripts

* Fri Aug 04 2000 Trond Eivind Glomsrød <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrød <teg@redhat.com>
- remember to obsolete ispell
- build the Canadian and British dictionaries here now,
  as part of the main package. Same package names and 
  descriptions.

* Mon Jul 24 2000 Trond Eivind Glomsrød <teg@redhat.com>
- .32
- remove old patches, add a patch since namespace isn't 
  polluted as much anymore (as opposed to older toolchain)

* Wed Jul 19 2000 Trond Eivind Glomsrød <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use RPM_OPT_FLAGS, not just -O0
- dont include .la-files

* Fri Jun 23 2000 Trond Eivind Glomsrød <teg@redhat.com>
- excludearch ia64

* Fri Jun 23 2000 Trond Eivind Glomsrød <teg@redhat.com>
- patch to work around compiler bug(?) wrt. inline functions
- use CFLAGS and CXXFLAGS
- set them to -O0 to work around YACB
- copy libtool files for IA64 support

* Sun Jun 18 2000 Trond Eivind Glomsrød <teg@redhat.com>
- update to .31.1. My patch was upstreamed and is no longer needed.
- new patch added so DESTDIR works properly

* Fri Jun 16 2000 Trond Eivind Glomsrød <teg@redhat.com>
- (this entry includes some old ones...)
- update to .31
- added patch to make it compile with a pickier compiler
- include /usr/share/pspell

* Mon May 1 2000 Tim Powers <timp@redhat.com>
- updated to .30.1
- used build fixes from Ryan Weaver's 0.30.1-1 package on sourceforge
- updated URL, download/ftp location
- removed redundant define's at top of spec file

* Thu Jul 8 1999 Tim Powers <timp@redhat.com>
- built for Powertools 6.1
- removed %serial definitions from spec file to make versioning
  consistant with the other packages we ship.
- changed build root path
- general spec file cleanups

* Tue Mar  2 1999 Ryan Weaver <ryanw@infohwy.com>
  [aspell-.27.2-2]
- Changes from .27.1 to .27.2 (Mar 1, 1999)
- Fixed a major bug that caused aspell to dump core when used
  without any arguments
- Fixed another major bug that caused aspell to do nothing when used
  in interactive mode.
- Added an option to exit in Aspell's interactive mode.
- Removed some old documentation files from the distribution.
- Minor changes on to the section on using Aspell with egcs.
- Minor changes to remove -Wall warnings.
