Summary: Bluetooth HCI protocol analyser
Summary(ja): Bluetooth の HCIプロトコル解析ツール
Name: bluez-hcidump
Version: 2.0
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/System
Source: http://bluez.sf.net/download/%{name}-%{version}.tar.gz
URL: http://www.bluez.org/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

#----------------------------------------------------------------------------
BuildRequires: glibc-devel >= 2.2.4
BuildRequires: bluez-libs-devel >= 3.14
BuildRequires: pkgconfig
Requires: glibc >= 2.2.4
Requires: bluez-libs >= 3.14
ExcludeArch: s390 s390x

#----------------------------------------------------------------------------
%description
Protocol analyser for Bluetooth traffic.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description -l ja
Bluetooth のトラフィックを解析するツール
※訳注:作動には bluez-libs が必要

(BLUETOOTH は Bluetooth SIG, Inc.(USA)のトレードマークです)


#----------------------------------------------------------------------------
%prep

%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_sbindir}/hcidump
%{_mandir}/man8/hcidump.8.gz

#----------------------------------------------------------------------------
# Maintainers: babasaki@mindgear.org
#
#----------------------------------------------------------------------------
%changelog
* Sat Feb 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.0-1
- new upstream release

* Fri Oct 18 2008 Seiichirou Babasaki 1.42-3
- added "# Maintainers: " comments.
- updated specfile

* Fri Sep 26 2008 Seiichirou Babasaki 1.42-2
- updated 1.42
- changed UTF-8 encode at bluez-hcidump.vs.spec
- updated specfile

* Wed Jan 16 2008 Seiichirou Babasaki 1.41-1
- updated 1.41
- updated specfile

* Wed Jan 16 2008 Seiichirou Babasaki 1.40-1vl1
- Import bluez-hcidump - Packager: Babasaki
- updated specfile

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> - 1.40-1
- update to bluez-hcidump 1.40
- update licence

* Sat Jul 21 2007 David Woodhouse <dwmw2@infradead.org> - 1.37-1
- update to bluez-hcidump 1.37

* Tue Jan 30 2007 David Woodhouse <dwmw2@redhat.com> - 1.33-1
- update to bluez-hcidump 1.33

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> - 1.32-1
- update to bluez-hcidump 1.32
- Fix BNEP IPv6 parsing (#196879)
- Support IPv6 in -n and -s options (#196878)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.31-5.1
- rebuild

* Sun Jun 11 2006 David Woodhouse <dwmw2@redhat.com> 1.31-5
- Upload 1.31 tarball now that the lookaside works again

* Sun Jun 11 2006 David Woodhouse <dwmw2@redhat.com> 1.31-4
- BuildRequire pkgconfig so that the autocrap stuff doesn't break

* Sun Jun 11 2006 David Woodhouse <dwmw2@redhat.com> 1.31-3
- Rebuild now that new bluez-libs is actually in the repo

* Sun Jun 11 2006 David Woodhouse <dwmw2@redhat.com> 1.31-2
- use 1.30 tarball and patch, since lookaside cache seems broken

* Sun Jun 11 2006 David Woodhouse <dwmw2@redhat.com> 1.31-1
- update to bluez-hcidump 1.31

* Thu Feb 23 2006 David Woodhouse <dwmw2@redhat.com> 1.30-1
- Ipdate to bluez-hcidump 1.30

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.27-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.27-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Nov 6 2005 David Woodhouse <dwmw2@redhat.com> 1.27-1
- update to bluez-hcidump 1.27

* Mon Aug 8 2005 David Woodhouse <dwmw2@redhat.com> 1.24-1
- update to bluez-hcidump 1.24
- require bluez-libs 1.18

* Tue Mar 2 2005 David Woodhouse <dwmw2@redhat.com> 1.18-1
- update to bluez-hcidump 1.18

* Tue Jan 12 2005 David Woodhouse <dwmw2@redhat.com> 1.16-1
- update to bluez-hcidump 1.16

* Tue Sep 22 2004 David Woodhouse <dwmw2@redhat.com> 1.11-1
- update to bluez-hcidump 1.11

* Tue Aug 02 2004 David Woodhouse <dwmw2@redhat.com> 1.10-1
- update to bluez-hcidump 1.10

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 12 2004 David Woodhouse <dwmw2@redhat.com>
- update to bluez-hcidump 1.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 25 2003 David Woodhosue <dwmw2@redhat.com> 1.5-2
- Fix get_unaligned() -- don't abuse kernel headers.

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com>
- Initial build
