Name:           clipit
Version:        1.3.11
Release:        2%{?_dist_release}
Summary:        lightweight GTK+ clipboard manager
Summary(ja):    軽量な GTK+ クリップボードマネージャ

Group:          Applications/Accessories
License:        GPLv3
URL:            http://gtk%{name}.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}_ja.po

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.10.0, glib2-devel >= 2.14.0
BuildRequires:  desktop-file-utils, intltool >= 0.23
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser

%description
ClipIt is a lightweight, fully featured GTK+ clipboard manager.
It was forked from Parcellite (http://parcellite.sourceforge.net), 
adding additional features and bugfixes to the project.

%description -l ja
ClipIt は軽量で十分な機能を備えた GTK+ のクリップボードマネージャです。
Parcellite (http://parcellite.sourceforge.net) からフォークし、
プロジェクトに追加機能とバグフィックスを加えています。

%prep
%setup -q
cp -f %{SOURCE1} po/ja.po

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}

desktop-file-install --vendor=""                     \
  --delete-original                                        \
  --remove-category=Application                            \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor=""                           \
  --dir=${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/     \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-startup.desktop
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Jan 14 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.3.11-2
- added source1 to translate modified Japanese

* Wed Jan 12 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.3.11-1
- initial build for VineSeed
