%define gettext_package gnome-control-center-2.0

%define pango_version 1.28.3
%define gtk2_version 2.22.0
%define gconf2_version 2.32.0
%define gnome_desktop_version 2.32.0
%define libbonobo_version 2.32.0
%define libgnomekbd_version 2.32.0
%define gnome_vfs2_version 2.24.4
%define desktop_file_utils_version 0.3
%define startup_notification_version 0.7
%define libxklavier_version 5.0
%define gnome_doc_utils_version 0.20
%define gnome_menus_version 2.30.0
%define vine_menus_version 3.0
%define metacity_version 2.30.3
%define evolution_data_server_version 2.32.0
%define libcanberra_version 0.9
%define usermode_version 1.83

Summary: GNOME Control Center.
Summary(ja): GNOME コントロールセンター
Name: control-center
Version: 2.32.1
Release: 2%{?_dist_release}
License: GPLv2+ and GFDL+
Group: User Interface/Desktops
URL: http://www.gnome.org

Source: http://ftp.gnome.org/pub/GNOME/sources/gnome-control-center/2.32/gnome-control-center-%{version}.tar.bz2

# icons for ubuntu visual effects integration.
Source20: control-center-visual-effects-icons.tar.bz2
# messages for visual effects
Source21: gnome-control-center-2.32.1-vine.ja.po

# fc
Patch3: control-center-2.19.3-no-gnome-common.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=497807
Patch5: background-location.patch
# Fix some useless warnings in libslab
# http://bugzilla.gnome.org/show_bug.cgi?id=439398
Patch6: gnome-control-center-2.19.90-no-warnings.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=545075
Patch22: slab-icon-names.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=555591
Patch30: default-layout-toggle.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=600021
Patch31: 0001-Fix-all-the-keybindings-showing-up-when-using-compiz.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=588729
Patch45: mnemonic.patch

# http://mail.gnome.org/archives/gnomecc-list/2009-July/msg00015.html
Patch46: no-tweaks.patch

# http://bugzilla.gnome.org/show_bug.cgi?id=590349
Patch47: save-as.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=596369
Patch50: fix-background-tooltips.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=593866
Patch51: mirror-crash.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=597066
Patch52: shell-markup.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=596939
Patch53: keybinding-bugs.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=592348
Patch54: about-me-delete.patch

Patch55: finger-icons.patch

Patch56: best-shapes.patch

# ubuntu
Patch101: gnome-control-center-2.28.1-aspect-in-dropdown.patch
Patch110: gnome-control-center-2.28.1-gnome-mouse-properties-small-screen.patch
Patch111: gnome-control-center-2.28.1-gnome-about-me-small-screen.patch
Patch112: gnome-control-center-2.28.1-display-properties-fit-small-screen.patch

# vine
Patch500: gnome-control-center-2.32.1-desktop-effects-integration.patch
Patch510: gnome-control-center-2.26.0-use-sans-for-sample-font.patch

# vine default applications
Patch1000: control-center-2.24.0.1-default-applications.patch
Patch1010: control-center-pam-fprintd-avail.patch

Vendor: Project Vine
Distribution: Vine Linux
Packager: inagaki, daisuke

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Obsoletes: gnome, control-center-devel < 2.0
Obsoletes: fontilus, themus
Requires: metacity >= %{metacity_version}
Requires: usermode >= %{usermode_version}
Requires: gnome-settings-daemon
Requires: gnome-icon-theme
Requires: gnome-desktop >= %{gnome_desktop_version}
Requires: dbus-x11
Requires(post,pre,preun): GConf2
Requires(post,postun): desktop-file-utils shared-mime-info gtk2

BuildRequires: gnome-common
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libgnomekbd-devel >= %{libgnomekbd_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: libxklavier-devel >= %{libxklavier_version}
BuildRequires: gnome-menus-devel >= %{gnome_menus_version}
BuildRequires: gnome-panel-devel
BuildRequires: metacity-devel >= %{metacity_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: evolution-data-server-devel >= %{evolution_data_server_version}
BuildRequires: gnome-settings-daemon-devel
BuildRequires: libcanberra-devel >= %{libcanberra_version}
BuildRequires: nautilus-devel
BuildRequires: alsa-lib-devel
#BuildRequires: automake
BuildRequires: autoconf
BuildRequires: gettext-devel
BuildRequires: librsvg2-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: unique-devel

%description
GNOME (the GNU Network Object Model Environment) is an attractive and
easy-to-use GUI desktop environment. The control-center package
provides the GNOME Control Center utilities that allow you to setup
and configure your system's GNOME environment (things like the desktop
background and theme, the screensaver, the window manager, system
sounds, and mouse behavior).

If you install GNOME, you need to install control-center.

%description -l ja
GNOME (the GNU Network Object Model Environment) は、魅力的で使いやすい
GUI デスクトップ環境です。 control-center パッケージには、あなたの GNOME 
環境の設定に使う GNOME コントロールセンター・ユーティリティが含まれていま
す。(これを使うと、デスクトップの壁紙や、テーマ、スクリーンセーバ、ウィン
ドウマネージャ、サウンド、マウス、その他いろいろな設定を行えます。) 

%package devel
Summary: Development files for GNOME Control Center
Summary(ja): GNOME コントロールセンターの開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development tool for GNOME Control Center

%descriotion -l ja devel
GNOME コントロールセンターの開発用ファイルが含まれています。

%prep
%setup -q -n gnome-control-center-%{version} -a 20

# patches from fedora
## %patch3 -p1 -b .no-gnome-common
%patch5 -p1 -b .background-location
pushd libslab
%patch6 -p0 -b .warnings
popd
#%patch10 -p0 -b .pam-fprintd
## %patch22 -p0 -b .slab-icon-names
## %patch30 -p1 -b .default-layout-toggle
## %patch46 -p1 -b .no-tweaks
%patch47 -p1 -b .save-as
## %patch50 -p1 -b .fix-background-tooltips
## %patch51 -p1 -b .mirror-crash
## %patch52 -p1 -b .shell-markup
## %patch53 -p1 -b .keybinding-bugs
## %patch54 -p1 -b .about-me-delete
%patch55 -p1 -b .finger-icons
%patch56 -p1 -b .best-shapes

# patches from ubuntu
%patch101 -p1 -b .aspect-in-dropdown.patch
%patch110 -p1 -b .gnome-mouse-properties_small_screen.patch
%patch111 -p1 -b .gnome-about-me_small_screen.patch
## %patch112 -p1 -b .display_properties_fit_small_screen.patch

# Vine patches
# desktop integration based on ubuntu patch
%patch500 -p1 -b .desktop-effects-integration
# use Sans for font-properties sample font.
%patch510 -p1 -b .use-sans-for-sample-font

# Vine Linux configuration patches
%patch1000 -p1 -b .default-applications
%patch1010 -p0 -b .pam-fprintd

# add translations for visual effect integration
cp -f %{SOURCE21} po/ja.po

%build
autoreconf -f -i

%configure --disable-static  \
    --enable-gstreamer \
    --enable-alsa  \
    --enable-aboutme \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-update-mimedb \
    CFLAGS="$RPM_OPT_FLAGS -Wno-error"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

for i in apps_gnome_settings_daemon_default_editor.schemas		\
	    apps_gnome_settings_daemon_keybindings.schemas		\
	    apps_gnome_settings_daemon_screensaver.schemas		\
	    desktop_gnome_font_rendering.schemas ; do			\
	    rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/$i ;	\
done

# Add a "valid" OnlyShowIn entry, otherwise desktop-file-install complains
sed -i -e "s/OnlyShowIn=;/OnlyShowIn=GNOME;/"  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-theme-installer.desktop

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications				\
  --add-only-show-in GNOME                                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

sed -i -e "s/OnlyShowIn=GNOME;/OnlyShowIn=;/"  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-theme-installer.desktop

# https://bugzilla.redhat.com/show_bug.cgi?id=161489
sed -i -e "s/OnlyShowIn=GNOME;//"  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-default-applications.desktop

# install visual effect icons
install -m644 visual-effects/*.svg $RPM_BUILD_ROOT%{_datadir}/gnome-control-center/pixmaps/

# we do want this
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties

# We don't want these
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/cursor-fonts

# remove useless libtool archive files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# don't package mime caches
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/XMLnamespaces
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/aliases
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/application/x-gnome-theme-package.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/subclasses
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/mime.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="control-center.schemas fontilus.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null 2>&1 || :
done

update-desktop-database %{_datadir}/applications >& /dev/null ||:
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    SCHEMAS="fontilus.schemas control-center.schemas"
    for S in $SCHEMAS; do
	gconftool-2 --makefile-uninstall-rule \
	    %{_sysconfdir}/gconf/schemas/$S > /dev/null 2>&1 || :
    done
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    SCHEMAS="fontilus.schemas control-center.schemas"
    for S in $SCHEMAS; do
	gconftool-2 --makefile-uninstall-rule \
	    %{_sysconfdir}/gconf/schemas/$S > /dev/null 2>&1 || :
    done
fi

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_libdir}/window-manager-settings
%dir %{_datadir}/gnome/wm-properties
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-control-center/default-apps/*.xml
%{_datadir}/gnome-control-center/pixmaps
%{_datadir}/gnome-control-center/ui
%{_datadir}/applications/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/control-center
%{_datadir}/desktop-directories/*
%{_datadir}/polkit-1/actions/org.gnome.randr.policy
%{_datadir}/mime/packages/gnome-theme-package.xml
%{_datadir}/icons/*
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/gnome-about-me
%{_bindir}/gnome-appearance-properties
%{_bindir}/gnome-at-mobility
%{_bindir}/gnome-at-properties
%{_bindir}/gnome-at-visual
%{_bindir}/gnome-control-center
%{_bindir}/gnome-default-applications-properties
%{_bindir}/gnome-display-properties
%{_bindir}/gnome-keybinding-properties
%{_bindir}/gnome-keyboard-properties
%{_bindir}/gnome-mouse-properties
%{_bindir}/gnome-network-properties
%{_bindir}/gnome-typing-monitor
%{_bindir}/gnome-window-properties
%{_bindir}/gnome-font-viewer
%{_bindir}/gnome-thumbnail-font
%{_sbindir}/gnome-display-properties-install-systemwide
%{_libdir}/*.so.*
%{_libdir}/window-manager-settings/*
#{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/menus/gnomecc.menu
%{_sysconfdir}/xdg/autostart/gnome-at-session.desktop

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*
%{_datadir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Sun Mar 14 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.1-2
- update desktop-effect-integration patch
  - fix freeze on changing metacity to compiz
  - run compiz directly instead of compiz-gtk
  - drop use of jockey-gtk
- update ja.po

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sat Nov 06 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.0-4
- update translation.

* Fri Nov 05 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.0-3
- update translation.

* Sat Oct 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-2
- update Source21(gnome-control-center-2.32.0-vine.ja.po)

* Mon Oct 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- drop Patch22, Patch30, Patch52
- fix %files

* Tue Sep 28 2010 Shu KONNO <owa@bg.wakwak.com> 2.30.1-4
- rebuilt with rpm-4.8.1 for pkg-config (too)

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-3
- rebuild with rpm-4.8.1 for pkg-config file
- add Requires: %{name}=%{version}-%{release}

* Tue Jun 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with evolution-data-server-2.30.2

* Thu Apr 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- drop Patch3, Patch46, Patch50, Patch51, Patch53, Patch54, Patch112
- add BuildRequires: gnome-common, unique-devel

* Thu Dec 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.28.1-2
- enable Patch101,110-112 and 500

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release
- disabled Patch101, 110-112 and 500

* Fri Jul 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-9
- update notification-theme.patch
  - use vine theme if NotificationTheme is not set in meta-theme.

* Tue Jun 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-8
- add Patch510: use Sans for font-properties sample font.
- add BR: librsvg2-devel, libXScrnSaver-devel
- remove BR: esound

* Sat Jun 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-7
- add Patch37: Don't rely on _BACKUP property for xkb initialization

* Wed May 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-6
- renumber patch10 to patch1010
  - do not check gdm fprint plugin
- add Patch101: show aspect in drop down menu
- add Patch110: modify gnome-mouse-properties to fit smaller screen
- add Patch111: modify gnome-about-me to fit smaller screen
- add Patch112: modify gnome-display-properties to fit smaller screen

* Thu Apr 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-5
- update Patch100 to use compiz-gtk instead of compiz

* Thu Apr 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-4
- update ja.po

* Thu Apr 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-3
- import upstream patchs (10,22,3[0-6])

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-2
- add nautilus-devel to BR: not Requires:

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- update ja.po
- add BR: nautilus-devel

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-3
- drop Patch20 which need new XInput API
- update Patch23

* Sat Oct 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-2
- add Patch20,22.23 from ubuntu
  - patch20 to add touchpad configuration
  - patch22 to add aspect setting in randr capplet
  - patch23 to integrate desktop setting into appearance-properties

* Fri Sep 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.2.1-3
- add gnome-typing-monitor to %%files

* Wed Jul 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.2.1-2
- add Patch100 for new RandR capplet. (fc)

* Sat Jun  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2.1-1
- new upstream release
- dropped Patch8 (merged into upstream)

* Sat Apr 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release
- added Patch7 and Patch8 from Fedora
  * Mon Mar 31 2008 - Bastien Nocera <bnocera@redhat.com> - 2.22.0-3
  - Fix warnings in the keybindings capplet when in non-UTF-8 locale
  - Fix Esc/Backspace being bindable when CapsLock is on (#427123)
  * Tue Apr  8 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.1-2
  - Remove a nonfunctional button from the a11y preferences
- added BuildRequires: gnome-settings-daemon, gnome-panel
- added Requires: gnome-icon-theme, gnome-desktop, dbus-x11
- removed Requires: xscreensaver

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release based on Fedora
- added BuildRequires: gnome-settings-daemon

* Tue Jan  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release based on Fedora
  * Wed Oct 24 2007  Matthias Clasen <mclasen@redhat.com> - 2.20.1-5
  - Fix the orca command in the default applications capplet (#351471)

* Sat Jul 14 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.0-0vl4
- add BuildReq: libgnomekbd-devel

* Sat Jul 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.0-0vl3
- rebuilt with evolution-data-server-devel-1.10.1

* Fri May 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.0-0vl2
- add BuildReq: evolution-data-server-devel

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release
- remove unneeded? patch10

* Sun Oct 22 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.14.2-0vl2
- added Patch10 to supress /dev/pmu warning messages on some ppc models

* Sat Jun 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Sat Apr 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- run gtk-update-icon-cache in %%post script.

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release
- drop Patch10,it is merged in upstream

* Sat Mar 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.93-0vl2
- add Patch10 for correct textdomain name in 
  default-applications-properties(Bug332833)
- add Patch100 for change default-applications settings for vine

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.93-0vl1
- new upstream release

* Sat Oct 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed Aug 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release
- enable alsa support

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release

* Thu Mar 31 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl4
- fixed type in %%post script

* Wed Mar 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl3
- clear the old defaults of xkb

* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl2
- remove bonobo-activation dependency

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Feb 27 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- add Japanese summay to devel package

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Sat Mar 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl3
- modify patch11 to use NeoVine theme instead of BeCool.

* Wed Dec 24 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.0-0vl2
- rebuild with new toolchain

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release
- remove obsolete ja.po

* Sat Sep 06 2003 Tomoya TAKA <taka@vinelinux.org> 2.3.6-0vl2
- change required version of metacity to 2.4.34 on alpha

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.6-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.5-0vl1
- new upstream release

* Sun May 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl3
- add more missing files and schemas...

* Sun May 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl2
- add missing file in %{_libdir}/gnome-vfs-2.0/

* Sat May 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl1
- new upstream release
- this is experimental version
- remove sr@Latn locale from desktop files to build with desktop-file-utils-0.3

* Sun Mar 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Sat Mar  1 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl3
- import patch6 (upstream paches) from rawhide package.

* Tue Feb 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl2
- import patch1-5 (upstream paches) from rawhide package.

* Sun Feb 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl2
- rebuild

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.7-0vl1
- new upstream release

* Sun Jan 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.6-0vl1
- new upstream release

* Wed Jan  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl7
- change default gtk1 theme from Raleigh to BeCool.

* Wed Jan  8 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl6
- add BuildRequires/Requires.
- fixed kanjicode of specfile

* Sun Dec 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl5
- remove bogus message in %%post scripts.

* Sun Dec 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl4
- add patch10 to modify some desktop files
- update ja.po

* Sun Dec 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl3
- update ja.po

* Sun Dec 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- update ja.po

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl3
- add devel package
- add window-manager-settings files.

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl2
- modify dependancies.

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.3-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Thu Sep  5 2002 Jonathan Blandford <jrb@redhat.com>
- Allow setting custom mime handlers

* Tue Aug 27 2002 Havoc Pennington <hp@redhat.com>
- make desktop file symlinks absolute #71991
- add po files from cvs.gnome.org

* Fri Aug 23 2002 Jonathan Blandford <jrb@redhat.com>
- Fix up keyboard handling

* Wed Aug 21 2002 Jonathan Blandford <jrb@redhat.com>
- Fixes for #68735

* Wed Aug  7 2002 Jonathan Blandford <jrb@redhat.com>
- New version.  Fix up metacity theme locations

* Wed Jul 24 2002 Owen Taylor <otaylor@redhat.com>
- Switch the gtk1 theme along with the gtk2 theme
- Add the ability to switch the window manager theme through the theme capplet
- Add two more font options to the font property dialog
- Add a bunch of missing unrefs of the result of gconf_client_get_default()

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- fix desktop files more
- copy icons to /usr/share/pixmaps

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- munge the desktop files correctly
- obsolete control-center-devel, #69168
- replace gnomecc.desktop with a file from redhat-menus

* Tue Jul 23 2002 Owen Taylor <otaylor@redhat.com>
- Fix crasher bug in xftprefs patch

* Tue Jul 16 2002 Owen Taylor <otaylor@redhat.com>
- Change the default rendering style to be "Best Shapes", not "Best Contrast"

* Tue Jul  9 2002 Owen Taylor <otaylor@redhat.com>
- Add Xft / XSETTINGS support

* Fri Jun 28 2002 Bill Nottingham <notting@redhat.com> 2.0.0-2
- fix %%post so schemas get installed
  
* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- add new default editor schemas
- fix find_lang

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libraries
- remove a no-longer-existing schemas file from post
- use desktop-file-install

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new dependent libs

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires bonobo-activation

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.99.10

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.99.9

* Wed Apr 17 2002 Havoc Pennington <hp@redhat.com>
- Move to GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge in translations

* Fri Apr 12 2002 Owen Taylor <otaylor@redhat.com>
- Make the theme selector write fontsets, not fonts (#62413)

* Mon Apr  1 2002 Havoc Pennington <hp@redhat.com>
- really put screensaver capplet back (I think)

* Wed Mar 27 2002 Bill Nottingham <notting@redhat.com>
- revert xscreensaver change

* Wed Mar 27 2002 Havoc Pennington <hp@redhat.com>
- init "Scaled" radio button correctly #61913

* Mon Mar 25 2002 Havoc Pennington <hp@redhat.com>
- change path to windowmaker config tool again, #61824

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com>
- rather than keep patching and patching it, use xscreensaver's own
  capplet

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- rebuild in Hampton

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- Rebuild package.

* Thu Jan 24 2002 Tim Powers <timp@redhat.com>
- rebuilt against new openssl

* Fri Jan 18 2002 Havoc Pennington <hp@redhat.com>
- automake14
- don't run auto* again in ccsingle subdir, not sure why we did that

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- rebuild with new gnome-libs so that libcapplet has right cflags/libs
- pixbufflags patch to make the rebuild work
- compileflags patch to make control-center-single work

* Wed Aug 29 2001 Havoc Pennington <hp@redhat.com>
- fix #52831 (UI properties in Programs menu)

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- set the _XROOTCOLOR_PIXEL property, should fix
  bug #52141

* Wed Aug 22 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update translation.
- Add CJK fontset patch

* Thu Aug 16 2001 Jonathan Blandford <jrb@redhat.com>
- New control-center-single to handle exiting, #51665

* Wed Aug 01 2001 Havoc Pennington <hp@redhat.com>
- remove .desktop file for gnomecc, so it won't appear 
  in panel menu, #49653

* Mon Jul 30 2001 Jonathan Blandford <jrb@redhat.com>
- allow to build without depending on control-center-devel

* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Mon Jul 16 2001 Jonathan Blandford <jrb@redhat.com>
- New version of control-center-single

* Thu Jul 12 2001 Alexander Larsson <alexl@redhat.com>
- Change default background to the same as the nautilus one

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- add hack to default to standalone control panels

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue May 22 2001 Havoc Pennington <hp@redhat.com>
- putting in tree for David

* Tue May 22 2001 David Sainty <dsainty@redhat.com>
- improve DPMS patch for the try case, and enable patch

* Wed May  2 2001 Bill Nottingham <notting@redhat.com>
- add patch to use xscreensaver's DPMS stuff, require that version

* Fri Apr 20 2001  <jrb@redhat.com>
- New Version (1.4.0.1)

* Wed Apr  4 2001 Bill Nottingham <notting@redhat.com>
- kick the mixer once on startup if we aren't running esd

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Feb 23 2001 Trond Eivind Glomsr藷?<teg@redhat.com>
- langify
- don't define and use "ver" at the top of the file
- move changelog to sane location

* Thu Feb 08 2001 Elliot Lee <sopwith@redhat.com> 1.2.2-4
- Apply patch from bug #23782 to see how it works

* Fri Feb 02 2001 Elliot Lee <sopwith@redhat.com> 1.2.2-3
- Include fvwm2.desktop in WM's

* Sat Jan 27 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.

* Mon Dec 04 2000 Jonathan Blandford <jrb@redhat.com>
- Update release.

* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Again, fix problem with solid backgrounds in bg-properties capplet
  (patch got lost somewhere) 

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Aug 10 2000 Owen Taylor <otaylor@redhat.com>
- Handle unreadable desktop files without crashing

* Mon Aug 07 2000 Owen Taylor <otaylor@redhat.com>
- Fix problem with backgrounds bigger than screen.

* Tue Aug 01 2000 Owen Taylor <otaylor@redhat.com>
- Fix problem when ~/.gtkrc does not already exist.
- Fix problem with solid backgrounds in bg-properties capplet

* Tue Jul 18 2000 Owen Taylor <otaylor@redhat.com>
- Sort of fix problem with people hitting OK while the 
  "Save Session" dialog is still up. (Session won't be saved, 
  but at least the selected entry will be correctly kept.)
- Fix history list in background properties capplet
- Fix problems with temporary files in theme-selector capplet

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com>
- Require redhat-logos
- Some spec file and FHS fixes
- reposition embedded logo a bit

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com>
- Add big change to use gdk-pixbuf for backgrounds and add
  the ability to emboss the background with a logo

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- revert .so strip

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- strip .so lib
- use configure macro

* Mon Sep 20 1999 Jonathan Blandford <jrb@redhat.com>
- changed to work with 1.0.40

* Fri Sep 17 1999 Jonathan Blandford <jrb@redhat.com>
- Added fixrevert bug to fix bug in theme selector.

* Sun Jun 13 1999 Jonathan Blandford <jrb@redhat.com>
- updated RPM to use new control-center.

* Wed Apr 07 1999 Michael Fulbright <drmike@redhat.com>
- fixed sound-properties to only disable sound when run with --init-settings-..
- removed debugging output from several capplets, fixed try behaviour of sm and
  gnome-edit capplets
- fixed bug in screensaver and background props
- added new icons

* Mon Apr 05 1999 Jonathan Blandford <jrb@redhat.com>
- added a patch to fix the close dialog
- added a patch to limit the number of bg's in the history.

* Fri Apr 02 1999 Jonathan Blandford <jrb@redhat.com>
- vesion 1.0.5
- removed all patches >10 other then dontstartesd.

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- removed UI props till it works better

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- make sure we DONT inadvertantly start esd by calling esd_open_...

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- changed default bg color to '#356390'

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- prime file selector path for browse in background-props if 
  "/usr/share/pixmaps/backgrounds/" exists.
- fix behavior of file selector when you delete/cancel/ok it

* Wed Mar 24 1999 Michael Fulbright <drmike@redhat.com>
- added patch to fix trying in theme selector 
- disabled crystal screensaver, it does evil things to preview in capplet

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.4, fixes problems with sndprops and theme props among
  other things.

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix sound-properties capplet so Try/Revert doesnt come on unless user
  changes something
- fixed theme-selector to not leave processes behind on Linux 2.2 kernels
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3
- added patch to make esd release after 30 sec of inactivity

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- turned off sound by default

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.1

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8.1
- added etc/CORBA/servers/* to file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.8
- added /usr/lib/cappletConf.sh

* Mon Feb 08 1999 The Rasterman <raster@redhat.com>
- update to 0.99.5.1

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.5

* Mon Jan 20 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.3.1

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- update to 0.99.3
- seems like patch for non-standard xscreensaver placement was already in
  prestine sources(?)

* Wed Jan 06 1999 Jonathan Blandford <jrb@redhat.com>
- updated to 0.99.1
- temporary hack patch to get path to work to non-standard placement
  of xscreensaver binaries in RH 5.2

* Wed Dec 16 1998 Jonathan Blandford <jrb@redhat.com>
- Created for the new control-center branch

