Name: desktop-file-utils
Summary: Utilities for manipulating .desktop files
Summary(ja): .desktop ファイルを操作するユーティリティ
Version: 0.17
Release: 2%{?_dist_release}

Group: Development/Tools
License: GPLv2
URL: http://http://www.freedesktop.org/wiki/Software/desktop-file-utils

Source0: http://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= 2.4
BuildRequires: emacsen

Obsoletes: desktop-file-validator

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install 
which installs a desktop file to the standard directory, optionally 
fixing it up in the process.

%prep
%setup -q

%build
if [ ! -x configure ]; then
  ./autogen.sh
fi
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/emacs/site-lisp/*
%{_mandir}/man1/*

%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.17-2
- rebuilt with rpm-4.8.1-3

* Thu Sep 16 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.17-1
- new upstream release

* Tue May  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16-1
- new upstream release
- removed BR: popt-devel

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.15-2
- spec in utf-8

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-1vl5
- new upstream release

* Sun Jan  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.14-0vl1
- new upstream release
- added %doc files

* Mon Jul 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.13-0vl1
- new upstream release

* Sun Aug 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10-0vl2
- add BuildRequires: emacsen

* Mon Nov 22 2004 Tomoya TAKA <taka@vinelinux.org> 0.10-0vl1
- new upstream release

* Mon Jun 21 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl1
- new upstream release

* Mon Jun 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.20030616-0vl1
- update from cvs

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3-3vl1
- build for Vine Linux

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- fix more error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- remove old symlinks before creating new ones, chills out 
  a lot of error messages

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- version 0.3

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- 0.2.95 cvs snap, should fix OnlyShowIn

* Mon Jul 22 2002 Havoc Pennington <hp@redhat.com>
- 0.2.94 cvs snap, adds --print-available

* Tue Jul  9 2002 Havoc Pennington <hp@redhat.com>
- 0.2.93 cvs snap with a crash fixed, and corrects [KDE Desktop Entry]

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.92 cvs snap with --remove-key and checking for OnlyShowIn
  and missing trailing semicolons on string lists

* Fri Jun 21 2002 Havoc Pennington <hp@redhat.com>
- 0.2.91 cvs snap with --copy-name-to-generic-name and
  --copy-generic-name-to-name

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.2.90 cvs snap with --delete-original fixed

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 0.2

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  9 2002 Havoc Pennington <hp@redhat.com>
- initial build


