# %%define extraver 1

%define _gtk_ver 2.10.0
%define _glib_ver 2.12.0
%define _pango_ver 1.16.0
%define _freetype_ver 2.3.0
%define _libxml_ver 2.6.27
%define _cairo_ver 1.4.6

Summary: A gtk+ based diagram creation program.
Summary(ja): Gtk+ ベースのダイアグラム作成プログラム
Name: dia
Version: 0.97.1
Release: 2%{?_dist_release}
License: GPL
Group: Applications/Graphics

Source: http://ftp.gnome.org/pub/GNOME/sources/dia/%{version}/dia-%{version}%{?extraver:-%extraver}.tar.bz2

URL: http://www.gnome.org/projects/dia/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): desktop-file-utils, scrollkeeper
Requires(postun): desktop-file-utils, scrollkeeper
BuildRequires: gtk2-devel >= %{_gtk_ver}, glib2-devel >= %{_glib_ver}
BuildRequires: pango-devel >= %{_pango_ver}
BuildRequires: libgnome-devel, libgnomeui-devel
BuildRequires: libxml2-devel >= %{_libxml_ver}, libxslt-devel
BuildRequires: libpng-devel, libart_lgpl-devel
BuildRequires: freetype2-devel >= %{_freetype_ver}
BuildRequires: cairo-devel >= %{_cairo_ver}
BuildRequires: libSM-devel
BuildRequires: perl
BuildConflicts: glitz-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%description -l ja
Dia は Windows にある 'Visio' に似せて設計されたプログラムです。
種々のダイアグラムを描写、編集することが可能です。
この最初のバージョンでは、UML の静的構造ダイアグラム (クラス・ダイア
グラム) とネットワーク・ダイアグラムがサポートされています。
現在では, カスタムのファイル形式でダイアグラムを読み込みや保存した
り、PostScript へ保存することができます。

%prep
%setup -q -n %{name}-%{version}%{?extraver:-%extraver}

%build
%configure --enable-gnome --enable-db2html --with-cairo
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

# remove unneeded files
%__rm -rf %{buildroot}%{_localstatedir}/scrollkeeper
%__rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
%__rm -rf %{buildroot}%{_datadir}/doc/dia

%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database ||:
%{_bindir}/scrollkeeper-update > /dev/null 2>&1 ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
%{_bindir}/update-desktop-database ||:
%{_bindir}/scrollkeeper-update > /dev/null 2>&1 ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS doc
%{_bindir}/dia
%{_libdir}/dia
%{_mandir}/man1/dia.1*
%{_datadir}/dia
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/icons/hicolor/*
%dir %{_datadir}/omf/dia
%{_datadir}/omf/dia/*
%{_datadir}/gnome/help/dia

%changelog
* Sun Apr 17 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.97.1-2
- rebuilt with current VineSeed

* Thu Mar 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.97.1-1
- new upstream release

* Sun Nov 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.97-2
- add BR: libSM-devel (<BTS:828>)

* Mon Nov 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.97-1
- new upstream release

* Tue Jul 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.96.1-1
- applied new versioning policy
- spec in UTF-8

* Thu May 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.96.1-0vl1
- new upstream release

* Sat Oct 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl4
- [SECURITY] update to 0.95-1

* Tue Sep 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl3
- add BuildConflicts: glitz-devel not to depend on glitz

* Sun Sep 10 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.95-0vl2
- change Group to Applications/Graphics. <BTS:VineLinux:163>

* Thu Apr 20 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl1
- upstream release
- update source-URL
- drop BuildRequires: automake17

* Sat Apr 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl0.0pre9
- 0.95-pre9

* Thu Apr 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl0.0pre8
- 0.95-pre8
- enable cairo plugin
- add BuildRequires: cairo-devel, Requires: cairo

* Thu Mar 30 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl0.0pre7
- 0.95-pre7

* Sat Mar 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl0.0pre6
- 0.95-pre6

* Tue Mar 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl0.0pre5
- 0.95-pre5

* Tue Feb 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.95-0vl0.0pre1
- 0.95-pre1
- drop obsolete patch1
- run scrollkeeper-update at %%post,postun
- add PreReq: scrollkeeper

* Sat Jul 16 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.94-0vl1
- upstream release
- drop BuildPrereq: desktop-file-utils (not used)
- run update-desktop-database at %%post,postun
- add PreReq: desktop-file-utils
- drop obsolete patch0

* Thu Aug 12 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.93-0vl3
- use defalut ja.po file
- fixed encoding of sheet/Cybernetics.in (patch1)

* Sat Jul 31 2004 Tomoya TAKA <taka@vinelinux.org> 0.93-0vl2
- use GtkType rather than guint (patch0)
- update URL:

* Wed Jul 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.93-0vl1
- new upstream release

* Mon Nov  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.92.2-0vl1
- new upstream release
- updated ja.po

* Sun Jun 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.91-0vl2
- applyed dia-0.91-help.patch and dia-0.91-css.patch from Redhat Rawhide
- fixed Requires, BuildRequires and BuildPreReq
- fixed gnome-dia.desktop
- merged newly ja.po

* Sun Jun 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.91-0vl1
- rebuild with new toolchains and Gnome2
- modified specfile based on Redhat Rawhide 0.90-11

* Tue Sep 25 2001 Satoshi MACHINO <machino@vinelinux.org> dia-0.88.1-0vl1
- updated 0.88.1
- added Requires: gtk+ imlib
- updated patch1 

* Fri Apr 20 2001 Daisuke SUZUKI <daisuke@linux.or.jp> dia-0.86-0vl3
- brush up this spec files

* Fri Apr 20 2001 Daisuke SUZUKI <daisuke@linux.or.jp> dia-0.86-0vl2
- changed to use TrueType Fonts for screen.

* Tue Aug 29 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- updated dia-0.86 and ja patch's
- removed vfont.patch
- fixed %files section to handle compressed man page

* Fri Aug 11 2000  Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated ja patch to rel 8.
- added vfont patch

* Fri Mar 31 2000  Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.84

* Fri Feb 21 2000  Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated Japanese patch

* Fri Feb 18 2000  Yasuyuki Furukawa <furukawa@vinelinux.org>
- added Japanese patch and some bug fix patches from http://www.u-aizu.ac.jp/%7Em5031201/dia/

* Sun Sep 5 1999  James Henstridge <james@daa.com.au>
- added $(prefix)/share/dia to files list.

* Thu Apr 29 1999  Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>
- Made %setup quiet
- Enabled build from cvs
- Removed superfluous mkdir's
- using DESTDIR and install-strip

* Fri Aug 28 1998  Francis J. Lacoste <francis@Contre.COM> 
- First RPM release.
