%define emacsversion 23.3
#% define rcversion rc1
%define emacsrelease 3%{?rcversion:.%rcversion}%{?_dist_release}
%define vine_default_major_version %(echo %_dist_release|%__sed s/vl//)

%define _noVersionedDependencies 1
%define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")

%define infodir %{_infodir}/emacs-%{emacsversion}

%define menutreeelversion 0.97

Summary:      GNU Emacs editor 
Summary(ja):  GNU Emacs エディタ
Name:         emacs
Version:      %{emacsversion}
Release:      %{emacsrelease}
Source0:      ftp://ftp.gnu.org/pub/gnu/emacs/emacs-%{version}.tar.bz2
#Source0:      ftp://alpha.gnu.org/gnu/emacs/pretest/emacs-%{emacsversion}%{?rcversion:-%rcversion}.tar.gz

## Sources from Rawhide 21.2-11
Source10:     site-start.el.emacs23
Source11:     python-mode.el
Source12:     http://www.tihlde.org/~stigb/rpm-spec-mode.el
Source13:     ftp://ftp.gnu.org/gnu/emacs/elisp-manual-21-2.8.tar.bz2
# 1.0.2 - http://prdownloads.sourceforge.net/php-mode/php-mode-102.el
Source14:     php-mode.el
Source15:     php-mode-init.el
Source16:     ssl.el
Source17:     po-mode.el
Source18:     po-mode-init.el

## local settings for local system
Source20:     emacs23-local.el

# desktop file
Source50:     emacs23.desktop.in

## Enable Japanese Menu
## http://www11.atwiki.jp/s-irie/pages/13.html
Source100:    menu-tree-el-%{menutreeelversion}.tar.gz
Source110:    menu-tree-init.el.emacs23

## default settings for Vine Linux
Source150:    vine-default-base.el
Source151:    vine-default-faces.el

## Vine Patch(es)
Patch10:      emacs-21.1-ppc-nocombreloc.patch
Patch11:      emacs-23.0.60-locallisppath.patch
Patch20:      emacs-23.1.90-fixed-resolution.patch

# Fixed in upstream CVS. (from Fedora)
#Patch30:      emacs-23.1-scroll.patch
#Patch31:      emacs-23.1-indian.patch
#Patch32:      emacs-23.1-memmove.patch
# Accepted by upstream.
#Patch33: emacs-23.2-m17ncheck.patch
# Fix rhbz#595546
# Upstream: http://emacsbugs.donarmstrong.com/cgi/bugreport.cgi?bug=6158
Patch34: emacs-23.2-hideshow-comment.patch
# Reported upstream http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4129
#Patch35: emacs-23.2-spacing.patch

# security patches (from Debian)

# security patches (from Ubuntu)
# # http://www.vupen.com/english/advisories/2010/0734
# # https://code.launchpad.net/~ubuntu-branches/ubuntu/karmic/emacs23/karmic-security
# Patch501:      emacs23-CVE-2010-0825-fix-movemail-race.diff

# patches from Mandrake
Patch1001:    emacs-21.1-bzip2.patch.bz2

License:      GPLv3+
Group:        Applications/Editors/Emacs

Distribution: Vine
Vendor:       Project Vine
Packager:     munepi, daisuke

BuildRoot:    %{_tmppath}/%{name}-%{version}-root
# Requires:     tamago >= 4.0.6
Obsoletes:    mule-base, mule-canna, mule-wnn6, mule, emacs-beta
Obsoletes:    emacs21 <= 21.2-0vl7
Obsoletes:    emacs22 <= 22.0.50
Obsoletes:    emacs23 <= 23.0.91-2.20090325vl5
Provides:     emacs23 = %{version}
Provides:     emacsen = 0.1
#% prereq_ge    emacsen-common
Requires(post):    emacsen-common
Requires(postun):    emacsen-common

BuildRequires: autoconf
%if %{?_dist_release} == "vl6"
BuildRequires: atk-devel
BuildRequires: dbus-devel GConf2-devel
BuildRequires: alsa-lib-devel
%endif
BuildRequires: gtk2-devel, cairo-devel
BuildRequires: freetype-devel, fontconfig-devel
BuildRequires: libpng-devel, libjpeg-devel, libtiff-devel, libungif-devel
##!! For vl5, m17n-lib-devel (plus)
BuildRequires: librsvg2-devel, libotf-devel
%if %{?_dist_release} == "vl6"
BuildRequires: m17n-lib-devel
%endif
BuildRequires: libX11-devel, libXau-devel, libXdmcp-devel, libXrender-devel
BuildRequires: libXt-devel, libXpm-devel, ncurses-devel
BuildRequires: xorg-x11-proto-devel, zlib-devel
BuildRequires: texinfo
BuildRequires: nkf

%description
GNU Emacs is the extensible, customizable, self-documenting real-time
display editor. 

%description -l ja 
GNU Emacs は拡張性が高く、さまざまなカスタマイズが可能な高機能エディタです。


%prep

%setup -q -n emacs-%{version}

%ifarch ppc
#%patch10 -p1
%endif

%patch11 -p1
%patch20 -p1

#%patch30 -p1 -b .scroll
#%patch31 -p1
#%patch32 -p1 -b .memmove
#%patch33 -p1 -b .m17ncheck
%patch34 -p0 -b .hideshow-comment
#%patch35 -p1 -b .spacing

#%patch501 -p1 -b .movemail

%patch1001 -p1

autoconf


%build

export CFLAGS="-DMAIL_USE_LOCKF $RPM_OPT_FLAGS"
#to find installinfo
export PATH="$PATH:/sbin:/usr/sbin"

%configure --with-pop --with-sound \
    --libexecdir=%{_libdir} --infodir=%{infodir} \
    --disable-rename \
    --with-toolkit=gtk \
    --with-freetype --with-xft \
    --enable-font-backend \
    --without-gpm \
	--with-libotf \
%if %{?_dist_release} == "vl5"
      --without-m17n-flt \
%endif
%if %{?_dist_release} == "vl6"
      --with-m17n-flt \
      --with-dbus --with-gconf \
%endif
    ;

%__make bootstrap
%__make %{?_smp_mflags}


#%define recompile src/emacs -batch --no-init-file --no-site-file -f batch-byte-compile

# recompile patched .el files
#%{recompile} lisp/mail/mh-utils.el lisp/progmodes/make-mode.el

# bytecompile python-mode, ssl, php-mode and rpm-spec-mode
#cp %SOURCE12  %SOURCE14 %SOURCE16 %SOURCE17 .
##%%{recompile} rpm-spec-mode.el php-mode.el ssl.el po-mode.el


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && %__rm -rf ${RPM_BUILD_ROOT}

ARCHDIR=${RPM_ARCH}-vine-linux

%makeinstall libexecdir=$RPM_BUILD_ROOT%{_libdir} \
	infodir=${RPM_BUILD_ROOT}%{infodir} 

## This is a duplicate of the file in FLAVOR/site-lisp
%__rm -f $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/subdirs.el || exit 1

(cd $RPM_BUILD_ROOT%{_mandir}/man1/; %__mv ctags.1 gctags.1)
(cd $RPM_BUILD_ROOT%{_bindir}/; %__mv ctags gctags)

%__mkdir_p  $RPM_BUILD_ROOT%{_datadir}/emacs-%{version}/etc
%__mkdir_p  $RPM_BUILD_ROOT%{_datadir}/emacs-%{version}/site-lisp
# cp %{SOURCE100} $RPM_BUILD_ROOT%{_datadir}/emacs-%{version}/site-lisp/menu-tree.el
# nkf -w %{SOURCE100} > $RPM_BUILD_ROOT%{_datadir}/emacs-%{version}/site-lisp/menu-tree-utf8.el
%__tar zxvf %{SOURCE100}
%__cp -a menu-tree-el-%{menutreeelversion}/menu-tree.el $RPM_BUILD_ROOT%{_datadir}/emacs-%{version}/site-lisp/
nkf -w --overwrite $RPM_BUILD_ROOT%{_datadir}/emacs-%{version}/site-lisp/menu-tree.el

## vine default
%__cp -a %{SOURCE150} %{SOURCE151} \
    $RPM_BUILD_ROOT%{_datadir}/emacs-%{version}/site-lisp/

# The elisp reference manual
#bzcat %{SOURCE13} | tar xf -
#pushd elisp-manual-21-2.8
#install -m 644 elisp elisp-? elisp-?? $RPM_BUILD_ROOT/%{infodir}
#popd

# some modifications of installed files

#rm -f $RPM_BUILD_ROOT%{infodir}/dir
#gzip -9nf $RPM_BUILD_ROOT%{infodir}/*

%__install -m 644 %{SOURCE10} \
	$RPM_BUILD_ROOT/%{_datadir}/emacs-%{version}/site-lisp/site-start.el
%__sed -i -e 's/EMACS_VERSION/%{version}/g' \
          -e 's/VINE_DEFAULT_MAJOR_VERSION/%{vine_default_major_version}/g' \
	$RPM_BUILD_ROOT/%{_datadir}/emacs-%{version}/site-lisp/site-start.el

## create site-start.d directory
%__install -m 755 -d ${RPM_BUILD_ROOT}/etc/emacs-%{version}/site-start.d

# install coding-system init.el
%__install -m644 %{SOURCE110} \
    $RPM_BUILD_ROOT/%{_datadir}/emacs-%{version}/site-lisp/menu-tree-init.el
%__ln_s -f %{_datadir}/emacs-%{version}/site-lisp/menu-tree-init.el \
    ${RPM_BUILD_ROOT}/etc/emacs-%{version}/site-start.d/60menu-tree-init.el

## install system-wide configure file
%__install -m755 -d ${RPM_BUILD_ROOT}/etc/emacs
%__install -m644 %{SOURCE20} ${RPM_BUILD_ROOT}/etc/emacs/emacs23-local.el
%__sed -i -e 's/EMACS_VERSION/%{version}/g' \
    ${RPM_BUILD_ROOT}/etc/emacs/emacs23-local.el

## Python mode, php mode and rpm-spec mode

## make file list
strip $RPM_BUILD_ROOT%{_bindir}/* || :

# install desktop file
%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/applications
%__sed -e "s/@@EMACS_VERSION@@/%{emacsversion}/g" %{SOURCE50} > \
    $RPM_BUILD_ROOT%{_datadir}/applications/$(basename %{SOURCE50} .in)
[ -f $RPM_BUILD_ROOT%{_datadir}/applications/emacs.desktop ] && \
    %__rm -f $RPM_BUILD_ROOT%{_datadir}/applications/emacs.desktop || exit 1

# install icons
%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/icons
%__cp -a etc/images/icons/hicolor $RPM_BUILD_ROOT%{_datadir}/icons/

## remove man files
%__rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/* || exit 1

## Remove ctags
#rm -f $RPM_BUILD_ROOT/usr/bin/ctags
#rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/*ctags*
#rm -f $RPM_BUILD_ROOT/%{_datadir}/emacs/%{version}/etc/ctags*

DIR="${RPM_BUILD_ROOT}%{_datadir}/emacs \
     ${RPM_BUILD_ROOT}%{_datadir}/emacs-%{version}"
BIN=${RPM_BUILD_ROOT}%{_bindir}
LIB=${RPM_BUILD_ROOT}%{_libdir}
EL="*.el"

## prepare file list for emacs

echo "/usr/bin/b2m
/usr/bin/ebrowse
/usr/bin/etags
/usr/bin/rcs-checkin
/usr/bin/emacs
/usr/bin/emacsclient
/usr/bin/gctags
/usr/bin/grep-changelog
/usr/share/icons/hicolor/scalable/apps/emacs.svg
/usr/share/icons/hicolor/scalable/mimetypes/emacs-document.svg"|
    %__sed -e "s#[^\n]*#mv ${RPM_BUILD_ROOT}\0 ${RPM_BUILD_ROOT}\0.emacs-%{version}#"| 
    awk '{system($_)}'  


# find ${RPM_BUILD_ROOT}/%{_mandir} -type f |
# sed -e "s#\.gz##"|
# sed -e "s#[^\n]*#mv \0.gz \0-emacs-%{version}.gz#"|
#    awk '{system($_)}'




#find ${RPM_BUILD_ROOT}/%{_infodir} -type f |
#sed -e "s#\.gz##"|
#sed -e "s#[^\n]*#mv \0.gz \0-e21.gz#"|
#    awk '{system($_)}' 





find $DIR $BIN $LIB -type d |
  %__sed -e "s#^${RPM_BUILD_ROOT}#%dir #" > rpm-files

find $DIR $BIN $LIB -type f |
  %__sed -e "
    s#^${RPM_BUILD_ROOT}\(.*movemail\)#%attr(2755, root, mail) \1#
    s#^${RPM_BUILD_ROOT}##
  " >> rpm-files


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %__rm -rf ${RPM_BUILD_ROOT}


%define info_files ccmode cl dired-x ediff emacs forms gnus info message mh-e reftex sc vip viper widget


%pre

if [ -L %{_datadir}/emacs-%{version}/site-lisp ] ; then
    %__rm -f %{_datadir}/emacs-%{version}/site-lisp
fi

if [ -d %{_datadir}/emacs/%{version}/site-lisp ] ; then
    find %{_datadir}/emacs/%{version}/site-lisp/* -maxdepth 0 | grep -v subdirs.el | \
	xargs %__rm -rf
fi


%post

if [ "$1" = 1 ]; then

%_addflavorslist emacs-%{version}

export PRIORITY=40

%_installemacs emacs-%{version}

unset PRIORITY
fi

if [ "$1" = 2 ]; then

#  export PRIORITY=40
  
#  %_installemacs emacs-%{version}
  
#  unset PRIORITY
    
  echo emacs-%{version} >  /var/lib/emacsen-common/doinstaflavor-emacs
    
fi


%postun

if [ $1 = 1 ]; then
# run upgrade install time

# old version uninstall

%_removeflavorslist emacs-%{version}

%_removeemacs emacs-%{version}

#new version install
if [ -f /var/lib/emacsen-common/doinstaflavor-emacs ] ; then

NEWFLAVOR=$(cat /var/lib/emacsen-common/doinstaflavor-emacs)

%_addflavorslist $NEWFLAVOR

export PRIORITY=40

%_installemacs $NEWFLAVOR

unset PRIORITY

%__rm -rf /var/lib/emacsen-common/doinstaflavor-emacs

fi

fi


%preun
if [ $1 = 0 ]; then

%_removeflavorslist emacs-%{version}

%_removeemacs emacs-%{version}

fi


%triggerpostun -- emacs23 < %{version}-%{release}

%_addflavorslist emacs-%{version}

export PRIORITY=40

%_installemacs emacs-%{version}

unset PRIORITY


%files -f rpm-files 
%defattr(-,root,root)
%doc INSTALL README BUGS ChangeLog
%dir %{_sysconfdir}/emacs-%{version}
%dir %{_sysconfdir}/emacs-%{version}/site-start.d
%{_sysconfdir}/emacs-%{version}/site-start.d/*.el
%config(noreplace) %{_sysconfdir}/emacs/emacs23-local.el
%{_infodir}/*
# %{_mandir}/*/*
%{_datadir}/applications/emacs23.desktop
%{_datadir}/icons/hicolor/*
# %{_datadir}/emacs-%{version}/site-lisp
%dir %{_localstatedir}/games/emacs
%{_localstatedir}/games/emacs/*

%changelog
* Tue Apr 05 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.3-3
- updated site-start.el
  - defined vine-default-major-version, vine-default-minor-version, 
    vine-default-version
  - set "ibus-el" to emacs-ime as default
  - added a string ", modified for Vine Linux" to the end of emacs-build-system
  - set "Vine _at_mark_ vinelinux.org" to report-emacs-bug-address

* Sun Apr 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.3-2
- fixed site-start.el
  - do not use the macro loop (contained in the common lisp)

* Fri Mar 11 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.3-1
- new upstream release

* Tue Mar 01 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.3-1.rc1
- updated to 23.3-rc1 (23.3 release candidate)

* Tue Feb 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.2.94-1
- updated to 23.2.94 (23.3 pretest)
- updated site-start.el
  - defined the function drop-vine-default-from-load-path (regex)

* Wed Feb 02 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.2.93-1
- updated to 23.2.93 (23.3 pretest)

* Sat Jan 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 23.2.92-1
- updated to 23.2.92 (23.3 pretest)
- dropped upstreamed patches
  - emacs-23.2-m17ncheck.patch
  - emacs-23.2-spacing.patch

* Sun Dec 05 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.2-5
- applied new vine-default system
  - updated site-start.el
  - updated vine-default-{base,faces}.el
  - dropped showvdefaultemacs
    - merged to emacsen-common package as show-vine-default.sh
  - renamed local wide configration file to emacs23-local.el
- updated menu-tree.el to version 0.97
- updated emacs23.desktop.in and menu-tree-init.el.emacs23, little

* Sat Oct 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.2-4
- updated vine-default-base.el
  - changed the variable next-line-add-newlines to nil (default)

* Thu Sep 23 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.2-3
- updated menu-tree.el to version 0.96

* Sat Jul 03 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.2-2
- applied some patches from Fedora
  - Fixed handling of dual spacing fonts rhbz#599437
  - Add patch to fix rhbz#595546 hideshow library matches wrong parenthesis
    under certain circumstances
  - Added a patch fixing m17n and libotf version checking (m17ncheck)
- updated menu-tree.el to version 0.95
- merged emacs23-vl.spec of Vine Linux 5.1
#* Thu Apr 01 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-9
#- applied security fix emacs23-CVE-2010-0825-fix-movemail-race.diff from Ubuntu
#
#* Fri Feb 09 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-8
#- added Requires(post): emacsen-common, Requires(postun): emacsen-common
#
#* Fri Feb 05 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-7
#- dropped BuildRequires: m17n-lib-devel
#- added --without-m17n-flt in %%configure

* Mon May 31 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.2-1
- new upstream release
- updated menu-tree.el to version 0.94
- updated menu-tree-init.el.emacs23
  - used prefer-coding-system

* Wed Apr 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1.96-1
- updated to 23.1.96 (23.2 pretest)

* Sun Apr 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1.95-2
- removed /usr/share/emacs/site-lisp/subdirs.el

* Sat Apr 03 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1.95-1
- updated to 23.1.95 (23.2 pretest)
- added BuildRequires: 
  - atk-devel
  - dbus-devel
  - GConf2-devel
  - alsa-lib-devel
- added some configure options: 
  --with-libotf --with-m17n-flt --with-dbus --with-gconf

* Sun Mar 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1.94-1
- updated to 23.1.94

* Thu Mar 04 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1.93-1
- updated to 23.1.93 alpha

* Sat Feb 13 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1.92-2
- added Requires(post): emacsen-common, Requires(postun): emacsen-common

* Tue Feb 02 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1.92-1
- update to 23.1.92 alpha

* Sun Jan 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-6
- added BuildRequires: 
  - librsvg2-devel
  - m17n-lib-devel
  - libotf-devel

* Sun Jan 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-5
- changed License to GPLv3+
- renamed emacs23.desktop to emacs23.desktop.in
- updated vine-default-base.el (See [vine-users:079919])
- fixed in upstream CVS (from Fedora)
  - fix #543046 - Using scroll bar in emacs highlights/selects text
  - fix #542657 - emacs does not display indic text
  - Fixed rhbz#545398 - ETags messes up filenames

* Tue Sep 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-4
- rebuilt to add signature

* Fri Aug 19 2009 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-3
- added BuildRequires: nkf
- updated menu-tree-init.el.emacs23
  - fixed menu-tree encoding <BTS:VineLinux:766>
- set Exec=emacs-@@EMACS_VERSION@@ in emacs23.desktop

* Wed Aug 19 2009 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-2
- replaced BR: libungif-devel with BR: giflib-devel

* Sat Aug 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 23.1-1
- new upstream release

* Sat Jul 25 2009 Munehiro Yamamoto <munepi@vinelinux.org> 23.0.96-2.20090714
- updated vine-default-faces.el to sync with emacs22

* Tue Jul 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0.96-1.20090714
- update to 23.0.96 (20090714) snapshot
- update vine-default-faces.el
  - use bash to call gconftool-2

* Sat Jun 27 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.94-4.20090527
- update vine-default-faces.el
  - added \'font in default-frame-alist
    (if \'font is already in default-frame-alist, overwrited it)

* Wed Jun 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.94-3.20090527
- update vine-default-faces.el: 
  - use set-frame-font
    bacause set-default-font function is obsolete since Emacs 23.1
    (See M-x describe-function RET set-default-font)

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.94-2.20090527
- update vine-default-faces.el: 
  - set desktop-gnome-interface-monospace-font-name 
    from /desktop/gnome/interface/monospace_font_name
  - automatically set set-default-font 
    with desktop-gnome-interface-monospace-font-name

* Wed May 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0.94-1.20090527
- update to emacs-23.0.94 (20090527) snapshot
- add --without-gpm to configure

* Thu May 21 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.92-7.20090422
- defined show-vine-default function in site-start.el
  - added showvdefaultemacs script

* Wed May 20 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.92-6.20090422
- set PRIORITY=40

* Wed May 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.92-5.20090422
- changed menu-tree-init.el from hard copy to symbolic link 
  on /etc/emacs-23.0.92/site-start.d
- added %%{_mandir}/*/* in %%files section

* Sat May 02 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.92-4.20090422
- updated menu-tree.el to v0.93

* Fri May 01 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.92-3.20090422
- returned alternatives priority to 30
  (emacs: 30, emacs22: 30)

* Sun Apr 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.92-2.20090422
- installed system-wide configure file in /etc/emacs
- updated vine-default-base.el
- changed alternatives priority from 30 to 50 
  (emacs: 50, emacs22: 30)

* Wed Apr 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0.92-1.20090422
- update to emacs 23.0.92 (20090422) snapshot
- add %%triggerpostun to fix alternatives

* Tue Apr 21 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.91-3.20090325
- renamed from emacs23 to emacs (emacs-22.x would be renamed to emacs22)
- updated default settings for Vine Linux
  - dropped vine-default-mouse.el, vine-default-misc.el

* Sat Apr 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 23.0.91-2.20090325
- enable default settings for Vine Linux
  - added site-start.el.emacs23
  - updated site-start.el
  - added vine-default-base.el, vine-default-faces.el, vine-default-mouse.el, 
    vine-default-misc.el

* Wed Mar 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0.91-1.20090325
- emacs23 23.0.91 snapshot

* Tue Sep 09 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 23.0.60-2.20080908
- drop patch10
- s/emacsrelese/emacsrelease/

* Mon Sep 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0.60-1.20080908
- emacs23 23.0.60 snapshot

* Sun Sep 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 22.3-1
- new upstream release

* Mon Aug 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 22.2-3
- import security fixes from Debian
  CVE-2008-2142: fix insecure setting of fast-lock-cache-directories
  CVE-2008-1694: fix insecure temporary file creation in vcdiff script
                 leading to possible symlink attacks

* Tue Jun 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 22.2-2
- update menu-tree.el
- add 60menu-tree-init.el to sed coding-system and load menu-tree
- build with xorg-x11-7.3
  - update BuildRequires

* Sun Mar 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 22.2-1
- new upstream release

* Wed Nov 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 22.1-0vl2
- add Patch10000 to fix local variable processing security bypass
  vulnerability.
  - http://www.frsirt.com/english/advisories/2007/3715
  - http://bugs.debian.org/449008

* Mon Jun 04 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 22.1-0vl1
- new upstream release
- rename to emacs from emacs22 (emacs-21.x would be renameed to emacs21)
- drop emcws support

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 22.0.50-0.20060403vl3
- rebuilt with new toolchain

* Sat May 06 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 22.0.50-0.20060403vl2
- changed Group:

* Mon Apr 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 22.0.50-0.20060403vl1
- update to CVS-20060403
- update emacs22.desktop

* Wed Sep 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 22.0.50-0.20050927vl2
- fix site-start.el

* Tue Sep 27 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 22.0.50-0.20050927vl1
- update to CVS-20050927

* Thu Sep  8 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 22.0.50-0.20050907vl1
- initial build for Vine Linux based on emacs package.
  - emacs-22.0.50 on CVS-20050907

* Sat Sep  3 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.4-0vl3
- create site-start.d directory on %install

* Thu Feb 17 2005 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4-0vl2
- included leim-21.4
- update emcws-21.3-20031213.gz

* Wed Feb 16 2005 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.4-0vl1
- update

* Sat Jul 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 21.3-0vl7
- rebuild with Xaw3d, add BuildRequires: Xaw3d-devel

* Fri Jul 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 21.3-0vl6
- add Patch20 to fix display resolutions. (set to 96dpi)
  (do not compute dynamically from display's size)

* Tue Mar 16 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.3-0vl5
- rebuilt with new toolchain environment

* Thu Jul 17 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.3-0vl4
- use site-start.el(reading /etc/emacs-21.3/site-start.d/*.el)

* Wed May  7 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 21.3-0vl3
- add BuildPrereq: libpng >= 1.2.5

* Tue Apr 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 21.3-0vl2
- fixed %%pre script

* Tue Mar 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 21.3-0vl1
- new upstream release
- remove patch14 whick included in upstream

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 21.2-0vl11
- add patch14 to fix frame title text encoding.
  - http://tsukuba.m17n.org/mule-ja-archive/2002-10/msg00004.html

* Tue Dec 10 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.2-0vl10
- autoconf-2.13, not autoconf in %%setup section
- BuildPreReq: autoconf213

* Mon Dec  9 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 21.2-0vl9
- modifiy rpm scripts.

* Mon Dec  9 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 21.2-0vl8
- rename to emacs
- obsoletes emacs21 <= 21.2-0vl7, provides emacs21 = %%{version}

* Sun Dec  1 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 21.2-0vl7
- enable menubar fontset patch (Patch103)

* Sat Nov 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 21.2-0vl6
- add requires/buildprereq tags.

* Sat Nov 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 21.2-0vl5
- add emcws-20021014

* Sun Jul 21 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 21.2-0vl4
- removed *-mode 

* Sat Jul 20 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 21.2-0vl3
- python-mode was made pending
- some additional *.el files was moved from "emacs/site-lisp" to
  "emacs-(version)/site-lisp"

* Sat Jul 13 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 21.2-0vl2
- added some sources and patches from rawhide 21.2-11 and mandrake 21.2-7mdk

* Sat May 11 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 21.2-0vl1
- update.
- Package Name emacs-beta -> emacs21
- Add Patch100,101,102, Source100(default = Disable)
- (from http://phe.phyas.aichi-edu.ac.jp/~cyamauch/pl2.html#emacs21)
- --infodir=%{_infodir}/emacs-21.2(VineSeed-Plus:00723)

* Thu Dec 27 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.1-0vl7
- site-lisp moved under /usr/share/emacs-21.1/ (Patch11 and %%pre section)

* Thu Dec 06 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.1-0vl5
- move /tmp -> /var/lib/emacsen-common (IP(package)C file)

* Fri Nov 02 2001 Tomoya TAKA <tomoya@olive.plala.or.jp> 21.1-0vl4
- replace patch10 with patch11, posted to gnu.emacs.bug
  Message-Id: <jebsiza3db.fsf@sykes.suse.de>
  (reported by ABE Yuji <cbo46560@pop12.odn.ne.jp>)

* Fri Oct 26 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.1-0vl3
- fixed build to fail in alpha( only apply patch0 to ppc) 

* Tue Oct 23 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21.1-0vl2
- added Patch10 (thanks Kitame-san)

* Mon Oct 22 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.1-0vl1
- update to 21.1

* Sun Sep 9 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.0.104-0vl14
- support  shared installing otheremacsen.

* Mon Jul 23 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.0.104-0vl3
- update 21.0.104

* Thu Jul 19 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.0.103-0vl2
- support emacsen-common

* Wed May 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 21.0.103-0vl1
- updated to 21.0.103
- revamped and cleaned up spec file :-)
- Requires: tamago >= 4.0.6 (...is it reasonable? Mmm...)

* Mon Jan 22 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.0.95-0vl2
- fixed .spec bugs( _libdir)

* Fri Jan 12 2001 Kazuhisa TAKEI <takei@vinelinux.org> 21.0.95-0vl1
- updated to 21.0.95 

* Wed Dec 20 2000 Kazuhisa TAKEI <takei@vinelinux.org> 21.0.93-0vl3
- fixed emacs-beta.spec

* Sat Dec 16 2000 Kazuhisa TAKEI <takei@vinelinux.org> 21.0.93-0vl2
- 21.0.93 test packaging.

* Fri Jun 30 2000 T.R. Kobayashi <tkoba@ike-dyn.ritsumei.ac.jp>
- added linespace-patch

* Mon Jun 19 2000 MACHINO, Satoshi <mac@netfort.gr.jp>
- updated to emacs 20.7

* Thu Apr 20 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to emacs 20.6

* Mon Feb 28 2000 kenji KITAYAMA <kenji@gandalf.doshisha.ac.jp>
- [emacs-20.5a-2]
- Modified reference of Emacs Info

* Sun Jan 23 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- [emacs-20.5a-2]
- added ppc patch

* Fri Jan  7 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- [emacs-20.5a-1]
- change version from 20.5 to 20.5a
- added Mule-4.1 patch

* Fri Jan  7 2000 Yasuyuki Furukawa <yasu@on.cs.keio.ac.jp>
- [emacs-20.5-1]
- add desktop-link files for desktop menu.

* Thu Dec 24 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- [emacs-20.4-16]
- replaced Y2K savvy timezone.{el,elc} with one from brand-new apel-10.0

* Tue Dec 21 1999 Jun Nishii <jun@vinelinux.org>
- added documents
- strip bins

* Wed Dec  1 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- [emacs-20.4-14]
- Change Group to Applications/Editors/Emacs

* Sat Nov  6 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- [emacs-20.4-13]
- included Y2K savvy timezone.{el,elc},
  modified by Mr. Youichi Teranishi <teranishi@gohome.org>

* Tue Oct 12 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [emacs-20.4-12]
- Modified info-dir.
- Removed -c option from %setup.

* Sun Sep 20 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- fixed XIM support patch
* Sun Sep 19 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- fixed postinst bug and fontset patch
* Sun Jul 18 1999 Kazuhisa TAKEI<takei@hh.iij4u.or.jp>
- first build
