%define glib2_version 2.26.1
%define pango_version 1.28.3
%define gtk2_version 2.22.1
%define gconf2_version 2.32.0
%define gnome_desktop_version 2.32.1
%define gnome_icon_theme_version 2.31.0
%define desktop_file_utils_version 0.16

Summary: Eye of GNOME image viewer
Summary(ja): Eye of GNOME 画像ビューワ
Name:    eog
Version: 2.32.1
Release: 2%{?_dist_release}
URL: http://projects.gnome.org/eog/
Group: Applications/Graphics
License: GPL 

Source0: http://ftp.gnome.org/pub/GNOME/sources/eog/2.32/%{name}-%{version}.tar.bz2
Source1: eog-gnome-2-32-help-ja.po
Source2: eog-gnome-2-32-help-ja-figures.tar.bz2
Source3: eog.gnome-2-32.ja.po
Patch0:	eog-2.32.1-fix-category.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post,postun): scrollkeeper
Requires(post,pre,preun): GConf2
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: shared-mime-info >= 0.20
BuildRequires: libexif-devel
BuildRequires: libXt-devel
BuildRequires: libffi-devel
BuildRequires: lcms-devel
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: libjpeg-turbo-devel
BuildRequires: librsvg2-devel
BuildRequires: python-devel, pygobject-devel, pygtk2-devel
BuildRequires: docbook-dtds

%description
Eye of GNOME (EOG) is an image viewer component used by Nautilus.

%description -l ja
Eye of GNOME (EOG) は Nautilus が使用する画像ビューワです．


%package        devel
Summary:        Development tools for eog applications.
Summary(ja):    eog アプリケーションの開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:      pkgconfig
Requires:      gtk2-devel
Requires:      GConf2-devel

%description devel
Header files and libraries for building a extension library for the eog.


%prep
%setup -q
%patch0 -p1
%{__cp} %{SOURCE1} help/ja/ja.po
(cd help/ja && tar jxf %{SOURCE2})
%{__cp} %{SOURCE3} po/ja.po

%build
%configure --disable-schemas-install --disable-scrollkeeper
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -fr $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

mkdir -p $RPM_BUILD_ROOT%{_libdir}/eog/plugins

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/eog.schemas > /dev/null
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      	%{_sysconfdir}/gconf/schemas/eog.schemas >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      	%{_sysconfdir}/gconf/schemas/eog.schemas >/dev/null || :
fi

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gnome
%{_datadir}/applications/*.desktop
%{_datadir}/omf
%{_datadir}/eog
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_libdir}/eog

%files devel
%{_includedir}/eog-2.20
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/eog

%changelog
* Thu Apr 07 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.1-2
- Add Source{1,2}(Update Japanese Translation)
- Add Patch0(Fix category of help)

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Tue Oct 19 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-2
- add BuildRequires: librsvg2-devel
- add devel sub package again

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- remove BuildRequires: libgnomeui-devel
- change BuildRequires: libjpeg-turbo-devel instead of libjpeg-devel

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-3
- add devel sub package

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: python-devel, pygobject-devel, pygtk2-devel

* Sat Jan 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release
- add BuildRequires: gnome-doc-utils >= 0.3.2, libjpeg-devel, docbook-dtds

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3.1-1
- new upstream release
- changed Group to Applications/Graphics

* Tue Oct 28 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 2.22.2-2
- rebuilt with python-2.5.2

* Thu Jun  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release
- removed BuildRequires: libgnomeprint[ui]-devel
- added BuildRequires: gnome-icon-theme
- spec in UTF-8

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.3-0vl1
- new upstream release

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release

* Wed Aug  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.3-0vl1
- new upstream release

* Wed May 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release
- add BuildRequires: libexif-devel

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.91-0vl1
- new upstream release

* Sun Feb 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release

* Wed Oct 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Wed Mar 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.0-0vl1
- new upstream version

* Fri Jan 07 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.2-0vl1
- new upstream release
- added Japanese summary and description

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Mon Dec 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.1-0vl1
- new upstream release
- rebuild with new toolchains

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.6-0vl1
- new upstream release

* Tue Jun 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl2
- add missing files

* Wed Jan 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.4-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-0vl2
- remove redhat category

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-0vl1
- build for Vine Linux

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 1.0.2
- remove --copy-generic-name-to-name because there's no GenericName
  anymore
- include libexecdir stuff

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- copy generic name to name and move to -Extra

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 1.0.1, rebuild with new gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- use desktop-file-install

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun 05 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnomeprint

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 0.118.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 0.117.0

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- initial build



