Name: facile
Summary: Functional Constraint Library implemented in Objective Caml
Summary(ja): OCaml で実装された関数制約ライブラリ
Version: 1.1
Release: 11%{?_dist_release}

License: LGPL
Group: System Environment/Libraries
URL: http://www.recherche.enac.fr/opti/facile/

Source: http://www.recherche.enac.fr/opti/facile/distrib/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ocaml >= 3.02
Requires: ocaml >= 3.02

Vendor: Project Vine
Distribution: Vine Linux

Packager: inagaki

%description
FaCiLe is a constraint programming library on integer and integer set 
finite domains written in OCaml. It offers all usual facilities to create and 
manipulate finite domain variables, arithmetic expressions and constraints 
(possibly non-linear), built-in global constraints (difference, cardinality, 
sorting etc.) and search and optimization goals. FaCiLe allows as well to 
build easily user-defined constraints and goals (including recursive ones), 
making pervasive use of OCaml higher-order functionals to provide a simple 
and flexible interface for the user. As FaCiLe is an OCaml library and not 
"yet another language", the user benefits from type inference and strong 
typing discipline, high level of abstraction, modules and objects system, 
as well as native code compilation efficiency, garbage collection and replay 
debugger, all features of OCaml (among many others) that allow to prototype 
and experiment quickly: modeling, data processing and interface are 
implemented with the same powerful and efficient language. For a more 
complete description, you may consult the preface and foreword of the online 
documentation

%prep
%setup -q

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml/facile
cp src/facile.cmi src/facile.cma src/facile.cmxa src/facile.a $RPM_BUILD_ROOT%{_libdir}/ocaml/facile
chmod a+r $RPM_BUILD_ROOT%{_libdir}/ocaml/facile/facile.cmi
chmod a+r $RPM_BUILD_ROOT%{_libdir}/ocaml/facile/facile.cma
chmod a+r $RPM_BUILD_ROOT%{_libdir}/ocaml/facile/facile.cmxa
chmod a+r $RPM_BUILD_ROOT%{_libdir}/ocaml/facile/facile.a

%clean
rm -rf $RPM_BUILD_ROOT

%check
make check

%files
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/ocaml/facile/*

%changelog
* Wed Apr 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1-11
- rebuilt with ocaml-3.12.0
- added Japanese summary
- added Vendor and Distribution tag

* Sun Sep 13 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.1-10
- rebuilt with ocaml-3.11.0 (x86_64 has not built with ocaml-3.11.0)

* Sat May  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1-9
- rebuilt with ocaml-3.11.0

* Sat Jul 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1-8
- rebuild with ocaml-3.10.2

* Thu Feb  7 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl5.2
- rebuild with ocaml-3.10.1 on Vine4.2

* Thu Feb  7 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl7
- rebuild with ocaml-3.10.1

* Tue Oct 23 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl5.1
- rebuild with ocaml-3.10.0 on Vine4.1

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1-0vl6
- rebuild with ocaml-3.10.0

* Thu Jun 15 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1-0vl5
- rebuild with ocaml-3.09.2 on VineSeed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl4
- rebuild with ocaml-3.09.1 on VineSeed

* Thu Mar 23 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl3
- rebuild with ocaml-3.09.1 on Vine3.2

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl2
- rebuild for VineSeed

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.1-0vl1
- initial release
