%define devtool b25dir

Name:           fuse_b25
Version:        0.4.6
Summary:	FUSE filesystem to descramble streams from ISDB-T/S DVB devices
Release: 	1%{?_dist_release}
## 0.4.1
Source0:	http://2sen.dip.jp/cgi-bin/dtvup/source/up0596.zip
## 0.4.1 -> 0.4.2
Source1:	http://2sen.dip.jp/cgi-bin/dtvup/source/up0600.zip
## 0.4.2 -> 0.4.3
Source2:	http://2sen.dip.jp/cgi-bin/dtvup/source/up0606.zip
## 0.4.3 -> 0.4.4
Source3:	http://2sen.dip.jp/cgi-bin/dtvup/source/up0607.zip
## 0.4.4 -> 0.4.5
Source4:	http://2sen.dip.jp/cgi-bin/dtvup/source/up0623.zip
## 0.4.5 -> 0.4.6
Source5:	http://2sen.dip.jp/cgi-bin/dtvup/source/up0631.zip

Patch0:		fuse_b25-0.4.0-stream-iconv_open-utf16be.patch

## Vine
Patch10:	fuse_b25-0.4.0-b25dir-console_apps.patch

Group:		System Environment/Base
License:        GPLv3

BuildRequires:  unzip
BuildRequires:  fuse-devel >= 2.8, pcsc-lite-devel
Requires:       fuse >= 2.8, pcsc-lite

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi


%description
Fuse filesystems which mounts on a backed-up /dev/dvb/adapterN/dvr0 and
relays output streams from the real device to standard DVB applications,
as well as descrambling MULTI2 with pcscd.
 
This package includes a helper script to backup/restore the real dvr0 device.

%prep
[ -d %{name}-%{version} ] && %__rm -rf %{name}-%{version}

%__unzip -o %{SOURCE0}
%__unzip -o %{SOURCE1}
%__unzip -o %{SOURCE2}
%__unzip -o %{SOURCE3}
%__unzip -o %{SOURCE4}
%__unzip -o %{SOURCE5}

#%__tar zxf %{name}-%{version}/%{name}-%{version}.tar.gz
%__tar zxf %{name}-0.4.1/%{name}-0.4.1.tar.gz

#% setup -D -T %{name}-%{version}
%setup -D -T -n %{name}-0.4.1

## 0.4.1 -> 0.4.2
patch -p1 < ../fuse_b25-0.41to0.42/0003-convert-text-to-UTF16BE.patch || exit 1
patch -p1 < ../fuse_b25-0.41to0.42/0004-convert-genre-info.patch || exit 1
## 0.4.2 -> 0.4.3
patch -p1 < ../0005-nonblock-read.patch || exit 1
## 0.4.3 -> 0.4.4
patch -p1 < ../0006-mutex-demuxer.patch || exit 1
## 0.4.4 -> 0.4.5
patch -p1 < ../fuse_b25-0.4.5/0007-fix-memory-corruption.patch || exit 1
## 0.4.5 -> 0.4.6
patch -p1 < ../fuse_b25-0.4.6/0008-fix-memory-corrupution2.patch || exit 1
%__cp -a ../fuse_b25-%{version}/README . || exit 1

%patch0 -p0 -b .utf16be

%patch10 -p1 -b .vine

%build
%configure
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
%__install -d $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
%__install -p -m 0644 helper/pam.d/%{devtool} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
%__install -d $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
%__install -p -m 0644 helper/console.apps/%{devtool} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/
%__ln_s /usr/bin/consolehelper $RPM_BUILD_ROOT%{_bindir}/%{devtool}

%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README README.old
%doc helper/80-fuse_b25.rules
%{_bindir}/%{name}
%{_bindir}/%{devtool}
%{_sbindir}/%{devtool}
%config %{_sysconfdir}/security/console.apps/%{devtool}
%config %{_sysconfdir}/pam.d/%{devtool}


%changelog
* Wed May 04 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.4.6-1
- new upstream release

* Fri Apr 15 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.4.5-1
- new upstream release

* Sun Mar 27 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.4.4-1
- new upstream release
- applied fuse_b25-0.4.0-stream-iconv_open-utf16be.patch
- applied fuse_b25-0.4.0-b25dir-console_apps.patch

* Fri Mar 25 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.4.0-1
- new upstream release
  - dropped rendvr0, fuse_b25.org

* Mon Feb 07 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.3.0-2
- fixed PROGRAM and added GUI=no in console.apps/b25dvr

* Sun Feb 06 2011 Munehiro Yamamoto <munepi@vinelinux.org> 0.3.0-1
- initial build

* Mon Dec 6 2010 0p1pp1 - 0.2.1-1
- updated to ver. 0.2.1

* Fri Sep 17 2010 0p1pp1 - 0.2-1
- updated to ver.0.2

* Fri Dec 11 2009 0p1pp1 - 0.1
- initial release
