%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name: 		gtk-xfce-engine
Summary: 	Port of xfce engine to GTK+-2.0
Version: 	2.8.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv3
URL: 		http://www.xfce.org/

Source0:	http://www.xfce.org/archive/xfce-4.4.1/src/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	glib2-devel >= 2.18.0
BuildRequires: 	gtk2-devel >= 2.14.0
BuildRequires:  pkgconfig
Requires:	glib2 >= 2.18.0
Requires:	gtk2 >= 2.14.0

%description
A port of Xfce engine to GTK+-2.0.

# compat32
%package -n compat32-%{name}
Summary:	Port of xfce engine to GTK+-2.0
Group:		User Interface/Desktops
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
A port of Xfce engine to GTK+-2.0.

%prep
%setup -q

%build
%configure --enable-silent-rules --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/gtk-2.0/*/engines/*.so
%{_datadir}/themes/*

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/gtk-2.0/*/engines/*.so
%endif

%changelog
* Mon Mar 28 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.0-1
- new upstream release

* Sun Jun 28 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.6.0-2
- added compat32 package for x86_64 arch support.

* Fri May 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.6.0-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.4.1-1vl5
- applied new versioning policy

* Tue Apr 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release
- build with gtk+-2.10

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 2.2.8-0vl1
- new upstream release

* Sun Jun 12 2005 UECHI Yasumasa <uechi@potaway.net> 2.2.7-0vl1
- new upstream release

* Sat Mar 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.6-0vl1
- new upstream release

* Mon Jan 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.5-0vl1
- new upstream release

* Tue Nov 09 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 2.1.10-0vl1
- new upstream release

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.9-0vl1
- new upstream release
- build with gtk+-2.4.0

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 2.1.8-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 2.1.7-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 2.1.6-0vl1
- initial release for vine

