# Note that this is NOT a relocatable package

%define glib2_base_version 2.28.5
%define glib2_version %{glib2_base_version}-1
%define pango_base_version 1.28.3
%define pango_version %{pango_base_version}-1
%define atk_base_version 1.32.0
%define atk_version %{atk_base_version}-1
%define cairo_base_version 1.10.0
%define cairo_version %{cairo_base_version}-1
%define gdkpixbuf2_base_version 2.22.1
%define gdkpixbuf2_version %{gdkpixbuf2_base_version}-1
%define gobject_introspection_version 0.9.8

%define base_version 2.24.4
%define bin_version 2.10.0

# biarch support
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
%define _query_suffix %{nil}
%if %{build_compat32}
%define _query_suffix -32
%endif

Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Summary(ja): X 用 GUI 作成ライブラリ: GIMP ツールキット(GTK+)
Name: gtk2
Version: %{base_version}
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries

Source: gtk+-%{version}.tar.bz2

# biarch support
Patch0: gtk2-2.21.6-lib64.patch

Patch100: gtk+-2.8.19-vine-default-theme.patch

BuildRequires: atk-devel >= %{atk_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: cairo-devel >= %{cairo_version}
BuildRequires: gdk-pixbuf2-devel >= %{gdkpixbuf2_version}
BuildRequires: libtiff-devel >= 3.7
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: jasper-devel
BuildRequires: gtk-doc
#BuildRequires: automake17, autoconf
BuildRequires: gamin-devel
BuildRequires: cups-devel
BuildRequires: libICE-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel >= 1.3.0
BuildRequires: libXrender-devel
BuildRequires: libXcursor-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: gobject-introspection-devel >= %{gobject_introspection_version}

BuildRoot: %{_tmppath}/gtk-%{version}-root
Obsoletes: gtk+-gtkbeta
Obsoletes: Inti
Provides: gail = %{version}-%{release}
Obsoletes: gail < 2.14

Conflicts: gtk2-engines < 2.6.0

URL: http://www.gtk.org

# required for icon themes apis to work
Requires: hicolor-icon-theme

# We need to prereq these so we can run gtk-query-immodules-2.0
Requires(post): glib2 >= %{glib2_version}
Requires(post): atk >= %{atk_version}
Requires(post): pango >= %{pango_version}
Requires(post): libSM >= 1.1.0
# We need to prereq libtiff >= 3.7 to run gdk-pixbuf-query-loaders
Requires(post): libtiff >= 3.7
Requires: libXrandr >= 1.3.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, Takemikaduchi


%description
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable for
projects ranging from small one-off tools to complete application
suites.

%package devel
Summary: Development tools for GTK+ applications.
Summary(ja): GTK+ (GIMP ツールキット) アプリケーション開発ツール
Group: Development/Libraries
Requires: gtk2 = %{version}
Requires: pango-devel >= %{pango_version}
Requires: gdk-pixbuf2-devel >= %{gdkpixbuf2_version}
Requires: atk-devel >= %{atk_version}
Requires: glib2-devel >= %{glib2_version}
Requires: libX11-devel, libXcursor-devel, libXinerama-devel
Requires: libXext-devel, libXi-devel, libXrandr-devel
Requires: libXfixes-devel, libXcomposite-devel
Requires: libpng-devel
Obsoletes: gtk+-gtkbeta-devel
Obsoletes: Inti-devel
Provides: gail-devel = %{version}-%{release}
Obsoletes: gail-devel < 2.14
## avoid header collisions
Conflicts: gtk+-devel <= 1.2.8
Conflicts: gdk-pixbuf-devel <= 0.11

%description devel
The gtk+-devel package contains the header files and developer
docs for the GTK+ widget toolkit.  

#######################################################################
# compat32
%package -n compat32-%{name}
Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Summary(ja): X 用 GUI 作成ライブラリ: GIMP ツールキット(GTK+)
Group: System Environment/Libraries
Requires(post): compat32-glib2 >= %{glib2_version}
Requires(post): compat32-atk >= %{atk_version}
Requires(post): compat32-pango >= %{pango_version}
Requires(post): compat32-gdk-pixbuf2 >= %{gdkpixbuf2_version}
Requires(post): compat32-libSM >= 1.1.0
Requires(post): compat32-libtiff >= 3.7
Requires: compat32-libXrandr >= 1.3.0

%description -n compat32-%{name}
GTK+ is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK+ is suitable for
projects ranging from small one-off tools to complete application
suites.

%package -n compat32-%{name}-devel
Summary: Development tools for GTK+ applications.
Summary(ja): GTK+ (GIMP ツールキット) アプリケーション開発ツール
Group: Development/Libraries
Requires: compat32-%{name} = %{version}
Requires: %{name}-devel = %{version}
Requires: compat32-libX11-devel, compat32-libXcursor-devel, compat32-libXinerama-devel
Requires: compat32-libXext-devel, compat32-libXi-devel, compat32-libXrandr-devel
Requires: compat32-libXfixes-devel, compat32-libXcomposite-devel
Requires: compat32-libpng-devel

%description -n compat32-%{name}-devel
The gtk+-devel package contains the header files and developer
docs for the GTK+ widget toolkit.  


%prep
%setup -q -n gtk+-%{version}
%patch0 -p1 -b .lib64
%patch100 -p1 -b .vine-default-theme

#for i in config.guess config.sub ; do
#	test -f %{_datadir}/libtool/$i && cp %{_datadir}/libtool/$i .
#done

%build

if ! pkg-config --exists pangoxft ; then
        echo "No pangoxft.pc!"
        exit 1
fi

#libtoolize --force --copy
#autoreconf -i

%configure --with-xinput=xfree \
 --disable-gtk-doc \
 --enable-man \
 --enable-debug=minimum \
 --disable-rebuilds \
 --disable-glibtest \
 --with-included-loaders=png \
 --enable-introspection=yes

make ARCH=%{_arch}
#make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

%find_lang gtk20
%find_lang gtk20-properties

cat gtk20.lang gtk20-properties.lang > all.lang

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/%{_arch}
#
# Make cleaned-up versions of examples and tutorial for installation
#
mkdir -p tmpdocs/tutorial
# install -m 0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
for dir in examples/* ; do
    if [ -d $dir ] ; then
       mkdir -p tmpdocs/$dir
       for file in $dir/* ; do
          case $file in
	     *pre1.2.7)
	        ;;
	     *)
                install -m 0644 $file tmpdocs/$dir
		;;
	  esac
       done
    fi
done

# Install the demo programs
#cd tests
#../libtool --mode=install install testgtk $RPM_BUILD_ROOT%{_bindir}
#../libtool --mode=install install testtext $RPM_BUILD_ROOT%{_bindir}

# We need to have separate 32-bit and 64-bit binaries
# for places where we have two copies of the GTK+ package installed.
# (we might have x86_64 and i686 packages on the same system, for example.)
%if %{build_compat32}
   cp $RPM_BUILD_ROOT%{_bindir}/gtk-query-immodules-2.0 \
      $RPM_BUILD_ROOT%{_bindir}/gtk-query-immodules-2.0%{_query_suffix}
%endif

# Remove unpackaged files
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Raleigh
rm $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules

%postun 
/sbin/ldconfig
if [ $1 = 0 ]; then
    /bin/rm -f %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules
fi

%triggerpostun -- gtk2 <= 2.8.11
/bin/rm -f %{_sysconfdir}/gtk-2.0/gtk.immodules

%if %{build_compat32}
%post -n compat32-%{name}
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0%{_query_suffix} > %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules

%postun -n compat32-%{name}
/sbin/ldconfig
if [ $1 = 0 ]; then
    /bin/rm -f %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules
fi
%endif

%files -f all.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gtk-demo
%{_bindir}/gtk-builder-convert
%{_bindir}/gtk-query-immodules-2.0
%{_bindir}/gtk-update-icon-cache
%{_libdir}/libgtk-x11-2.0.so.*
%{_libdir}/libgdk-x11-2.0.so.*
%{_libdir}/libgailutil.so.*
%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/%{bin_version}
%dir %{_libdir}/gtk-2.0/modules
%{_libdir}/gtk-2.0/modules/lib*.so
%{_datadir}/gtk-2.0
%{_datadir}/themes/Default
%{_datadir}/themes/Emacs
%dir %{_sysconfdir}/gtk-2.0
%dir %{_sysconfdir}/gtk-2.0/%{_arch}
%{_sysconfdir}/gtk-2.0/im-multipress.conf
%{_libdir}/girepository-1.0

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/include
%{_datadir}/gtk-doc/
%{_mandir}/man1/*
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0
%doc tmpdocs/tutorial
%doc tmpdocs/examples

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_bindir}/gtk-query-immodules-2.0%{_query_suffix}
%{_libdir}/libgtk-x11-2.0.so.*
%{_libdir}/libgdk-x11-2.0.so.*
%{_libdir}/libgailutil.so.*
%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/%{bin_version}
%dir %{_libdir}/gtk-2.0/modules
%{_libdir}/gtk-2.0/modules/lib*.so
%dir %{_sysconfdir}/gtk-2.0
%dir %{_sysconfdir}/gtk-2.0/%{_arch}

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%dir %{_libdir}/gtk-2.0
%{_libdir}/gtk-2.0/include
%{_libdir}/pkgconfig/*
%endif

%changelog
* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.4-1
- new upstream release

* Wed Mar 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.3-2
- rebuild with krb5-libs-1.8.2

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.3-1
- new upstream release

* Tue Feb 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.1-1
- new upstream release

* Sat Feb 12 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.0-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.1-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.0-1
- new upstream release
- add BuildRequires: gdk-pixbuf2-devel, gobject-introspection-devel
- remove BuildRequires: gtk2-devel = 2.21.2
- add configure option (--enable-instrospection=yes)

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.21.3-1
- new upstream release
- fix Patch0
- add BuildRequires: gtk2-devel = 2.21.2 (2.21.3 only)
- add Requires: gdk-pixbuf2-devel (devel package)

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.21.2-1
- new upstream release
- change BuildRequires: libjpeg-turbo-devel instead of libjpeg-devel

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.20.1-2
- build with rpm-4.8.1-1 for pkg-config file

* Tue May 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.20.0-1
- new upstream release

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.9-1
- new upstream release

* Tue Feb 16 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.7-1
- new upstream release
- drop upstreamed patch

* Sat Jan 09 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.5-2
- use refreshed old patch for multiarch support 

* Thu Jan 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.5-1
- new upstream release
- change Patch1 (gtk+-2.10.11-lib64.patch -> gtk-lib64.patch)
- add Patch101 (stackoverflow.patch) from FC package
- drop libtoolize and autoreconf

* Tue Nov 29 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.18.3-1
- new upstream release

* Tue Oct 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.2-2
- add BR: libICE-devel, libXext-devel, libXi-devel

* Sun Oct 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.2-1
- new upstream release

* Fri Sep 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-1
- new upstream release
- drop testgtk/testtext

* Sun Jul 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.5-1
- new upstream release

* Thu Jul 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.4-1
- new upstream release

* Mon Jun 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.3-2
- add Patch1 from git master
  - avoid warnings in atom conversion
  - http://git.gnome.org/cgit/gtk+/commit/?id=4b16b875db66c72003606c4199b23899ed451e78

* Mon Jun 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.3-1
- new upstream release

* Sun May 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.2-1
- new upstream release
- remove patch2 (merged in upstream)

* Tue May 05 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.16.1-2
- updated %%files section of compat32 subpackage
- removed %%if !%%{build_compat32} case condition
- updated Requires and Requires(post)

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.1-1
- new upstream release

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.0-1
- new upstream release
- update BuildRequires/Requires

* Sun Jan 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.7-1
- new upstream release

* Tue Dec 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.6-1
- new upstream release

* Wed Nov 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.5-1
- new upstream release

* Sun Nov 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.4-2
- add Patch3,4 from upstream

* Sun Oct 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.4-1
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-1
- new upstream release

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-2
- rebuild with pango-1.22.0,cairo-1.7.6

* Sat Sep 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-1
- new upstream release

* Sat Sep 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-2
- add BuildRequires: jasper-devel

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-1
- new upstream release
- add Provides/Obsoletes: gail

* Thu Jul 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.11-1
- new upstream release

* Thu Jun  5 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.10-1
- new upstream release

* Wed Apr  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.9-2vl5
- added Patch1-4 drom Fedora
  * Mon Oct 22 2007 Matthias Clasen <mclasen@redhat.com> - 2.12.1-4
  - Fix a crash in gnome-system-log (#321701)
  * Wed Oct 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.12.1-2
  - Fix a crash in the firefox print preview (#336771)

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.9-1vl5
- used %%{?_dist_release}

* Wed Mar 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.9-0vl1
- new upstream release

* Sat Mar  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.8-0vl1
- new upstream release

* Thu Feb  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.7-0vl1
- new upstream release

* Thu Jan 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.5-0vl1
- new upstream release

* Sun Dec  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.3-0vl1
- new upstream release

* Thu Nov 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.1-0vl1
- new upstream release
- rebuild with new glib2, atk, pango

* Sun May 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.12-0vl2
- rebuild with new environment

* Wed May 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.12-0vl1
- new upstream release

* Tue Apr 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.11-0vl1
- new upstream release

* Thu Aug 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.20-0vl3
- rebuild with glib2-2.12.1, cairo-1.2.2, pango-1.14.0

* Sat Jul 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.20-0vl2
- new upstream release

* Mon Jun 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.19-0vl2
- change default theme to Vine (Patch10)

* Tue Jun 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.19-0vl1
- new upstream release

* Sun May 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.18-0vl1
- new upstream release

* Tue May 23 2006 NAKAMURA Kenta <kenta@vinelinux.org> 2.8.17-0vl2
- add BuildRequires: gtk-doc
- rename binaries to -32 if build_compat32 option is enabled

* Sat Apr 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.17-0vl1
- new upstream release

* Thu Mar 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.16-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.15-0vl1
- new upstream release

* Thu Mar 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.14-0vl1
- new upstream release

* Sun Mar 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.13-0vl2
- remove old query caches

* Sun Mar 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.13-0vl1
- new upstream release
- add compat32 subpackage for x86_64 arch support.
- add Patch0 for biarch support.

* Sun Jan 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.11-0vl1
- new upstream release

* Thu Jan 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.10-0vl1
- new upstream release
- remove Patch10 that is merged in upstream

* Wed Jan 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.9-0vl3
- add Patch10 to fix gtkfilefilter bug
  http://bugzilla.gnome.org/show_bug.cgi?id=317687

* Wed Dec 28 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.8.9-0vl2
- {_unpackaged_files,_missing_doc_files}_terminate_build now undefined

* Sat Dec 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.9-0vl1
- new upstream release

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.8-0vl1
- new upstream release

* Wed Oct 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.6-0vl1
- new upstream release

* Thu Sep 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.4-0vl1
- new upstream release

* Sun Sep 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.3-0vl1
- new upstream release

* Wed Aug 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Mon Aug 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl2
- add PreReq: cairo >= 0.9.0 to run %%post scripts

* Mon Aug 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Fri Aug 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.5-0vl1
- new upstream release

* Tue Aug 02 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.4-0vl1
- new upstream release

* Mon Jun 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.8-0vl1
- new upstream release
- drop patch3 which is merged in upstream

* Thu Jun 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.7-0vl3
- add Patch3 to remove unneeded debug message from BMP loader

* Tue May 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.7-0vl2
- add PreReq: libtiff >= 3.7 to run gdk-pixbuf-query-loaders
  in %%post script

* Wed Apr 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.7-0vl1
- new upstream release

* Mon Apr 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.5-0vl2
- add Patch1 to fix many broken images (#169870.)

* Sat Apr 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.5-0vl1
- new upstream release

* Fri Mar 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.4-0vl1
- new upstream release

* Sat Feb 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.2-0vl1
- new upstream release

* Mon Jan 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-0vl1
- new upstream release

* Sat Dec 04 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.14-0vl1
- new upstream release

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.13-0vl2
- rebuild with pango-1.6/atk-1.8

* Fri Oct 15 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.13-0vl1
- new upstream release

* Mon Oct 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.11-0vl1
- new upstream release

* Sun Sep 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.10-0vl1
- new upstream release

* Mon Aug 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.7-0vl1
- new upstream release

* Sat Aug 14 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.6-0vl1
- new upstream release

* Fri Jul 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4-0vl1
- new upstream release

* Sun Jun 13 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.4.3-0vl2
- added BuildRequires: automake17

* Sun Jun 13 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.3-0vl1
- new upstream release

* Sat Jun  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Sun May  2 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release
- drop obsolete patches
- update gtkmenushadow patch

* Sun Feb 15 2004 Tomoya TAKA <taka@vinelinux.org> 2.2.4-0vl3
- add freetype217 patch
- fix %%postun

* Sun Nov 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl2
- import some patches from Fedora

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl1
- new upstream release

* Sun Aug 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3-0vl4
- rebuild with new pango/atk

* Sun Aug 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3-0vl3
- new upstream release
- import patch5,6 from rawhide.
- drop patch20 that is merged in upstream

* Sat Aug 23 2003 Tomoya TAKA <taka@vinelinux.org> 2.2.2-0vl3
- add gtkimcontextxim.patch (patch20) based on Owen Taylor's patch
  submitted to bugzilla.gnome.org #115077
  cf. http://bugzilla.gnome.org/show_bug.cgi?id=115077

* Sun Jul 06 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl2
- update gtkmenu shadow patch

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Sun Jun 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl6
- replace dropshadow patch with xfce's one.
- enable dropshadow

* Sat May 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl5
- rebuilt

* Mon Apr 28 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl4
- fixed dropshadow patch, but still not enable.

* Fri Apr 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl3
- rebuild with new libpng

* Fri Apr 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl2
- add patch4, 5 from rawhide.
- add experimental patch10 to support drop shadow.
  (disabled by default)

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release
- drop patch4

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3-0vl3
- merge patch3,4 from rawhide package

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl2
- rebuild with new glib/atk/pango

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl3
- add --enable-debug-minimum to configure.
- add patch10 to disable gtktextview debugging.

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- new upstream release
- build for Vine Linux
- disable debug.

* Fri Nov 22 2002 Havoc Pennington <hp@redhat.com>
- rebuild with xft support

* Wed Nov 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild to hack around xft.pc being in the wrong place
- buildreq the pango with pangoxft

* Thu Nov  7 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3
- remove TODO from doc, no longer exists
- remove 64bit patch, now upstream
- comment out scroll_to patch, jrb has to deal with this
- remove keycode patch now upstream
- remove usintl patch now upstream
- remove imenvar patch, now upstream
- remove xftprefs patch now upstream
- remove xftdraw patch now upstream
- remove installdir patch (no longer applies) and do "makeinstall RUN_QUERY_IMMODULES_TEST=false"
- remove extranotify patch, now upstream
- add gdk-pixbuf-query-loaders to file list
- remove gdk-pixbuf.loaders and gtk.immodules in postun as they are
  not owned by the package (these should probably live in /var since they 
  aren't config files and we overwrite them all the time)

* Thu Oct  3 2002 Owen Taylor <otaylor@redhat.com>
- Add a fix for a 64bit problem in gtktypeutils.h
- Bump in rebuild for RPM configuration problem

* Sun Aug 25 2002 Jonathan Blandford <jrb@redhat.com>
- fix gtk_tree_view_scroll_to_cell

* Fri Aug 23 2002 Owen Taylor <otaylor@redhat.com>
- Fixed Raleigh theme missing from package list

* Mon Aug 19 2002 Owen Taylor <otaylor@redhat.com>
- Fix a memory leak in xftprefs.patch
- Fix extra settings notifies on startup that were causing significant
  performance problems as fonts were reloaded.

* Tue Aug 13 2002 Owen Taylor <otaylor@redhat.com>
- Fixes to GtkIMContextSimple compose table for us-intl keyboards
  (#70995, Alexandre Oliva)
- Fix problem with keycodes passed to GtkIMContextXIM
	
* Thu Aug  8 2002 Owen Taylor <otaylor@redhat.com>
- Remove fixed-ltmain.sh, no longer needed
- Fix bug with GTK_IM_MODULE environment variable
- Remove profile.d entries setting GDK_USE_XFT, since we now default to it on
- Backport patch from CVS HEAD to get Xft to work on non-RENDER XServers
- Version 2.0.6

* Tue Jul 16 2002 Owen Taylor <otaylor@redhat.com>
- Fix cut and paste error in xftprefs patch pointed out by Anders Carlsson

* Mon Jul  8 2002 Owen Taylor <otaylor@redhat.com>
- Add patch to hook Xft up to XSETTINGS

* Tue Jul  2 2002 Jonathan Blandford <jrb@redhat.com>
- tree-view fixes for anaconda.  Already in CVS.

* Fri Jun 21 2002 Owen Taylor <otaylor@redhat.com>
- Default GDK_USE_XFT to on, not off

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.5
- remove xft configure.in patch

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri Jun  7 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Thu Jun  6 2002 Owen Taylor <otaylor@redhat.com>
- Add patch so that configuration works with pango-1.1/fontconfig

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun  3 2002 Havoc Pennington <hp@redhat.com>
- drop /etc/gtk-2.0/gtkrc from the file list, will now be provided by redhat-artwork

* Wed May 29 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed May 29 2002 Havoc Pennington <hp@redhat.com>
- add profile.d entries to set GDK_USE_XFT

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- hardcode automake 1.4 req

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- do the prefix/lib -> libdir thing
- include key themes in the package

* Mon Apr 15 2002 root <otaylor@redhat.com>
- Fix missing .po files (#63336)

* Thu Apr 11 2002 Owen Taylor <otaylor@redhat.com>
- Add reference docs to -devel package (#61184)
- Use GTK2_RC_FILES, not GTK_RC_FILES, since KDE points GTK_RC_FILES 
  to gtk-1.2 ~/.gtkrc

* Wed Apr  3 2002 Alex Larsson <alexl@redhat.com>
- Change dependency for glib2 since gtk and glib versions mismatch

* Wed Apr  3 2002 Alex Larsson <alexl@redhat.com>
- Update to version 2.0.2

* Fri Mar  8 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.0

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.3.15

* Thu Feb 21 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild

* Mon Feb 18 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.3.14

* Fri Feb 15 2002 Havoc Pennington <hp@redhat.com>
- add horrible buildrequires hack

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.3.13.91 snapshot

* Mon Feb 11 2002 Matt Wilson <msw@redhat.com>
- build from CVS snapshot
- use setup -q

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.3.13

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.3.12.90 snapshot

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- Version 1.3.11
- check atk/pango versions explicitly prior to build,
  so that --nodeps tricks don't result in bad binary RPMs

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- pixbuf loaders were missing from file list
- conflict with gdk-pixbuf-devel <= 0.11

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- sync with Owen's version

* Thu Sep 20 2001 Havoc Pennington <hp@redhat.com>
- smp_mflags
- langify

* Wed Sep 19 2001 Havoc Pennington <hp@redhat.com>
- 1.3.8
- add automake hackarounds

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- conflict with old GTK with headers not moved
- prereq new version of pango

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot

* Wed Sep  5 2001 Havoc Pennington <hp@redhat.com>
- build require specific versions of dependencies

* Tue Sep  4 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.3.7

* Thu Jul 26 2001 Havoc Pennington <hp@redhat.com>
- Obsolete Inti and Inti-devel, #49967

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- PreReq specific pango and atk versions (#49434)
- Don't package gtk.immodules (#49584)
- Added BuildRequires for libtiff-devel, libjpeg-devel, libpng-devel (#49495)
- Configure with --disable-gtk-doc (#48987)
- Package libgdk_pixbuf_xlib (#47753)

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- languify to satisfy rpmlint

* Thu Jun 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use something better than libtool

* Wed Jun 13 2001 Havoc Pennington <hp@redhat.com>
- 1.3.6
- libtool hackery
- obsolete gtk+-gtkbeta-devel

* Fri May  4 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.3.5
- Rename to gtk2

* Fri Nov 17 2000 Owen Taylor <otaylor@redhat.com>
- Final 1.3.2

* Tue Nov 14 2000 Owen Taylor <otaylor@redhat.com>
- New snapshot

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- 1.3.2pre1 snapshot version

* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Rename to 1.3.1b to avoid version increment difficulties

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Fix .pc files to not contain -I%{_includedir}

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Update to a CVS snapshot

* Fri Jul 14 2000 Owen Taylor <otaylor@redhat.com>
- Removed stray b from %%postun
- Real 1.3.1 tarball fixing stupid omission in gtk-config

* Fri Jul 07 2000 Owen Taylor <otaylor@redhat.com>
- Version 1.3.1
- move back to /usr
- Remove gtk-config.1 manpage from build since
  it conflicts with gtk+-devel. When we go to 
  gtk+ gtk+1.2 setup, we should add it back

* Fri Jun 30 2000 Owen Taylor <otaylor@redhat.com>
- Rename gtkrc-default source so that it GTK+ package can't remove it

* Thu Jun 8 2000  Owen Taylor <otaylor@redhat.com>
- Rebuild with a prefix of /opt/gtk-beta

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- New version

* Tue Apr 25 2000 Owen Taylor <otaylor@redhat.com>
- Snapshot version to install in /opt/pango

* Mon Feb 21 2000 Owen Taylor <otaylor@redhat.com>
- Fix weird excess  problem that somehow turned up in %{_sysconfdir}/gtkrc.LANG

* Mon Feb 14 2000 Owen Taylor <otaylor@redhat.com>
- More patches from 1.2.7

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- Set the charset explicitely for the default font to avoid
  problems with XFree86-4.0 where the default charset is
  iso10646-1, not iso8859-1.
- Fix problems with size requisitions for scrolled windows
  that was causing looping. (RH bug #7997)

* Thu Feb 03 2000 Owen Taylor <otaylor@redhat.com>
- Explicitely set the foreground of the tooltips to black
  to avoid bad interactions with themes that set a
  light foreground color.

* Thu Feb 03 2000 Owen Taylor <otaylor@redhat.com>
- Added large patch of bugfixes in stable branch of CVS

* Tue Oct 12 1999 Owen Taylor <otaylor@redhat.com>
- Added Akira Higuti's patch for line-wrapping in GTK+

* Thu Oct 7  1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.6

* Thu Sep 23 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.5
- install tutorial GIFs

* Wed Sep 22  1999 Owen Taylor <otaylor@redhat.com>
- Upgrade to real 1.2.5pre2
- Changed name so upgrade to 1.2.5 will work :-(
- Add extra gtkrc files
- Add examples and English language tutorial to -devel package

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Upgraded to 1.2.5pre2. (Actually, pre-pre-2)

* Tue Aug 17 1999 Michael Fulbright <drmike@redhat.com>
- added threaded patch

* Mon Jun 7 1999 Owen Taylor <otaylor@redhat.com>
- Update for GTK+-1.2.3
- Patches that will be in GTK+-1.2.4
- Patch to keep GTK+ from coredumping on X IO errors
- Patch to improve compatilibity with GTK-1.2.1 (allow
  event mask to be set on realized widgets)

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fixes memory leak

* Mon Apr 12 1999 Owen Taylor <otaylor@redhat.com>
- The important bug fixes that will be in GTK+-1.2.2

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- patches from owen to handle various gdk bugs

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added XFree86-devel requirement for gtk+-devel

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- removed /usr/info/dir.gz file from package

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2.0

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre2, patched to use --sysconfdir=%{_sysconfdir}

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- patched in Owen's patch to fix Metal theme

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- added Theme directory to file list
- up to 1.1.7 for GNOME freeze

* Sun Oct 25 1998 Shawn T. Amundson <amundson@gtk.org>
- Fixed Source: to point to v1.1 

* Tue Aug 04 1998 Michael Fulbright <msf@redhat.com>
- change %postun to %preun

* Mon Jun 27 1998 Shawn T. Amundson
- Changed version to 1.1.0

* Thu Jun 11 1998 Dick Porter <dick@cymru.net>
- Removed glib, since it is its own module now

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Tue Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>
  
