Name:           help2man
Summary:        Create simple man pages from --help output
Summary(ja):    --help の出力から簡単なマニュアルページを生成するツール
Version:        1.39.2
Release:        4%{?_dist_release}
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.gnu.org/software/help2man
Source:         ftp://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.gz
Source1:	help2man.ja.po
Patch0:		help2man-fix-strftime.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Requires:	perl-gettext
BuildRequires:	perl-gettext
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, yasumichi

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a
way to generate a placeholder man page pointing to that resource while
still providing some useful information.

%prep
%setup -q -n help2man-%{version}
%patch0 -p1
iconv -f ISO-8859-1 -t utf-8 THANKS > THANKS~
mv THANKS~ THANKS
%{__cp} %{SOURCE1} po/ja.po
# add Japanese locale
echo "ja	ja_JP.utf8" >> locales

%build

%configure
make %{?_smp_mflags}

# Fix up manpage encoding
#for f in help2man.*.h2m; do
#  b=$(basename $f .h2m);
#  c=$(grep 'charset: ISO-*' $f | sed -e 's,^.*: ,,')
#  iconv -f $c -t UTF-8 -o $b.1~ $b.1
#  mv $b.1~ $b.1
#done

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install_l10n DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/help2man.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/help2man.info \
    %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-, root, root,-)
%doc README NEWS THANKS
%{_bindir}/help2man
%{_infodir}/*
%{_mandir}/man1/*
%{_libdir}/help2man
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/help2man.mo
%lang(el) %{_datadir}/locale/el/LC_MESSAGES/help2man.mo
%lang(eo) %{_datadir}/locale/eo/LC_MESSAGES/help2man.mo
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/help2man.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/help2man.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/help2man.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/help2man.mo
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/help2man.mo
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/help2man.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/help2man.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/help2man.mo
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/help2man.mo
%lang(vi) %{_datadir}/locale/vi/LC_MESSAGES/help2man.mo
%lang(de) %{_mandir}/de/man1/*
%lang(el) %{_mandir}/el/man1/*
%lang(eo) %{_mandir}/eo/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt_BR) %{_mandir}/pt_BR/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%lang(uk) %{_mandir}/uk/man1/*
%lang(vi) %{_mandir}/vi/man1/*

%changelog
* Fri May 06 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-3
- add Patch0. (use gettext for format of strftime.)
- update translation.

* Tue May 03 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-3
- update translation.(Fixed [JM:00259])

* Wed Apr 27 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-2
- update translation.(Fixed [VineSeed:23244])

* Wed Apr 27 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.39.2-1
- new upstream release.
- add languages(de, el, eo, it, pt_BR, ru, uk, vi)
- add Japanese translation.
- stop to change encoding of manpages.
- enable nls.
- add Vendor, Distribution and Packager tag.

* Tue Jan 18 2011 Shu KONNO <owa@bg.wakwak.com> 1.36.4-2
- rebuilt with new environment

* Sat Sep 06 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.36.4-1
- initial build for Vine Linux

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.36.4-2
- Update license tag.
- Convert THANKS to utf-8.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.36.4-1
- Upstream update.
- utf-8 encode l10n'd man pages.

* Fri Dec 23 2005 Ralf Corsépius <rc04203@freenet.de> - 1.36.3-1
- Upstream update.
- Add build option --with nls.

* Fri Dec 23 2005 Ralf Corsépius <rc04203@freenet.de> - 1.35.1-2
- Fix disttag (#176473).
- Cleanup spec.

* Fri Apr 29 2005 Ralf Corsepius <ralf[AT]links2linux.de> - 1.35.1-1
- Update to 1.35.1
- Minor spec fixes.
