Name: kdebase
Summary: KDE Core Applications
Summary(ja): KDE の中心を構成するアプリケーション集
Version: 4.6.1
Release: 1%{?_dist_release}

License: GPLv2
Group: User Interface/Desktops
URL: http://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdebase-%{version}.tar.bz2

# search path for plugins
Patch0: kdebase-4.1.80-nsplugins-paths.patch

# backwards compatibility hack for a config option changed by our old
Patch1: kdebase-4.4.3-konsole-activetabindex.patch

# make menuitem Home visible
Patch2: kdebase-4.2.1-home-icon.patch

# fix disabling automatic spell checking in the Konqueror UI (kde#228593)
Patch3: kdebase-4.4.0-konqueror-kde#228593.patch

# Password & User account becomes non responding
patch4: kdebase-4.3.4-bz#609039-chfn-parse.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bzip2-devel
#BuildRequires: cyrus-sasl-devel
BuildRequires: doxygen
BuildRequires: fontconfig-devel
BuildRequires: gettext
BuildRequires: giflib-devel
BuildRequires: glib2-devel
#BuildRequires: libraw1394-devel
#BuildRequires: libsmbclient-devel
#BuildRequires: libusb-devel
BuildRequires: libXpm-devel
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
#BuildRequires: OpenEXR-devel
BuildRequires: openssl-devel
#BuildRequires: pciutils-devel
#BuildRequires: pcre-devel
BuildRequires: pkgconfig
BuildRequires: plasma-devel >= %{version}
#BuildRequires: qimageblitz-devel
BuildRequires: shared-desktop-ontologies-devel
BuildRequires: soprano-devel 
BuildRequires: zlib-devel

Requires: %{name}-libs = %{version}-%{release}
Requires: eject

# Dolphin needs the ioslaves from kdebase-runtime (#438632)
Requires: kdebase-runtime

Obsoletes: dolphin < 1.0.2-1
Obsoletes: d3lphin
Obsoletes: kde-plasma-folderview < 4.3.1-1
Obsoletes: kdebase4 < %{version}-%{release}
Provides:  dolphin = 1.0.2-1
Provides:  kde-plasma-folderview = %{version}-%{release} 
Provides:  kdebase4 = %{version}-%{release}

#Conflicts: kdebase3

%description
Core applications for KDE 4.

%description -l ja
KDE 4 の中心となるアプリケーション集です．


%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Requires: kdelibs4 >= %{version}
Requires: kdepimlibs >= %{version}

%description libs
%{summary}.


%package devel
Summary:   Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:     Development/Libraries
Requires:  %{name}-libs = %{version}-%{release}
Requires:  kdelibs4-devel
Requires:  kdepimlibs-devel
Provides:  kdebase4-devel = %{version}-%{release}
Obsoletes: kdebase4-devel < %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q -n kdebase-%{version}
%patch0 -p2 -b .nsplugins-paths
%patch1 -p2 -b .konsole-activetabindex
%patch2 -p2 -b .home-icon
%patch3 -p2 -b .kde#228593
%patch4 -p2 -b .bz#631481


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# move devel symlinks
mkdir -p %{buildroot}%{_libdir}/kde4/devel
pushd %{buildroot}%{_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so|libkonsoleprivate.so)
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd
# konquerorsu only show in KDE
echo 'OnlyShowIn=KDE;' >> %{buildroot}%{_datadir}/applications/kde4/konquerorsu.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
    update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/applications/kde4/*
%{_datadir}/kde4/apps/*
%{_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
#{_datadir}/icons/oxygen/*/*/*
%{_datadir}/kde4/services/*
%{_datadir}/kde4/servicetypes/*
%{_docdir}/HTML/en/*
%{_libdir}/kde4/*
%exclude %{_libdir}/kde4/devel/
%{_mandir}/man1/*
%{_datadir}/autostart/*
%{_datadir}/config/*
%{_datadir}/templates/*
%{_datadir}/templates/.source/*
%{_datadir}/icons/hicolor/*/*/*
%{_libdir}/libkdeinit4_*.so
%{_libdir}/libkonsoleprivate.so

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/*
%{_libdir}/kde4/devel/lib*.so

%changelog
* Sun Mar 13 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.1-1
- new upstream release

* Sun Feb 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.0-2
- added BR: glib2-devel, libXpm-devel
- removed BR: alsa-libs-devel, cyrus-sasl-devel, libraw1394-devel, 
              libsmbclient-devel, libusb-devel, pciutils-devel,
              pcre-devel, OpenEXR-devel, qimageblitz-devel

* Sun Feb 13 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.0-1
- new upstream release

* Sun Sep  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.5.1-1
- new upstream release

* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.5.0-1
- new upstream release

* Sun Jul  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.4.5-1
- new upstream release
- added Conflicts: kdebase3

* Fri May  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-1
- new upstream release

* Sun Apr 11 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- new upstream release

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- new upstream release

* Tue Mar  2 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.0-1
- new upstream release
- built with new toolchain

* Sun Nov 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1
- new upstream release

* Sat Oct 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- new upstream release

* Sat Sep  5 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.1-1
- new upstream release
- used %%cmake macro

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-3
- fixed %%post and %%postun section

* Tue Aug 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-2
- new upstream release (based on Fedora)

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy
- added Patch706 based on 77_fix_ftbfs_ucred_redefinition.diff
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=520074

* Mon Dec 10 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl7
- rebuild for VineSeed

* Mon Dec 10 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl6
- add Patch1 and 2
- update Patch705

* Tue Dec  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl5
- rebuild for VineSeed

* Tue Dec  4 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl4
- add Patch705 (BTS:564)

* Sun Nov 25 2007 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.8-0vl3
- dropped obsolete Patch704

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release
- drop Patch1 and Patch2

* Thu Sep 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- add Patch1 (CVE-2007-4224, CVE-2007-4225, CVE-2007-3820)
- add Patch2 (CVE-2007-4569)

* Wed Jul 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- build for VineSeed
- add Patch101

* Wed Jul 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1.1
- add Patch0 (SA26091)

* Sun May 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release
- add BuildPrereq: dbus-qt3-devel samba-libsmbclient-devel

* Mon Jan 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release
- remove Patch0
- add Requires: hicolor-icon-theme

* Wed Dec 20 2006 Hideki MIWA <miwa@c.csce.kyushu-u.ac.jp> 3.5.5-0vl5
- added: Patch704: kdebase-3.5.5-Xsession.patch

* Sat Nov 11 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl4
- updated pam.d setting
  - dropped: Patch702: kdebase-3.5.1-pam_console.diff
  - added:   Patch703: kdebase-3.5.5-pamd.patch 

* Sat Oct 14 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option
- removed --libdir=%%{_libdir} option

* Tue Oct 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct 10 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release
- add Patch0 from kde.org (SVN commit 593835)

* Tue Sep 05 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.4-0vl4
- added --libdir=%%{_libdir} configure option

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.4-0vl3
- rebuilt with openldap-2.3.27-0vl1

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release
- drop Patch0

* Thu Jun 15 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl5
- rebuild for VineSeed

* Thu Jun 15 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl4
- add Patch0 (CVE-2006-2449)

* Wed Jun 14 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.5.3-0vl3
- rebuilt with gamin-devel in place of fam-devel

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Fri Apr 21 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl4
- rebuild for VineSeed

* Fri Apr 21 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl3
- remove firefox icon (BTS:33)

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release
- drop Patch0

* Fri Mar 17 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl5
- update Patch702 (support for ldap)
- drop Patch701

* Thu Feb 16 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl4
- rebuild for VineSeed

* Thu Feb 16 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl3
- add Patch0 (https://bugs.kde.org/show_bug.cgi?id=121087)
- add %%{_datadir}/doc/kdm/README to %%files

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Mon Nov 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Fri Nov 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release
- update Patch701 and BuildPrereq (VineSeed-Plus:03341)
- delete Patch0, 700, and 800

* Mon Sep 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release
- remove Patch0
- update %%files
- add Patch0

* Fri Sep  9 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl6
- rebuild for VineSeed

* Fri Sep  9 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl5
- add Patch702 (VineSeed-Plus:03276)

* Tue Sep  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl4
- rebuild for VineSeed

* Tue Sep  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl3
- add Patch0 (CAN-2005-2494)

* Thu Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Thu Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Thu Jun 30 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Wed Jun  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- build for Vine3.1
- use %%{?_smp_mflags} for make option
- stop using %%{SOURCE4}

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Thu Mar 10 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release

* Wed Mar  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl0.rc1
- new upstream release (3.4.0-rc1)
- add BuildPrereq: gettext

* Mon Feb  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.92-0vl1
- new upstream release

* Wed Jan 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.91-0vl1
- new upstream release

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed
- remove Patch0

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- build for Vine Linux 3.1
- add patch0 (http://www.kde.org/info/security/advisory-20041213-1.txt)

* Sat Oct 30 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl2
- add BuildPrereq: cyrus-sasl-devel ncurses-devel
- add Requires: samba-libsmbclient

* Sat Oct  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade

* Thu Sep 23 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.0-0vl1
- source upgrade
- remove patch0

* Mon Aug 16 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl3
- rebuild with qt32
- add Patch0 from kde.org

* Tue Jun 22 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- replace gdm session file

* Sat Jun  5 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- remove lines about vine26

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade

* Fri Mar 26 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl2
- rebuild with openssl-0.9.7d

* Tue Mar  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Mon Feb  2 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.0-0vl1
- source upgrade
- add BuildPrereq: libtiff-devel jasper-devel samba-libsmbclient

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Fri Dec 26 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258

* Sun Dec 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl3
- build for VineSeed with new toolchain and qt-3.2.3

* Fri Oct  3 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl2
- rebuild for Vine2.6

* Thu Oct  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- OOPS! Patch701 did not used

* Wed Sep 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade
- build with gcc-3.2.3

* Thu Jul 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade

* Sat Jul  5 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl5
- change spec to build with gcc295
- change make option for SMP and add script

* Thu Jun 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl4
- change spec to build with g++-2.95.3
 
* Sat May 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl3
- source upgrade (MD5SUMS = a90feb5273e9f524a2b19d9021ece7a6)

* Tue May 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl2
- source upgrade (MD5SUMS = 4019643c77c818d96bf873c91faa9119)

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- stop using patch700 and patch800 (they do not need, maybe)
- do not install source8 (this version reads .Xresources)
- built with libpng >= 1.2.5 when %{vine26} is set to 0 (ie VineSeedPlus)
- add BuildPrereq: libjpeg-devel
- remove /etc/skel/.kde (they do not need)

* Thu Apr 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1a-0vl1
- security release
- remove patch0, patch1 and patch2 (included in this source)

* Sun Mar 23 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade
- add patch0 (http://lists.kde.org/?l=kde-cvs&m=104766756731187&w=2)
- add patch1 and patch2
  (http://lists.kde.org/?l=kde-cvs&m=104758242610505&w=2)
- add patch701 for Xsession of kdm

* Sun Feb 16 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl2
- change spec to build both VineSeed and Vine2.5/2.6

* Thu Jan 30 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- source upgrade to 3.1-stable

* Mon Jan 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl1
- source upgrade to 3.1rc7

* Wed Jan 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc6vl2
- remove patches except patch1

* Sun Jan 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc6vl1
- source upgrade to 3.1rc6
- stop using objprelink2, it does not work with gcc3
- add BuildPrereq: openMotif-devel instead of lesstif-devel
- add BuildPrereq: openssl-devel libart_lgpl-devel
- add Requires: openMotif libart_lgpl
- update and revised patches

* Sat Dec 28 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5a-0vl1
- source upgrade
- revised patch0

* Wed Oct 16 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only i386 (add %ifarch i386 ... again)

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- revised patch0

* Tue Oct  8 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl2
- rebuild with qt-3.0.5-0vl1
- BuildPrereq: autoconf253 objprelink2

* Thu Aug 22 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- source upgrade
- revised patch0

* Mon Aug  5 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.2-0vl3
- add kio_httprc to source4 (fix Japanese search at google.co.jp)

* Wed Jul 24 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.2-0vl2
- rebuild with libvorbis-1.0-0vl1

* Thu Jul  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade
- revised patch0
- add source8 to read .Xresources

* Fri Jun  7 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.1-0vl1
- source update to 3.0.1

* Mon Apr 15 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl2
- source update to 3.0
- add patch800 from kde.gr.jp
- change source4 (default font == kochi-gothic)
- add BuildPrereq: lesstif-static

* Sat Mar 30 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl1
- merged with rawhide 3.0-0.cvs20020314.4
- source update to cvs-20020329
- revised patch0, 1
- delete patch7
- add BuildPrereq: autoconf252 automake15
- There is Vine's previous changes, hacked for Vine 
  -- Sat Mar 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
  - source and patch upgrade to 2.2.2
  - Build with kdelibs-2.2.2-0vl1
  - add BuildPrereq: pam-devel lesstif-devel
 -- Wed Nov 28 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl3
  - Set Charset=jisx0208.1983-0
  - Build with kdelibs-2.2.1-1vl3
  - Stop runnning kappfinder and add applnk of kterm
 -- Thu Oct 18 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl2
  - Add patches from kde.gr.jp (Thanks for Mr.ASAKI)
    -- Source 4
    -- Patch  202, 203
  - Use objprelink option (i386 only)
  - Fix spec to run kappfinder
 -- Sun Oct 14 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
  - Update patches from kde.gr.jp

* Tue Mar 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020314.4
- Fix updating from KDE 2.x

* Mon Mar 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020314.3
- Add patches from Than to fix up menu i18n and kdm sessions
- Put back %{?_smp_mflags}

* Tue Mar 12 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020314.1
- Add patch from Than to scale down icons for submenus pointing to legacy
  applications rather than keeping them at 32x32

* Mon Mar 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020311.1
- Add patch to kicker allowing it to display just the app descriptions instead
  of names

* Fri Mar  1 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020301.1
- Update
- Remove separate kdm package

* Thu Feb 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020214.1
- Build --with-xinerama

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020129.1
- Manually add Provides: libkateinterfaces.so to work around rpm bug

* Sun Jan 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020120.1
- Update to get API changes
- Clean up old temp files in startkde some more

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020117.2
- Make sure the correct kdelibs is in the build environment before building
  kdebase

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020107.1
- Update, sync with kdelibs API changes

* Sat Dec 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011229.1
- Update

* Wed Dec 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011226.1
- Update
- Disable ia64 temporarily (because of bug #57833)

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011215.1
- Update
- Make kdm a separate package

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011214.1
- Update
- Exclude alpha for now (compiler bugs)

* Sun Aug  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010805.1
- Fix anti-aliased fonts
- Remove Japanese konsole patch, it breaks changing fonts in all other
  languages
- BuildRequire lesstif-devel to make sure recompiled versions of Konqueror
  support Netscape plugins
- Remove language detection hacks from startkde, they're now in kpersonalizer
- Personalize kicker in kpersonalizer
- Power off when halting the system in kdm (#50847)

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010802.1
- Remove Japanese Konsole patch, it breaks other languages (#50619)

* Tue Jul 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010731.1
- Remove some patches that made it into cvs
- Fix up the Japanese patch, it messed up konsole fonts on "normal"
  languages

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010730.1
- Fix up audiocd ioslave (#50310)
- Initialize kpersonalizer to $LANG (#50311)
- Add Japanese patch

* Wed Jul 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010725.1
- Fix error messages on first startup

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- remove ia64 workarounds
- fix default configurations
- update
- remove dupes from kdeartwork

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- rebuild after fixing the build root

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010721.1
- rebuild - somehow an application got linked against an older version of
  itself from the buildroot
- update

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.1
- update
- get rid of some rpmlint warnings
- remove kappfinder (we maintain /etc/X11/applnk)
- work around ia64 breakage

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010627.1
- update
- adapt patches

* Sat Jun 16 2001 Alan Eldridge <alane@geeksrus.net> 2.2-0.cvs20010616.1
- updated for current CVS

* Tue May 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.2
- Work around NFS-mounted home directories residing on servers with
  ultimately broken OSes (#40711)
- Fix desktopconv compilation without optimizations (#40144)
- Move old config files rather than deleting them (#38107)
- Add explicit requirements on lm_sensors and kdelibs-sound (#32678)
- Fix doc generation (#40087)
- s/Copyright:/License:/

* Sun May 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2 alpha 2

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010513.1
- Fix up default settings; KSpell should use Aspell right away
- Split out -devel subpackage; with KWin and Kate moving to plugin systems,
  this is getting big...

* Sat May 12 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010512.1
- Update, adapt patches
- Fix up desktop devices patch, we want the "Eject" action for CD-ROMs,
  CD-Writers, CD-RWs, ZIP and JAZ-Drives and LS120.

* Fri Apr 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.2alpha1
- kill /usr/share/icons/locolor/16x16/actions/bookmark_folder.png
  (dupe from kdelibs)

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix deadkeys handling in kdm
- Fix uninitialized variable in konsole, patch
  from Tim Waugh (#34452)

* Fri Mar 30 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix rpmfind shortcut (Bugzilla #34057, KDE Bug #21100)
- Add patch from KDE_2_1_BRANCH to get rid of debug output in
  the ktar IO slave

* Wed Mar 28 2001 Than Ngo <than@redhat.com>
- fix a bug in desktopconv (bug #33374)

* Tue Mar 27 2001 Than Ngo <than@redhat.com>
- fix charmap/encoding problem
- fix MinimumFontSize in konqueror, default is 10
- set correct DefaultEncoding for konqueror
- clean up startkde
- disable Israel and Thai, it's broken in qt

* Fri Mar 23 2001 Preston Brown <pbrown@redhat.com>
- remove CD-ROM / Floppy .desktop files, they are generated automatically now
- remove some other old obsolete default config files

* Thu Mar 22 2001 Preston Brown <pbrown@redhat.com>
- patch to dynamically create icons for removable/user controllable 
  devices on desktop

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Log utmp/wtmp correctly in konsole, using utempter
- Remove setuid state from konsole_grantpty, it's no longer needed now
  that we use utempter.
- Fix escaping in the konsole KPart
- Fix grammar and order in the arts control module

* Tue Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Don't crash if kfmexec is invoked without arguments (#32029)
- Various desktopconv fixes:
  - Allow removing or ignoring KDE 1.x files
  - convert the printer icon we had on the desktop by default.
  - Support i18n
- Add mailsettings tool (generates sane kcmemail defaults at first
  startup)
- Fix up support for Brazil Portuguese and Chinese
- Fix loading of child panel config files (harald)
- remove -T and --title in konsole, use instead --caption (#31483) (Than Ngo)
- More i18n fixes (zh_HK is closer to zh_TW than to zh_CN...)

* Mon Mar 20 2001 Than Ngo <than@redhat.com>
- fix Login Screen Red Hat logo (Bug #32241)
- fix kdm background color
- fix a bug in setting font size (Bug #32258)

* Fri Mar 17 2001 Than Ngo <than@redhat.com> 2.1-11
- fix placed icons on desktop (Bug #31985)
- some bugfixes in startkde
- restore support for Russian (bero)
- merge bugfix patch from KDE_2_1_BRANCH, Ctrl-U could crash Konqueror
  under certain circumstances (bero)
- Fix up the effects patch (if everything was disabled, no radio button
  was checked by default, rather than the "No effects" button) (bero)

* Thu Mar 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Fix up i18n support
- Don't use predictable tmp file names in krdb
- Remove the printer icon from the desktop. It uses klpq which is in kdeutils,
  so the icon should come from there.
- fix error.c in kdebase-2.1-fixes.patch, It's broken (Than Ngo)
- better fix for konsole keyboard mappings (Preston Brown)

* Tue Mar 13 2001 Than Ngo <than@redhat.com>
- fix default profile for konqueror in webbrowser mode 
- set lucidatypewriter as fixed-width font for konqueror
  
* Mon Mar 12 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Fix locale settings (old versions didn't check the user's locale settings
  and always started up in English)
- Fix some braindead code in kwrite

* Sat Mar 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-8
- Add option to save backtraces to a file (#30867)
- Fix kdm looking horrible on 8 bit displays
- Revert to /usr/share/config with an exception for kdmrc
- Add /etc/skel/Desktop/.directory (the /etc/skel/Desktop/* glob doesn't include
  /etc/skel/Desktop/.* ...)
- Don't apply konsole-noxft patch anymore (workaround for an X bug
  that was fixed in 11.4)

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- fix home and end default mapping in konsole

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Don't throw all config files at every user's home directory; 2.x supports
  changing global defaults
- Get rid of bogus "can't find schema named" warning
- Fix various bugs in konsole (don't connect to a NULL slot, etc.)
- Cripple kxmlrpcd by default (#23253)
- Add a sane icon arrangement at first startup (#25026)
  
* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add fixes from KDE_2_1_BRANCH:
  - Fix up cookie handling in konqueror
  - Fix a potential crash in kcontrol when using config files from
    cvs snapshots
  - Fix possible khotkeys segfault
- Fix up Konqueror User Agent dialog
- Log in to "default" session by default (#29157)

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1 second (and hopefully last) respin

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin
- Drop the old anotherlevel session type in kdm (#28593)

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up konsole_grantpty to work with the /dev/pts filesystem and
  /dev/ptmx rather than the old /dev/ptyXX system
- Replace ktip logo with Red Hat logo, the old one could be considered
  offensive by some people
- Fix build with glibc 2.2.2
- Turn off icon view in kdm
- Other minor changes to default config

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- desktopconv: Don't strip off .png/.xpm/.gif in Icon= if it is
  provided as a full pathname
- Build with --disable-debug
- Fix a bug causing all icons to appear in the upper-left corner
- Don't use antialiased fonts in konsole even if they're turned on.
  Konsole can't deal with them.
- Don't show the postgres and amanda users in kdm
- Add rhbug/bz shortcut to Bugzilla
- Add ftpsearch/fs shortcut to FTP Search
- Add "Eject" option to CD-ROM icon (RFE #26301)
- Fix permissions on some files in /etc/skel/Desktop (having them readable
  by root only is not really useful ;) )
- Fix PAM exiting (#25232, Patch from Tim Waugh)
- Fix utmp handling in konsole (Bug #25048)
- Rewrite desktopconv and run it from startkde, ensures
  clean updates from KDE 1.x (Bug #25473)
- Add $HOME/bin to PATH in kdm (Bug #25743)

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Link the greeter into kdm statically, pulling in libpthreads
  Fixes crash with glibc-2.2.1-3 i686

* Fri Jan 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- exec ksmserver rather than just starting it - there's no need to keep
  that shell in memory.

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Turn off anti-aliasing by default
- Restore the turning AA on/off and "apply styles to non-KDE-apps"
  functionality, someone managed to break them just in time for
  2.1 beta 2.

* Tue Jan 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix bugs #23136 and #24709

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Kill /usr/share/icons/hicolor/22x22/actions/view_tree.png, it's in
  kdelibs
- restore missing /etc/kderc (Bug #24601)

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix update if Autostart directory exists, but is empty
- Fix usage of mktemp in startkde (#24415)

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS (fixed #24298, #24242)
- Hack in support for turning anti-aliasing on and off, as requested
  by Than. Unfortunately, this patch probably won't go into the base 2.1
  because of the message freeze.

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS; I fixed building with OpenLDAP 2.x in there.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kscreensaver pam file (copy the xscreensaver one, don't
  use the broken one from KDE CVS)

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't replace a directory with a symlink (#23671)

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix background (#20910)

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdm shouldn't show gdm and mailnull users (#23136)
- don't install the konsole fonts, they're now
  included in XFree86 (#23467)
- Obsoletes kdebase2 (from 7.0-preview)
- Add config files (used to be in kdesupport) (#22601)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Obsolete kdebase-3d-screensavers, kdebase-locolor-icons,
  kapm kcmlaptop (optional stuff from KDE 1.x)

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD branch
- s/Prereq/Requires(post,postun)/

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Some fixes to startkde:
  - if /etc/skel/.kde doesn't exist, don't copy it
  - remove stale .DCOPserver* files at startup
- Rebuild with fixed kdoc

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move include files to /usr/include/kde
- Don't install any of the mini-lesstif files, we need them at
  build time only
- Fix consolehelper config for kappfinder

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed
- Get rid of the Red Hat menu, it's merged now
- Fix up the gdm session file
- Fix up kappfinder, run it through consolehelper (Bug #19903)
- Enable Netscape plugin support, add a stripped down version of lesstif
  to allow this

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix installation of fonts

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up spec file

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the 3d-screensavers package - now that qt-GL is part of qt,
  there's no need to keep them separate to avoid the dependency.

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- fix gnome-session so that KDE2 can be started from gdm
- pam/kde2 instead pam/kde to avoid problem with KDE1
- don't requires qt-GL, It's now in qt

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- fix dependency problem with KDE1 so that KDE1 and KDE2 can be installed
  at the same time
- add missing ldconfig in %post anf %postun
- fix for reading config files in /etc/X11/xdm, add Xsession to requires

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix keytable in konsole (Bug #15682)

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild, now that kdelibs2 works on alpha
- use the same ugly hack to get kdebase to compile
- remove ksysguard on alpha (even more compiler problems)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot (fixed libGL detection in CVS)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the --xdmdir arg to be correct (oops)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- move kdm config files from /usr/config to /etc/X11 by forcing xdmdir

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use new snapshot
- disable Motif

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch 3
- Update to current
- Use egcs++

* Fri Jun 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (I put the fixes directly to CVS rather than collecting them
  in the spec)

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove man2html; we get that from man
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now
- remove gnome .desktop file, we get it from gnome-core now.

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on xpm (now in XFree86)

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Dec 25 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Build the OpenGL screensavers, and move them to a separate package
- Improve the spec file (BuildPrereqs etc.)

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- remove patch #3 (obsoleted by kwin)

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS snapshot
- fix compilation

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- clean up files in /tmp from startkde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- start autorun if present in startkde
- check for configured soundcard before running sound services

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made kdelnks display Name property if they are of type Link

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- moved png handling here (from kdelibs)
- changed low color icon directory name to locolor

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added optional session management to logout dialog
- include GNOME menus

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added link to /etc/X11/applnk, .directory file
- included lowcolor icon sub-package
- enable .desktop file access

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- customized startkde script to set up user environment if not present.
- mention kthememgr in description.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release
- kvt is back
- kde icon included
- linux console fonts included

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- PAM console logout problem solved.

* Mon Jul 12 1999 Preston Brown <pbrown@redhat.com>
- now includes screensaver password security fix

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
- kvt removed for security reasons.  It is a steaming pile of...

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com> 
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
