Name: kdegraphics
Summary: KDE Graphics Applications
Summary(ja): KDE グラフィックアプリケーション集
Version: 4.6.1
Release: 2%{?_dist_release}

Group: Applications/Graphics
License: GPLv2
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdegraphics-%{version}.tar.bz2

## upstreamable patches
# okular.desktop : Categories=-Office,+VectorGraphics (http://bugzilla.redhat.com/591089)
Patch50: kdegraphics-4.5.1-okular_dt.patch
# don't hardcode paths in OkularConfig.cmake
Patch51: kdegraphics-4.5.80-OkularConfig-dont-hardcode-paths.patch
# fix libjpeg-turbo detection, see also https://bugs.kde.org/show_bug.cgi?id=265431
Patch53: kdegraphics-4.6.0-libjpeg_version-2.patch


# Security fix

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: chmlib-devel
BuildRequires: djvulibre-devel
BuildRequires: ebook-tools-devel
BuildRequires: exiv2-devel
BuildRequires: giflib-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: lcms-devel
BuildRequires: libgphoto2-devel
BuildRequires: libspectre-devel
BuildRequires: libtiff-devel
BuildRequires: libXfixes-devel
BuildRequires: libXpm-devel
BuildRequires: libXxf86vm-devel
BuildRequires: pcre-devel
BuildRequires: poppler-qt4-devel
BuildRequires: qca2-devel
BuildRequires: qimageblitz-devel
BuildRequires: sane-devel
BuildRequires: shared-desktop-ontologies-devel
BuildRequires: soprano-devel
BuildRequires: zlib-devel

Requires: %{name}-libs = %{version}-%{release}
# used by okular
Requires: kio_msits = %{version}-%{release}
Requires: cups

Obsoletes: kdegraphics4 < %{version}-%{release}
Obsoletes: kdegraphics-extras < 4.0.0 
Obsoletes: gwenview < 2
Provides: gwenview = 2
Provides: kdegraphics4 = %{version}-%{release}
Conflicts: kdegraphics3

Vendor: Project Vine
Distribution: Vine Linux
Packager: inagaki

%description
Graphics applications for KDE.

What it is
----------
* gwenview (an image viewer)
* kamera (digital camera support)
* kcolorchooser (a color chooser)
* kolourpaint4 (an easy-to-use paint program)
* kruler (screen ruler and color measurement tool)
* ksnapshot (screen capture utility)
* okular (a document viewer)

%description -l ja
KDE 向けのグラフィックアプリケーション集です．

以下のアプリケーションを含んでいます．
----------
* gwenview （画像ビューア）
* kamera （デジタル・カメラのサポート）
* kcolorchooser （色選択ツール）
* kolourpaint4 （簡単に操作できるペイントプログラム）
* kruler （スクリーン上で用いる定規、色測定ツール）
* ksnapshot （スクリーンショットを撮るためのツール）
* okular （ドキュメントビューア）

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Obsoletes: libkdcraw < 0.2.0, libkexiv2 < 0.4.0, libkipi < 0.2.0
Requires: kdelibs4 >= %{version}

%description libs
%{summary}.

%description -l ja libs
%{summary}.

%package devel
Summary: Development files for kdegraphics
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel
Obsoletes: libkdcraw-devel < 0.4.0
Obsoletes: libkexiv2-devel < 0.4.0
Obsoletes: libkipi-devel < 0.2.0
Obsoletes: kdegraphics4-devel < %{version}-%{release}
Provides:  libkdcraw-devel = 0.4.0-2
Provides:  libkexiv2-devel = 0.5.0-1
Provides:  libkipi-devel = 0.3.0-1
Provides:  kdegraphics4-devel = %{version}-%{release}

%description devel
Header files for developing applications using kdegraphics.
Install kdegraphics-devel if you wish to develop or compile
applications using kdegraphics.

%package -n kio_msits
Summary: A kioslave for displaying WinHelp files 
Group: System Environment/Libraries

%description -n kio_msits
%{summary}.


%prep
%setup -q -n kdegraphics-%{version}
%patch50 -p1 -b .okular_dt
%patch51 -p1 -b .OkularConfig
%patch53 -p1 -b .libjpeg_version

# security fix


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null ||:
fi

%post libs 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans libs
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun libs
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%doc %{_datadir}/doc/HTML/en/*
%{_bindir}/*
#{_datadir}/config/*
%{_datadir}/applications/kde4/*
%{_datadir}/config.kcfg/*
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/camera.protocol
%{_libdir}/kde4/kcm_kamera.so
%{_libdir}/kde4/kio_kamera.so
%{_datadir}/kde4/services/ServiceMenus/slideshow.desktop
%{_datadir}/kde4/servicetypes/okularGenerator.desktop
%{_datadir}/kde4/apps/okular
%{_datadir}/kde4/apps/kgamma
%{_datadir}/kde4/apps/gvpart
%{_datadir}/kde4/apps/gwenview
%{_datadir}/kde4/apps/kolourpaint
%{_datadir}/kde4/apps/kruler
%{_datadir}/kde4/apps/solid/actions/*
%{_datadir}/kde4/apps/svgpart
%{_libdir}/kde4/gsthumbnail.so
%{_libdir}/kde4/gvpart.so
%{_libdir}/kde4/ksaneplugin.so
%{_libdir}/kde4/kcm_kgamma.so
%{_libdir}/kde4/mobithumbnail.so
%{_libdir}/kde4/okularGenerator_*.so
%{_libdir}/kde4/okularpart.so
%{_libdir}/kde4/rawthumbnail.so
%{_libdir}/kde4/svgpart.so
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/icons/hicolor/*/apps/gwenview.*
%{_datadir}/icons/hicolor/*/apps/kcolorchooser.*
#{_datadir}/icons/hicolor/*/apps/kgamma.*
%{_datadir}/icons/hicolor/*/apps/kolourpaint.*
%{_datadir}/icons/hicolor/*/apps/kruler.*
%{_datadir}/icons/hicolor/*/apps/ksnapshot.*
%{_datadir}/icons/hicolor/*/apps/okular.*
%{_datadir}/icons/hicolor/*/actions/*

%files libs
%defattr(-,root,root)
%{_datadir}/kde4/apps/kipi
%{_datadir}/kde4/apps/libkdcraw
%{_datadir}/kde4/apps/libkexiv2
%{_datadir}/icons/hicolor/*/apps/kipi.*
%{_datadir}/icons/hicolor/*/apps/kdcraw.*
%{_datadir}/kde4/servicetypes/kipiplugin.desktop
%{_libdir}/libgwenviewlib.so.*
%{_libdir}/libkdcraw.so.*
%{_libdir}/libkexiv2.so.*
%{_libdir}/libkipi.so.*
%{_libdir}/libkolourpaint_lgpl.so.*
%{_libdir}/libksane.so.*
%{_libdir}/libokularcore.so.*
%{_libdir}/strigi/strigiea_dvi.so
%{_libdir}/strigi/strigiea_tiff.so
%{_libdir}/strigi/strigila_mobi.so

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/libkdcraw
%{_includedir}/kde4/libkexiv2
%{_includedir}/kde4/libkipi
%{_includedir}/kde4/libksane
%{_includedir}/kde4/okular
%{_libdir}/lib*.so
%{_libdir}/cmake/Okular/OkularConfig*.cmake
%{_datadir}/kde4/apps/cmake/modules/FindKSane.cmake
%{_libdir}/pkgconfig/*.pc

%files -n kio_msits
%defattr(-,root,root,-)
%{_libdir}/kde4/kio_msits.so
%{_datadir}/kde4/services/msits.protocol

%changelog
* Wed Apr 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.6.1-2
- add Patch53: kdegraphics-4.6.0-libjpeg_version-2.patch

* Sun Mar 13 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release

* Tue Mar  1 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.0-2
- added BR: libXfixes-devel, libXpm-devel and shared-desktop-ontologies-devel

* Sun Feb 20 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.0-1
- new upstream release
- added Patch50 and 51 from Fedora

* Sun Sep 26 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.1-2
- rebuilt with rpm-4.8.1 for pkg-config 

* Sun Sep  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.1-1
- new upstream release
- dropt Patch100 (merged into upstream)

* Sun Aug 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-2
- added Patch100 for CVE-2010-2575
- updated Japanese summary
- added Japanese description

* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-1
- new upstream release

* Sun Jul  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-1
- new upstream release
- added Conflicts: kdegraphics3

* Fri May  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-1
- new upstream release

* Wed May  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-2
- rebuilt with exiv2-0.19

* Wed Apr 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- new upstream release

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- new upstream release

* Sat Mar  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.0-1
- new upstream release
- built with new toolchain

* Wed Nov 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1
- new upstream release

* Tue Nov  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-2
- rebuilt with poppler-qt4-devel 0.12.1

* Sat Oct 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- new upstream release

* Sat Sep  5 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.1-1
- new upstream release
- used %cmake macro

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-1
- new upstream release
- changed Group to Applications/Graphics

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-3
- rebuilt with kdelibs-3.5.8-2
- added Japanese summary, spec in UTF-8
- added %%post, %%postun section

* Wed Apr 29 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 3.5.8-2vl4
- add Patch100 (CVE-2009-0166,CVE-2009-1180)
- add Patch101 (CVE-2009-1182,CVE-2009-1183)
- add BuildPrereq: arts-devel gamin-devel libidn-devel libart_lgpl-devel
- applied vine versioning policy.

* Thu Oct 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Thu Oct 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release
- drop Patch0
- add Patch1 (CVE-2007-5393)

* Thu Aug  2 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl4
- add Patch0 (CVE-2007-3387)

* Mon Jul 23 2007 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.7-0vl3
- added --with-qt-libraries configure option

* Wed Jun 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Sat May 26 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Tue Jan 23 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Tue Aug  1 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Tue Aug  1 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release
- drop Patch0

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- add BuildPrereq: libexif-devel for VineSeed

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release
- update Patch0

* Thu Jan  5 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl3
- rebuild for VineSeed

* Thu Jan  5 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl3
- update Patch0 (http://www.kde.org/info/security/advisory-20051207-2.txt)

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release
- add Patch0 (post-3.5.0-kdegraphics-CAN-2005-3193.diff)

* Mon Nov 14 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release
- delete all patches

* Tue Sep 20 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release
- add Patch1 - Patch2
- drop Patch0

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Mon Jun  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Mon Jun  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- use %%{?_smp_mflags} for make option

* Thu Mar 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Thu Mar 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release
- remove patch1 and patch2
- build kamera, remove source1 and add Requires: gphoto2
- update %%files

* Fri Jan 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl4
- build for VineSeed
- add BuildPrereq: libusb-devel

* Fri Jan 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl3
- add Patch2 (http://www.kde.org/info/security/advisory-20050119-1.txt)

* Sat Jan  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed

* Sat Jan  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- new upstream release
- add patch1 (http://www.kde.org/info/security/advisory-20041223-1.txt)

* Sun Oct 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade

* Tue Aug 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- rebuild with qt32 

* Wed Jun 16 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- remove lines about vine26

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade
- add URL: http://www.kde.org
- add BuildPrereq: lcms-devel >= 1.09 fribidi-devel >= 0.10.4

* Tue Mar 23 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl2
- add patch0 and Requires: xpdf (http://bugs.kde.org/76302)

* Sun Mar 21 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Sun Jan 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258

* Sun Dec 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl3
- build for VineSeed with new toolchain and qt-3.2.3

* Sun Nov  2 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl2
- rebuild with qt-3.2.1-0.26vl3

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- rebuild with qt-3.2.1-0vl3

* Tue Sep 23 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade
- change spec to build with gcc-3.2.3

* Sun Jul 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade
- change spec to build with gcc295
- change make option for SMP and add script

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- built with libpng >= 1.2.5 when %{vine26} is set to 0 (ie VineSeedPlus)

* Sat Apr 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1a-0vl1
- source upgrade
- change spec to build both VineSeed and Vine2.5/2.6
- change spec to make monolithic package only
- revised description and files section

* Sat Oct 19 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only ix86 (add %ifarch %{ix86} ... )

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- BuildPrereq: autoconf253 objprelink2

* Wed Sep 18 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- source upgrade

* Sun Jul 14 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade

* Wed May  8 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl2
- source update to 3.0
- add BuildPrereq: xpdf
- some files are divided to kdegraphics-devel
- kdvi now works

* Sun Mar 31 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl1
- merged with rawhide 3.0.0-0.cvs20020306.1
- source update to cvs-20020329
- add BuildPrereq: autoconf252 automake15
- add %define with_kamera 0
- add %define monolithic 1
- delete kdvi (it is broken)
- There is Vine's previous changes, hacked for Vine
 -- Sun Mar 17 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
  - update to 2.2.2
  - stop removing kpaint (it works now)
 -- Fri Nov 30 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
  - Delete Epoch
  - Change BuildRequires and Requires
  - objprelink (i386 only)
  - Build for VineSeed
  - remove kpaint (it does not work)

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Update
- Rename subpackages
- Don't build kamera on alpha

* Wed Dec 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011226.1
- Update
- Reorganize package

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- The -devel package has kscan-related files -n only. Since kscan isn't built
  on s390/s390x, don't build the devel package there.

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Add more build dependencies (#48970)
- Remove ia64 workarounds, no longer needed
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Restore -devel package, got lost during the update
- Fix build on s390/s390x
- Update

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.2
- Make symlinks relative
- Update

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 dependency

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Stop excluding ia64

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdegraphics-1.93

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- add missing kdegraphic2 package

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- work around compiler bug by disabling kcoloredit for now, FIXME

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- SMPify build

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- fix docdir

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Epoch - for some reason, rpm thinks 1.1.2 > 1.92.20000623.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Fix compilation

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- updates to new libstdc++ and rpm standards.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane

