Name: kdemultimedia
Summary: KDE multimedia applications
Summary(ja): KDE マルチメディアアプリケーション集
Version: 4.6.1
Release: 1%{?_dist_release}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdemultimedia-%{version}.tar.bz2

# Vine Patches
# build with taglib < 1.6
Patch700: kdemultimedia-4.4.5-juk_taglib.patch
# not build with ffmpeg
Patch701: kdemultimedia-4.6.0-noffmpeg.patch

URL: http://www.kde.org/
Group: Applications/Multimedia
License: GPLv2+

BuildRoot: %{_tmppath}/%{name}-%{version}-root
# This one is normal, FLAC_OGG_LIBRARY is not actually used anyway:
# FLAC_OGG_LIBRARY:FILEPATH=FLAC_OGG_LIBRARY-NOTFOUND

BuildRequires: alsa-lib-devel
BuildRequires: cdparanoia-devel
BuildRequires: flac-devel
BuildRequires: glib2-devel
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: kdelibs4-devel
BuildRequires: libtheora-devel
## needed to build Kscd, keep for now -- Kevin
#BuildRequires: libtunepimp-devel
BuildRequires: libmusicbrainz3-devel
BuildRequires: libvorbis-devel
# KMix PulseAudio integration is not anywhere near shippable.
# Almost everything is commented out, it basically does nothing.
BuildRequires: pulseaudio-libs-devel
BuildRequires: soprano-devel
BuildRequires: taglib-devel
BuildRequires: xine-lib-devel libxcb-devel

Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4 >= %{version}
Requires: kdebase-workspace >= %{version}

Provides: dragonplayer = 2.0.2-0.1
Obsoletes: dragonplayer < 2.0.2-0.1

Obsoletes: %{name}-extras < %{version}-%{release}
Obsoletes: kmidi koncd

Provides: kdemultimedia4 = %{version}-%{release}
Obsoletes: kdemultimedia4 < %{version}-%{release}

%description
Multimedia applications for the K Desktop Environment.

What it is
----------
* dragonplayer (a simple video player)
* juk (a music manager and player)
* kmix (an audio mixer)
* kscd (an Audio-CD player)

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
License: LGPLv2+ and GPLv2+
Obsoletes: %{name}-extras-libs < %{version}-%{release}
Conflicts: dragonplayer < 2.0.2-0.1

%description libs
%{summary}.


%package devel
Summary: Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel
Provides: kdemultimedia4-devel = %{version}-%{release}
Obsoletes: kdemultimedia4-devel < %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q -n kdemultimedia-%{version}
%if %{?_dist_release} == "vl5"
%patch700 -p1 -b .taglib
%endif
%patch701 -p1 -b .ffmpeg


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
unset QTDIR || : ; . /etc/profile.d/qt4.sh
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/kde4/apps/dragonplayer
%{_datadir}/kde4/apps/juk
%{_datadir}/kde4/apps/kmix
%{_datadir}/kde4/apps/kconf_update/*
%{_datadir}/kde4/apps/konqsidebartng
%{_datadir}/kde4/apps/kscd
%{_datadir}/kde4/apps/solid/actions/dragonplayer-opendvd.desktop
%{_datadir}/kde4/apps/solid/actions/kscd-play-audiocd.desktop
%{_datadir}/kde4/apps/solid/actions/solid_audiocd.desktop
%{_datadir}/kde4/apps/videothumbnail/
%{_datadir}/config/dragonplayerrc
%{_datadir}/applications/kde4/*
%{_datadir}/autostart/*
%{_datadir}/kde4/services/*
%{_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_docdir}/HTML/en/dragonplayer/
%{_docdir}/HTML/en/juk/
%{_docdir}/HTML/en/kcontrol/
%{_docdir}/HTML/en/kioslave/
%{_docdir}/HTML/en/kmix/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/actions/player-volume-muted.*
%{_datadir}/icons/oxygen/*/actions/kscd-dock.*
%{_libdir}/libkdeinit*.so

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_libdir}/kde4/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/audiocdencoder.h
%{_includedir}/kde4/libkcddb
%{_includedir}/kde4/libkcompactdisc
%{_libdir}/lib*.so
%exclude %{_libdir}/libkdeinit*.so

%changelog
* Sun Mar 13 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release

* Sun Feb 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.0-2
- added BR: soprano-devel

* Sun Feb 20 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.0-1
- new upstream release
- updated Patch701

* Tue Aug 24 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-2
- added Provides: kdemultimedia4
- added Provides: kdemultimedia4-devel to devel package

* Sat Aug 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-1
- new upstream release
- added Patch701 to avoid link with ffmpeg

* Sun Jul  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.5-1
- new upstream release
- added Conflicts: kdemultimedia3

* Fri May  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-1
- new upstream release

* Wed Apr 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- new upstream release

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- new upstream release

* Sat Mar  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.0-1
- new upstream release
- built with new toolchain

* Wed Nov 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1
- new upstream release

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- new upstream release

* Mon Sep  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.1-1
- new upstream release
- used %%cmake macro

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-1
- new upstream release
- split libs sub-package

* Sun May 10 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-3
- added Japanese summary, spec in UTF-8
- updated BR

* Sat Mar 2 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 3.5.8-2vl4
- Change BuildPrereq: (Use BuildRequires)
- Change BuildRequires: self-build-libmad
- applied vine versioning policy

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Thu Sep 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl4
- rebuild without acl

* Tue Aug 21 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- rebuild with flac-1.2.0

* Tue Jul  3 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed
- add BuildPrereq: cdparanoia-devel
- delete our own copy of cdparanoia and BuildConflicts: cdparanoia-devel

* Tue May 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release
- enable-cdparanoia

* Tue Jan 23 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release

* Sun Oct 22 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl3
- added --with-qt-libraries and --enable-libsuffix option

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Tue Aug  1 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Tue Aug  1 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release
- remove BuildPrereq: gstreamer-plugins-devel

* Tue Jan 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Tue Jan 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Mon Nov 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Mon Nov 14 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release
- add --includedir=%%{_includedir}/kde to configure option

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release

* Tue Sep 20 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release

* Thu Aug 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl4
- rebuild for VineSeed

* Thu Aug 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl3
- rebuild with kdelibs-3.4.2

* Mon Jun  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option
- add alsa support for VineSeed

* Mon Jun  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- use %%{?_smp_mflags} for make option

* Sat Mar 19 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Thu Mar 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release
- change configure option
- add BuildPrereq: gstreamer-plugins-devel libmad-devel

* Sat Feb 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl3
- rebuild with flac-1.1.2 (VineSeed)

* Sat Jan  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed

* Sat Jan  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- new upstream release
- move all files under %%{_libdir} to main package
- add --sysconfdir=/etc to configure option
- add /etc/xdg/menus/applications-merged/kde-multimedia-music.menu to %%files

* Sat Oct 23 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl2
- rebuild with flac-1.1.1 (VineSeed)

* Thu Oct 21 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade
- add patch0 again
- update %%files

* Wed Aug 11 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- rebuild with qt32

* Mon Jun 14 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade
- remove lines about vine26
- add URL: http://www.kde.org/
- remove patch0 and patch1
- add BuildPrereq: audiofile-devel flac-devel taglib-devel gstreamer-devel
- add BuildConflicts: cdparanoia-devel

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade
- kernel-2.4.26 does not need patch0

* Sun Mar 21 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Mon Jan 12 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258
- build without cdparanoia

* Thu Jan  8 2004 Tomoya TAKA <taka@vinelinux.org> 3.1.4-0vl2
- add Patch1 to resolve conflicting typedef on alpha
- remove ExcludeArch: alpha

* Sun Dec 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade
- change spec to build with gcc3
- add Patch0 to build kaudiocreator
  (patch to /usr/include/asm/byteorder.h)
- include our own copy of cdparanoia, nuke FixupTOC() from it
- build without cdparanoia-devel
- revised description
- change spec to make monolithic package only
- add Obsoletes: kmidi koncd
- remove KOnCD configuration
- rename timidity to avoid conflict with timidy++

* Mon Jul 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade
- change spec to build with gcc295
- change make option for SMP and add script

* Sat Jun 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- change spec to build both VineSeed and Vine2.5/2.6
- remove all patches
- add BuildPrereq: cdparanoia-devel cdrtools-devel
- built with libpng >= 1.2.5 when %%{vine26} is set to 0 (ie VineSeedPlus)
- change spec to build with g++-2.95.3

* Sat Oct 19 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only ix86 (add %%ifarch %%{ix86} ... )

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- BuildPrereq: autoconf253 objprelink2

* Mon Aug 26 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- source upgrade

* Wed Jul 24 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.2-1vl2
- rebuild with libvorbis-1.0-0vl1

* Tue Jul 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-1vl1
- build for Vine Linux 2.5 / VineSeed
- delete Epoch
- objprelink (i386 only)
- add %%define monolithic 1
- add BuildPrereq: autoconf252 automake15 libogg-devel libvorbis-devel
- delete BuildPrereq: desktop-file-utils and use default .desktop files
- koncd: delete Requires: mkisofs and add Requires: cdrdao
- kmidi: change Requires: timidity++ -> TiMidity++
         delete Obsoletes: kdemultimedia
- devel: Requires: kdemultimedia = %%{version}-%%{rel}

* Wed Jul 10 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Thu Jun 06 2002 Than Ngo <than@redhat.com> 3.0.1-3
- rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Make sure we link to the just built libraries instead of libs in the
  build environment from older releases

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Update ABI
- Add cdrecord/mkisofs requirements for KOnCD (#63606)
- Tell koncd where to find cdrecord and mkisofs (#63604)

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Thu Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- Adapt spec file to recent changes in base

* Thu Mar  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020307.1
- Update
- Rename subpackages

* Fri Feb  1 2002 Tim Powers <timp@redhat.com>
- kdemultimedia-devel shouldn't obsolete itself
- temporarily ExcludeArch ia64

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Fri Aug  3 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010803.1
- update
- fix bug #24132
- get rid of aktion

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- move devel files to a separate package
- Add BuildPrereqs (#44914)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove copyrighted midi files (#26431)
- Use a real file list rather than find/sed (#26565)
- Fix build with current glibc

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Replace absolute symlinks with relative ones (#24794)
- Don't use more than 2 CPUs at build time to shut up asok

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't optimize on sparc, compiler breakage

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- re-exclude ia64, the compiler can't handle this package

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update kdemultimedia-1.93
- fix to rebuilt with gcc-2.96

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix to build against gcc-2.96-40 on sparc, alpha
- disable motif

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsoletes: aktion (it's included now)

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Apr  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- fix localkscd patch, broken since 6.1 (#9404).

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove (world!) write permissions to %%{prefix}/share/apps/kscd/cddb/*
- fix description

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Change the kmix error message (Bug #9065)
- Fix kmidi behavior when trying to play an empty playlist (Bug #8843)
- Fix compilation with kernel 2.3.x headers

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current version from KDE_1_1_BRANCH
- work around make install-strip breakage
- Rebuild for 6.2

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- patched kscd to use local user directory for cddb entries

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- snapshot from today fixed kmid freeze issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
