Name:           libva
Version:        1.0.12
Release:        1%{?_dist_release}
Summary:        Video Acceleration (VA) API for Linux

Group:          System Environment/Libraries
License:        distributable
Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  xorg-x11-server-sdk
BuildRequires:  mesa-libGL-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libtool, automake, autoconf

%description
The libva library implements the Video Acceleration (VA) API for Linux.
The library loads a hardware dependendent driver.
  

%package devel
Summary:        Development tools for programs which will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files for %{name}.


%package tools
Summary:        Sample tools for %{name}
Requires:       %{name} = %{version}-%{release}

%description tools
This package contains sample tools for %{name}.


%prep
%setup -q

%build
./autogen.sh
%configure \
  --enable-glx \
  --enable-i965-driver \
  --enable-dummy-driver --enable-dummy-backend
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la \
      $RPM_BUILD_ROOT%{_libdir}/dri/*.la

rm -f $RPM_BUILD_ROOT%{_bindir}/test_*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/vainfo
%{_libdir}/lib*.so.*
%{_libdir}/dri/*.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/va/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files tools
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%exclude %{_bindir}/vainfo


%changelog
* Fri Apr 15 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.12-1
- new upstream release

* Sun Mar 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.10-1
- new upstream release

* Fri Jan 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-1
- new upstream release

* Wed Aug 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-1
- new upstream release

* Wed Feb 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-1
- update to 1.0.1

* Thu Jan 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-4
- update to sds8

* Sun Jan 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-3
- add 302_vdpau_vc1.patch from sds

* Fri Jan 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-2
- add splitted desktop's patches

* Thu Jan 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.29-1
- initial build for Vine Linux

