%global 	apiver 2.6
Name:           libxml++
Version:        2.32.0
Release:        1%{?_dist_release}
Summary:        C++ wrapper for the libxml2 XML parser library
Summary(ja):    libxml2 XML 解析ライブラリの C++ ラッパー

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://libxmlplusplus.sourceforge.net/

Source:         http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.32/libxml++-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxml2-devel >= 2.6.1
BuildRequires:  glibmm-devel >= 2.4.0
BuildRequires:  doxygen, graphviz

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.


%package devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libxml2-devel
Requires:       glibmm-devel

%description devel
This package contains the headers and libraries for libxml++ development.


%prep
%setup -q
# fix wrong end of line
sed -i s'#\r##' examples/dom_parser/example_with_namespace.xml

%build
%configure \
%if %{?_dist_release} == "vl5"
    --disable-documentation \
%endif
    --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.la" -o -name '*.a' | xargs rm -f

# Modify temporary working directories for files section.
rm -rf _reference _examples _manual
mkdir -m 755 _reference _examples _manual

%if %{?_dist_release} != "vl5"
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{apiver}/reference/html _reference/reference
%endif
cp -a docs/manual/html _manual/manual
cp -a examples _examples/examples
rm -rf $RPM_BUILD_ROOT%{_docdir}

# Delete non-working makefiles, object files, prebuilt binaries and
# empty files.
find _examples -type f -a \( -name Makefile\* -o -name \*.o \
    -o \( -name example -a -perm +0111 \) -o -empty \) | xargs rm -f
find _examples -type d -name '*.libs' -o -name '.deps' | xargs rm -rf

%if %{?_dist_release} != "vl5"
# fix devhelp index file 
sed -i "s#"$RPM_BUILD_ROOT"##g" \
	$RPM_BUILD_ROOT%{_datadir}/devhelp/books/%{name}-%{apiver}/%{name}-%{apiver}.devhelp2
sed -i "s#"/%{name}-%{apiver}/reference/html"#"/%{name}-devel-%{version}/reference"#" \
        $RPM_BUILD_ROOT%{_datadir}/devhelp/books/%{name}-%{apiver}/%{name}-%{apiver}.devhelp2
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr (-,root,root,-)
%doc _examples/examples _manual/manual
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%dir %{_libdir}/%{name}-%{apiver}
%dir %{_libdir}/%{name}-%{apiver}/include
%{_libdir}/%{name}-%{apiver}/include/*.h
%if %{?_dist_release} != "vl5"
%doc _reference/reference
%{_datadir}/devhelp/books/%{name}-%{apiver}/%{name}-%{apiver}.devhelp2
%endif

%changelog
* Thu Jan 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.32.0-1
- new upstream release
- fixed spec file for Vine Linux 5
- added Japanese summary

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-3
- rebuild with rpm-4.8.1 for pkg-config file

* Thu Sep  9 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.30.0-2
- Initial build for VineLinux

* Fri Apr 09 2010 Haïkel Guémar <hguemar@gmail.com> - 2.30.0-1
- Update to upstream 2.30.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 12 2009 Denis Leroy <denis@poolshark.org> - 2.26.0-1
- Update to upstream 2.26.0 (to match Gnome release)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Denis Leroy <denis@poolshark.org> - 2.24.2-1
- Update to 2.24.2 (memleak fixes)
- Fixed Gnome FTP URL

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.23.2-2
- Include unowned directories

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.23.2-1
- update to 2.23.2

* Tue May 13 2008 Denis Leroy <denis@poolshark.org>
- Removed unneeded example binaries from devel package

* Thu Mar 13 2008 Denis Leroy <denis@poolshark.org> - 2.22.0-1
- Update to upstream 2.22.0
- GCC 4.3 patch upstreamed

* Sun Feb 17 2008 Denis Leroy <denis@poolshark.org> - 2.20.0-2
- Added patch for gcc 4.3 rebuild

* Thu Sep 20 2007 Denis Leroy <denis@poolshark.org> - 2.20.0-1
- Update to new 2.20 stable branch

* Thu Aug 16 2007 Denis Leroy <denis@poolshark.org> - 2.18.2-2
- Update to upstream 2.18.2 (mem leak fix)
- Fixed License tag

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 2.18.1-2
- Rebuild for RH #249435

* Tue Jul 24 2007 Denis Leroy <denis@poolshark.org> - 2.18.1-1
- Update to version 2.18.1

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.14.0-1.1
- FC6 rebuild

* Tue May 02 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.14.0-1
- Version 2.14.0

* Mon Feb 13 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.12.0-2.1
- FC5 Rebuild

* Thu Jan 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.12.0-2
- Rebuilt to address RH #178592

* Thu Sep 08 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 2.12.0-1
- Version 2.12.0
- Use --disable-static for configure.

* Thu Jul 21 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 2.10.0-1
- Version 2.10.0
- Rearrange and conform to new FE standards
- Buildrequire glibmm24-devel
- Add devel requires to -devel

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.26.0-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Nov 04 2003 Panu Matilainen <pmatilai@welho.com> - 0:0:26.0-0.fdr.3
- remove empty .libs directories

* Mon Nov  3 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.26.0-0.fdr.2
- buildrequires graphviz
- devel package requires main package and pkgconfig
- own %%_includedir/libxml++-1.0
- clean up examples tree

* Tue Oct 21 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging

