%global cache /var/cache/man

# Basic Information
Name:		man-db
Version:	2.5.9
Release:	1%{?_dist_release}
License:	GPL
Group:		System Environment/Base
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:	man-db.crondaily
Source2:	man-db.sysconfig
Patch0:		man-db-2.5.9-config.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	the man-db manual pager suite
Summary(ja):	man-dbマニュアルページャスイート

# Dependency
Requires:     	groff >= 1.20.1
BuildRequires:	groff >= 1.20.1
Requires:	gdbm
BuildRequires:	gdbm-devel

Obsoletes:	man
Provides:	man

%description
This package provides the man command. This utility is the primary way of
examining the on-line help files (manual pages). Other utilities provided
include the whatis and apropos commands for searching the manual page
database, the manpath utility for determining the manual page search path,
and the maintenance utilities mandb, catman, and zsoelim. This package uses
the groff suite of programs to format and display the manual pages. 

%description -l ja
このパッケージは、man コマンドを提供します。このユーティリティの主な用途は
ヘルプファイル(マニュアルページ)を調べることです。他のユーティリティとして
マニュアルページデータベースを検索するための whatis と apropos コマンド、
マニュアルページの検索パスを決定する manpath ユーティリティ、および
メンテナンスユーティリティである mandb、catman および zsoelim を提供します。
このパッケージは、マニュアルページを整形および表示するために groff プログラム
スイートを利用しています。

%prep
%setup -q
%patch0 -p1 -b .conf

%build
%configure --disable-setuid
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}
%find_lang %{name}-gnulib

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/man-db/libman.la
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/man-db/libmandb.la

# install cache directory
install -d -m 0755  $RPM_BUILD_ROOT%{cache}

# install cron script for man-db creation/update
install -D -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/man-db.cron

# config for cron script
install -D -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/man-db


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang -f %{name}-gnulib.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/man_db.conf
%config(noreplace) %{_sysconfdir}/sysconfig/man-db
%{_sysconfdir}/cron.daily/man-db.cron
%{_bindir}/apropos
%{_bindir}/catman
%{_bindir}/lexgrog
%{_bindir}/man
%{_bindir}/mandb
%{_bindir}/manpath
%{_bindir}/whatis
%{_bindir}/zsoelim
%{_libdir}/man-db
%{_libexecdir}/man-db
%{_sbindir}/accessdb
%{_defaultdocdir}/man-db
%attr(0755,root,root)   %dir %{cache}
%{_mandir}/de/man*/*
%{_mandir}/es/man*/*
%{_mandir}/it/man*/*
%{_mandir}/ja/man*/*
%{_mandir}/man1/apropos.1.*
%{_mandir}/man1/lexgrog.1.*
%{_mandir}/man1/man.1.*
%{_mandir}/man1/manconv.1.*
%{_mandir}/man1/manpath.1.*
%{_mandir}/man1/whatis.1.*
%{_mandir}/man1/zsoelim.1.*
%{_mandir}/man5/manpath.5.*
%{_mandir}/man8/accessdb.8.*
%{_mandir}/man8/catman.8.*
%{_mandir}/man8/mandb.8.*


%changelog
* Wed Mar 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.5.9-1
- new upstream release.
- add Source1,Source2 and Patch0 from fedora.

* Tue Nov 16 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.5.8-1
- initial build for Vine Linux

