# Copyright (c) 2007-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de
#
# *** This spec is modified for Vine Linux ***

# norootforbuild
##

%define _prefix	/usr

Name:			mediainfo
Version:		0.7.41
Release:		1%{?_dist_release}
Summary:		Supplies technical and tag information about a video or audio file
Group:			Applications/Multimedia
License:		GPL
URL:			http://mediainfo.sourceforge.net/
Source0:		mediainfo_%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
# BuildRequires:	dos2unix
BuildRequires:	nkf

## NEED GCC3
BuildRequires: 	gcc-c++
BuildRequires:	libmediainfo-devel
BuildRequires:	libzen-devel
BuildRequires:	pkgconfig
BuildRequires:	wx-gtk2-devel
BuildRequires: 	zlib-devel
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif

Requires:	libzen
Requires:	libmediainfo

Packager:		babasaki

%description
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
 * General - title, author, director, album, track number, date, duration...
 * Video - codec, aspect, fps, bitrate...
 * Audio - codec, sample rate, channels, language, bitrate...
 * Text - language of subtitle
 * Chapters - number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
 * Video - MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
      MPEG-2, MPEG-4, DVD (VOB) (Codecs - DivX, XviD, MSMPEG4, ASP,
      H.264, AVC...)
 * Audio - OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
 * Subtitles - SRT, SSA, ASS, SAMI

%description -l ja
MediaInfo はビデオとオーディオファイルの詳細な情報を提供します。

MediaInfo で確認できる情報:
 * 全般 - タイトル、作者、ディレクター、アルバム、トラック番号、
      日付、時間...
 * ビデオ - codec、アスペクト比、フレームレート、ビットレート...
 * オーディオ - codec、サンプリングレート、チャンネル数、言語、
      ビットレート...
 * テキスト - 字幕の言語
 * チャプター - チャプター数、チャプターの一覧

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

MediaInfo がサポートするフォーマット:
 * ビデオ - MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
      MPEG-2, MPEG-4, DVD (VOB) (Codec - DivX, XviD, MSMPEG4, ASP,
      H.264, AVC...)
 * オーディオ - OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
 * 字幕 - SRT, SSA, ASS, SAMI

%package gui
Summary:	GUI for mediainfo
Summary(ja):	Mediainfo 用の GUI
Group:		Applications/Multimedia

%description gui
This package contains a Frontend for mediainfo.

MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
 * General - title, author, director, album, track number, date, duration...
 * Video - codec, aspect, fps, bitrate...
 * Audio - codec, sample rate, channels, language, bitrate...
 * Text - language of subtitle
 * Chapters - number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
 * Video - MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
      MPEG-2, MPEG-4, DVD (VOB) (Codecs - DivX, XviD, MSMPEG4, ASP,
      H.264, AVC...)
 * Audio - OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
 * Subtitles - SRT, SSA, ASS, SAMI

%description gui -l ja
MediaInfo はビデオとオーディオファイルの詳細な情報を提供します。

MediaInfo で確認できる情報:
 * 全般 - タイトル、作者、ディレクター、アルバム、トラック番号、
      日付、時間...
 * ビデオ - codec、アスペクト比、フレームレート、ビットレート...
 * オーディオ - codec、サンプリングレート、チャンネル数、言語、
      ビットレート...
 * テキスト - 字幕の言語
 * チャプター - チャプター数、チャプターの一覧

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

MediaInfo がサポートするフォーマット:
 * ビデオ - MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
      MPEG-2, MPEG-4, DVD (VOB) (Codec - DivX, XviD, MSMPEG4, ASP,
      H.264, AVC...)
 * オーディオ - OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
 * 字幕 - SRT, SSA, ASS, SAMI


%prep
%setup -q -n MediaInfo
## dos2unix     *.html *.txt Release/*.txt
nkf --unix --overwrite *.html *.txt Release/*.txt
%__chmod 644 *.html *.txt Release/*.txt

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

# build CLI
pushd Project/GNU/CLI
%__chmod +x autogen
./autogen
%configure

%__make %{?jobs:-j%{jobs}}
popd

# now build GUI
pushd Project/GNU/GUI
%__chmod +x autogen
./autogen
### autoreconf -i
%configure

	%__make %{?jobs:-j%{jobs}}
popd

%install
pushd Project/GNU/CLI
	%__make install-strip DESTDIR=%{buildroot}
popd

pushd Project/GNU/GUI
	%__make install-strip DESTDIR=%{buildroot}
popd

# icon
%__install -dm 755 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
%__install -m 644 Source/Ressource/Image/MediaInfo.png \
	%{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 Source/Ressource/Image/MediaInfo.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png
%__install -m 644 Source/Ressource/Image/MediaInfo.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}-gui.png

# menu-entry
%__install -dm 755 %{buildroot}/%{_datadir}/applications
%__install -m 644 Project/GNU/GUI/mediainfo-gui.desktop \
	%{buildroot}/%{_datadir}/applications

%if 0%{?suse_version}
  %suse_update_desktop_file -n mediainfo-gui AudioVideo AudioVideoEditing
%endif

%__install -dm 755 %{buildroot}/%{_datadir}/apps/konqueror/servicemenus
%__install -m 644 Project/GNU/GUI/mediainfo-gui.kde3.desktop \
	%{buildroot}/%{_datadir}/apps/konqueror/servicemenus/mediainfo-gui.desktop
%__install -dm 755 %{buildroot}/%{_datadir}/kde4/services/ServiceMenus/
%__install -m 644 Project/GNU/GUI/mediainfo-gui.kde4.desktop \
	%{buildroot}/%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root,-)
%doc Release/ReadMe_CLI_Linux.txt
%doc License.html History_CLI.txt
%{_bindir}/mediainfo

%files gui
%defattr(-,root,root,-)
%doc Release/ReadMe_GUI_Linux.txt
%doc License.html History_GUI.txt
%{_bindir}/mediainfo-gui
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/128x128/apps/*.png
%dir %{_datadir}/apps
%dir %{_datadir}/apps/konqueror
%dir %{_datadir}/apps/konqueror/servicemenus
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%dir %{_datadir}/kde4
%dir %{_datadir}/kde4/services
%dir %{_datadir}/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%changelog
* Wed Jan 26 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.41-1
- new upstream release

* Sat Dec 25 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.38-1
- new upstream release

* Sun Dec 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.37-1
- new upstream release

* Fri Sep 10 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.35-1
- new upstream release

* Tue Jun 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.34-1
- new upstream release

* Wed Jun 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.33-1
- new upstream release

* Thu Oct 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.23-1
- new upstream release

* Mon Oct 12 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.22-1
- new upstream release

* Tue Jul 28 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.7.19-1
- new upstream release
- change spec file name to mediainfo-vl.spec
- add japanese summary and description
- change group to Applications/Multimedia
- add Packager tag

* Tue Jan 01 2009 Jerome Martinez <zen@mediaarea.net> - 0.7.9-0
- See History.txt for more info and real dates
- Previous packages made by Toni Graffy <toni@links2linux.de>
