%define pkg_version 2.32.0
%define pkg_release 1%{?_dist_release}

Summary:	Gtk-based serial terminal
Summary(ja):	GTKベースのシリアルターミナル
Name:		moserial
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/gnome/sources/moserial/2.32/%{name}-%{version}.tar.bz2
License:	GPLv3+
Group:		Applications/Communications
URL:		http://live.gnome.org/moserial

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires:	hicolor-icon-theme
BuildRequires:	gtk2-devel
BuildRequires:	GConf2-devel
BuildRequires:	vala-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	docbook-utils
BuildRequires:	desktop-file-utils

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
moserial is a clean, friendly gtk-based serial terminal for the gnome desktop. It is written in Vala for extra goodness.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
desktop-file-install --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/moserial
%{_datadir}/applications/moserial.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome/help/moserial
%{_datadir}/moserial/glade/moserial.ui
%{_datadir}/omf/moserial/*
%{_mandir}/man1/moserial.1.gz


%changelog
* Fri Feb 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Sun Apr 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- initial build for Vine Linux

