Name:		nautilus-python
Version:	0.7.3
Release:	1%{?_dist_release}
Summary:	Python bindings for Nautilus
Summary(ja):	Nautilus 用の python バインディング
Group:		Development/Libraries
License:	GPLv2+
URL:		http://www.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
#Patch0:         %{name}-0.5.1-gnome-vfs.patch
#Patch1:         50_CVE-2009-0317.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	nautilus-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gnome-python-devel >= 2.0
BuildRequires:	gtk2-devel
BuildRequires:	pygtk2-devel
BuildRequires:	libffi-devel
Requires:	nautilus

Packager:	kazutaka

%description
Python bindings for Nautilus

%description -l ja
Nautilus 用の python バインディングです。

%package devel
Summary:	Development files for nautilus-python
Summary(ja):	Nautilus-python の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development files for nautilus-python.

%description
Nautilus-python の開発用ファイルです。

%prep
%setup -q
#%patch0 -p1 -b .gnome-vfs
#%patch1 -p1
#autoreconf -ivf
#%{__rm} -rf autom4te.cache


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_docdir}/%{name} installed_docs
rm $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-2.0/*.la
rm $RPM_BUILD_ROOT/%{_libdir}/%{name}/*.la
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-2.0/python/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/nautilus-python/extensions

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS
%{_libdir}/%{name}
%{_libdir}/nautilus/extensions-2.0/lib%{name}.*
%dir %{_libdir}/nautilus/extensions-2.0/python/
%dir %{_datadir}/nautilus-python/extensions


%files devel
%defattr(-,root,root,-)
%doc installed_docs/examples
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue May 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.3-1
- new upstream release

* Tue Sep 28 2010 Shu KONNO <owa@bg.wakwak.com> 0.7.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Jul 23 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.7.0-2
- add BuildRequires: gtk2-devel
- add %%dir %%{_datadir}/nautilus-python/extensions
  (to support arch-independent extensions)

* Sun May 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.7.0-1
- new upstream release
- deleted duplicate BuildRequires: nautilus-devel
- deleted installed_docs/documentation.py in -devel package

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.1-3
- rebuild with GNOME-2.30
- change BuildRequires: eel2-devel -> nautilus-devel

* Sun Feb 07 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.6.1-2
- dropt Patch0 (source)

* Sun Feb 07 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.6.1-1
- new upstream release
- dropt Patch0,1
- disabled autoreconf to build

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.5.1-3
- rebuild with python-2.6

* Thu Oct 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.5.1-2
- added Patch1 to fix CVE-2009-0317 from Debian
- fixed BuildRoot
- added BuildRequires: libffi-devel

* Fri May 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.1-1
- initial build for Vine Linux based on fedora development
- add japanese summary & description

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.5.1-3
- Patch to fix build (thanks to Nicholas Wourms)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5.1-2
- Rebuild for Python 2.6

* Wed Sep 24 2008 Trond Danielsen <trondd@fedoraproject.org> - 0.5.1-1
- New upstream version

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.3-6
- fix license tag

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.3-5
- Autorebuild for GCC 4.3

* Wed May 02 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.4.3-4
- Added missing folder. Fixes bug #238591.

* Sat Apr 21 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.4.3-3
- Moved example code to devel package.

* Thu Apr 19 2007 Jef Spaleta <jspaleta@gmail.com> - 0.4.3-2
- Package review corrections

* Wed Apr 04 2007 Trond Danielsen <trond.danielsen@gmail.com> - 0.4.3-1
- Initial version
