%define glib2_version 2.26.1
%define pango_version 1.28.3
%define gtk2_version 2.22.1
%define libxml2_version 2.7.7
%define eog_version 2.32.1
%define desktop_file_utils_version 0.16
%define gnome_desktop_version 2.32.1
%define vine_menus_version 3.0
%define gnome_menus_version 2.32.1
%define startup_notification_version 0.10
%define libexif_version 0.6.19
%define gconf_version 2.32.0
%define gobject_introspection_version 0.9.12

Name:		nautilus
Summary:        Nautilus is a file manager for GNOME
Summary(ja):	Nautilus - GNOME ファイルマネージャ
Version: 	2.32.2.1
Release:        2%{?_dist_release}
License: 	GPLv2+
Group:          User Interface/Desktops
URL: 		http://www.gnome.org/projects/nautilus/

Vendor:	Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

Source: 	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.32/%{name}-%{version}.tar.bz2

# Some changes to default config
Patch1:         nautilus-2.5.7-rhconfig.patch
Patch3:		background-no-delay.patch

# Why is this not upstream ?
Patch6:         nautilus-2.23.5-dynamic-search.patch

Patch7:		rtl-fix.patch

# vine
Patch100:	nautilus-2.8.2-vine.patch
Patch101:	nautilus-2.30.0-vine.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gamin
Requires:       vine-menus >= %{vine_menus_version}
Requires:       gvfs, gvfs-fuse, gvfs-smb, gvfs-archive, gvfs-gphoto2
Requires:	libexif >= %{libexif_version}
Requires:	%{name}-libs = %{version}-%{release}

Requires(pre,preun,post): GConf2 >= %{gconf_version}
Requires(post,postun): rarian-compat

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	pango-devel >= %{pango_version}
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:	libxml2-devel >= %{libxml2_version}
BuildRequires:  gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires:	gamin-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:  libtool >= 1.4.2-10
BuildRequires:  automake, autoconf
BuildRequires:  startup-notification-devel >= %{startup_notification_version}
#BuildRequires:	tracker-devel >= %{tracker_version}
BuildRequires:	libexif-devel  >= %{libexif_version}
BuildRequires:  unique-devel
BuildRequires:  libtool, autoconf
BuildRequires:  libSM-devel
BuildRequires:  gobject-introspection-devel >= %{gobject_introspection_version}

Obsoletes:      nautilus-extras
Obsoletes:      nautilus-suggested
Obsoletes:      nautilus-mozilla < 2.0
Obsoletes:	eel2 <= 2.24.1

Provides:	eel2 <= 2.24.1


%description
Nautilus integrates access to files, applications, media,
Internet-based resources and the Web. Nautilus delivers a dynamic and
rich user experience. Nautilus is an free software project developed
under the GNU General Public License and is a core component of the
GNOME desktop project.

%description -l ja
Nautilus は、ファイル、アプリケーション、メディア、インターネットベースの
リソースおよびウェブへのアクセスを統合します。Nautilus は、ダイナミックで
豊かなユーザ体験を実現します。Nautilus は、GNU General Public License
のもとに開発されているフリーソフトウェアプロジェクトで GNOME デスクトップ
プロジェクトのコア・コンポーネントです。

%package devel
Summary: Support for developing nautilus extensions
Summary(ja): Nautilus 拡張機能開発のためのサポート
License: LGPLv2+
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides libraries and header files needed
for developing nautilus extensions.

%description -l ja devel
このパッケージは、Nautilus 拡張機能の開発に必要なライブラリおよび
ヘッダファイルを提供します。

%package libs
Summary: Libraries for use in nautilus extentions
Summary(ja): Nautilus 拡張機能で利用するライブラリ
Group: User Interface/Desktops

%description libs
This package provides libraries required by nautilus extention
module.

%description -l ja libs
このパッケージは、Nautilus 拡張機能が必要とするライブラリを提供します。

%prep
%setup -q -n %{name}-%{version}

##patch3 -p1 -b .no-delay
#%patch5 -p1 -b .selinux
##patch6 -p1 -b .dynamic-search
%patch7 -p1 -b .rtl-fix

## %patch100 -p1 -b .vine
%patch101 -p1 -b .vine

%build
gtkdocize
libtoolize --force --copy
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -DUGLY_HACK_TO_DETECT_KDE -DNAUTILUS_OMIT_SELF_CHECK" \
%configure --disable-more-warnings --disable-update-mimedb --enable-introspection=yes

export tagname=CC
LANG=en_US make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
LANG=en_US %makeinstall LIBTOOL=/usr/bin/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## these are in desktop-backgrounds-basic
## (uncomment when we patch the source to look in the right place)
## /bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/nautilus/patterns

# make sure desktop files validate by ignoring sr@Latn
perl -pi -e 's/sr\@Latn/sp/g' $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
# desktop-file-install can't handle empty OnlyShowIn correctly
perl -pi -e 's/OnlyShowIn=;/OnlyShowIn=GNOME;/' $RPM_BUILD_ROOT%{_datadir}/applications/nautilus-folder-default-handler.desktop

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

perl -pi -e 's/OnlyShowIn=GNOME;/OnlyShowIn=;/' $RPM_BUILD_ROOT%{_datadir}/applications/nautilus-folder-default-handler.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

mkdir -p $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :

%posttrans
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor &> /dev/null ||:
scrollkeeper-update > /dev/null 2>&1 || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor &> /dev/null ||:
    scrollkeeper-update > /dev/null 2>&1 || :
fi

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS COPYING.LIB ChangeLog NEWS README
%dir %{_libdir}/nautilus
%dir %{_libdir}/nautilus/extensions-2.0
%{_libexecdir}/nautilus-convert-metadata
%{_datadir}/nautilus
%{_datadir}/pixmaps
%{_datadir}/applications
%{_datadir}/mime/*
%{_datadir}/icons/hicolor/*
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/nautilus
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0
%doc %{_datadir}/gtk-doc/html/libnautilus-extension/*

%files libs
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0


%changelog
* Sat Apr 16 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.32.2.1-2
- fixed group of libs
- add translation of summary and description.
- add Vendor, Distribution and Packager tags.

* Wed Dec 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.2.1-1
- new upstream release

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.2-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: gobject-introspection-devel
- remove BuildRequires: libgnomeui-devel
- add configure option (--enable-introspection=yes)

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jun 12 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.1-2
- split nautilus extention libraries to -libs subpackage.

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- drop Patch100
- add Patch101
- add Obsoletes: eel2 <= 2.24.1
- add Provides: eel2 <= 2.24.1

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.4-1
- new upstream release
- add BuildRequires: libSM-devel

* Sat Nov  7 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-2
- removed Requires: eel2
- added %%posttrans section

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Wed May 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Wed Apr 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- split -devel subpackage

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Mon Oct 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2
- patch6 needs autoreconf

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Jun  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.3-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1vl5
- new upstream release
- added Requires: gvfs

* Sun Mar 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release
- added Patches from FC
  * Thu Mar 13 2008 Tomas Bzatek <tbzatek@redhat.com> - 2.22.0-2
  - Don't create application/x-ext-<extension> types for known mimetypes (patch from head)
  - Fix a crash in the Properties dialog while changing owner (patch from head)
  * Tue Feb 26 2008 Tomas Bzatek <tbzatek@redhat.com> - 2.21.92-2
  - Change libbeagle .so name for libbeagle-0.3.0 in nautilus-2.21.1-dynamic-search-r2.patch (#434722)

* Thu Dec 13 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.0-0vl1
- new upstream release
- dropped Patch11-13 and added Patch7-9 from Fedora
  * Tue Oct 16 2007 - Bastien Nocera <bnocera@redhat.com> - 2.20.0-5
  - Add patch from upstream to get audio preview working again
    (#332251)
  * Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-3
  - Fix a crash with small fonts (#242350)
  * Tue Oct  2 2007 Alexander Larsson <alexl@redhat.com> - 2.20.0-1
  - Backport fixes for async thumbnail loading from svn

* Sun May 06 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl4
- run autoreconf for Patch11 changes

* Wed May 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl3
- remove tracker dependancy, Patch13 detects tracker dynamically.

* Mon Apr 30 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl2
- add Patch13 to support user-dirs 

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release
- enable tracker support
- add BuildRequires: tracker-devel, Requires: tracker

* Fri Apr 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0.1-0vl1
- new upstream release

* Mon Aug 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-0vl2
- add BuildRequires: gamin-devel, Requires: gamin
- remove fam dependency (replaced by gamin)

* Wed Aug 02 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.3-0vl1
- new upsteram release

* Sat Jul 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl3
- really applied Patch110...

* Fri Jun 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl2
- add Patch110 to fix corruption of help option message.

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Thu Mar 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl4
- fix typo in ja.po

* Wed Mar 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl3
- update ja.po to translate patch50 related message.

* Tue Mar 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- add Patch50 to show progressbar on umounting
  (ubuntu patch in Bug 313639)

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Thu Mar 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl2
- add Patch10 to avoid background rendering delay

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Mon Feb 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.12.2-0vl2
- add fix-non-UTF-8-encoding.patch (patch0)
  - cf. http://bugzilla.gnome.org/show_bug.cgi?id=314538

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.2-0vl1
- new upstream release

* Thu Oct 06 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Fri Jul 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl2
- rebuild

* Mon May 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.1-0vl1
- new upstream version

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl2
- add vine patch to change some defaults.
  - change default zoom sine
  - set always_use_browser

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl1
- new upstream release

* Fri Oct 29 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl3
- add Patch110 to fix libegg(egg-recent-model.c)
  save old umask value before create ".recently-used" file.
  
* Thu Jul 22 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl2
- change default desktop font to Sans 9 (from Sans 10)
- add patch10 to build with gtk+-2.4

* Wed Feb 04 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Fri Oct 17 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Tue Sep 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl3
- add backport patch from rawhide (Patch10)

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl2
- modified vine patch
  - change default zoom level to small
  - change desktop font to Sans 10

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Mon Sep 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl3
- add desktop icon patch from rawhide

* Sat Sep 06 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl2
- remove obsolete ja.po

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.9-0vl1
- new upstream release

* Sat Jun 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-0vl1
- new upstream release

* Mon Apr 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3.1-0vl2
- update ja.po

* Thu Apr  3 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3.1-0vl1
- new upstream release

* Fri Mar 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Sat Mar  1 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Thu Jan 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.2-0vl1
- new upstream release

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.91-0vl2
- add nautilus-cd-burner patch

* Thu Jan 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.91-0vl1
- new upstream release

* Sat Jan  4 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl5
- discard scrollkeeper outputs.
- update PreReq tags.

* Mon Dec 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl4
- change icon for nautilus-file-management-properties
- update ja.po

* Mon Dec 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl3
- update ja.po
- add translation for .desktop files.

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl2
- add Requires: vine-menus

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl4
- remove redhatize patch

* Tue Dec 17 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl2
- rebuild to remove unneeded dependancy.

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- add explicit startup-notification dependency because build system is
  dumb 
- 2.1.3

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2

* Thu Oct 10 2002 Havoc Pennington <hp@redhat.com>
- 2.0.7
- remove patches that are upstream

* Tue Sep  3 2002 Alexander Larsson <alexl@redhat.com>  2.0.6-6
- Add badhack to make weblinks on desktop work

* Mon Sep  2 2002 Havoc Pennington <hp@redhat.com>
- fix #70667 assertion failures
- fix triple click patch

* Mon Sep  2 2002 Jonathan Blandford <jrb@redhat.com>
- don't activate on double click

* Sat Aug 31 2002 Havoc Pennington <hp@redhat.com>
- put button press mask in triple-click patch, maybe it will work
- remove html-hack patch as it does nothing useful

* Sat Aug 31 2002 Havoc Pennington <hp@redhat.com>
- require newer redhat-artwork, -menus, eel2, gnome-vfs2 to avoid
  bogus bug reports
- add hack for HTML mime type handling in a web browser, not 
  nautilus

* Thu Aug 29 2002 Alexander Larsson <alexl@redhat.com>
- Updated to 2.0.6. Removed the patches I put upstream.
- Added patch that fixes #72410

* Wed Aug 28 2002 Owen Taylor <otaylor@redhat.com>
- Add a simple patch so that redhat-config-packages can disable 
  the new window behavior for mounted CDs behavior.

* Wed Aug 28 2002 Alexander Larsson <alexl@redhat.com> 2.0.5-4
- Add patch to fix bug #70667

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- remove mp3

* Fri Aug 23 2002 Havoc Pennington <hp@redhat.com>
- ignore the "add_to_session" preference as it only broke stuff
- pad the left margin a bit to cope with poor word wrapping

* Fri Aug 23 2002 Alexander Larsson <alexl@redhat.com> 2.0.5-1
- Update to 2.0.5, remove topleft icon patch

* Thu Aug 15 2002 Alexander Larsson <alexl@redhat.com> 2.0.4-2
- Add patch to fix the bug where desktop icons get
  stuck in the top left corner on startup

* Wed Aug 14 2002 Alexander Larsson <alexl@redhat.com> 2.0.4-1
- 2.0.4

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- obsolete nautilus-mozilla < 2.0 #69839

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- add rhconfig patch to Bluecurve theme and disable sidebar by default

* Wed Aug  7 2002 Havoc Pennington <hp@redhat.com>
- drop start here files, require redhat-menus that has them

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- build for new eel2, gail

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- and add the libexec components, mumble

* Wed Jul 24 2002 Havoc Pennington <hp@redhat.com>
- put the components in the file list, were moved upstream

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Thu Jun 27 2002 Owen Taylor <otaylor@redhat.com>
- Relibtoolize to fix relink problems for solib components
- Add LANG=en_US to %makeinstall as well
- Back out previous change, force locale to en_US to prevent UTF-8 problems
- Add workaround for intltool-merge bug on ia64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- use desktop-file-install
- require desktop-backgrounds-basic

* Wed Jun 12 2002 Havoc Pennington <hp@redhat.com>
- add wacky hack in hopes of fixing the hang-on-login thing

* Sat Jun  8 2002 Havoc Pennington <hp@redhat.com>
- add build requires on new gail
- rebuild to try to lose broken libgailutil.so.13 dependency

* Sat Jun 08 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.1.19

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 30 2002 Havoc Pennington <hp@redhat.com>
- really remove nautilus-devel if we are going to obsolete it
- don't require hwbrowser

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.1.17

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.1.14

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- require eog
- obsolete nautilus-devel
- fix name of schemas file in post

* Mon Apr 22 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.1.13

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- put tree view in file list

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- nautilus for gnome 2
- clean up the spec file and file list a bit

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Thu Apr  4 2002 Alex Larsson <alexl@redhat.com>
- Add patch to fix trash crash

* Mon Apr  1 2002 Havoc Pennington <hp@redhat.com>
- fix for metadata tmp race
- backport thumbnail speed fix and thumbnail inf. loop fix

* Mon Mar 25 2002 Havoc Pennington <hp@redhat.com>
- add some fixes from CVS version, including one for #61819 and a couple segfaults

* Wed Mar 20 2002 Havoc Pennington <hp@redhat.com>
- fix thumbnails for files with future timestamp, #56862

* Mon Mar 11 2002 Havoc Pennington <hp@redhat.com>
- buildrequires intltool #60633
- apply Alex's pixbuf cache patch to save a few megs #60581

* Wed Feb 27 2002 Havoc Pennington <hp@redhat.com>
- drop Milan-specific features, including png10 and ac25 patches
- copy in 1.0.5 help component to avoid large risky patch
- remove .la files
- drop mozilla from ia64 again
- remove oaf file from nautilus-mozilla that was also in the base 
  package

* Mon Jan 28 2002 Bill Nottingham <notting@redhat.com>
- enable mozilla support on ia64

* Fri Dec 28 2001 Christopher Blizzard <blizzard@redhat.com>
- require Mozilla 0.9.7
- Add patch that puts mozilla profile startup before embedding is initialized

* Tue Nov 20 2001 Havoc Pennington <hp@redhat.com>
- 1.0.6, require Mozilla 0.9.6

* Tue Oct 23 2001 Alex Larsson <alexl@redhat.com>
- Update to 1.0.5

* Thu Sep  6 2001 Owen Taylor <otaylor@redhat.com>
- Fix handling of GnomeVFSFileInfo structure (#53315)

* Wed Sep  5 2001 Owen Taylor <otaylor@redhat.com>
- Change handling of names on unmount to fix #52325

* Tue Sep  4 2001 Havoc Pennington <hp@redhat.com>
- put nautilus-help.desktop in file list; #53109

* Fri Aug 31 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Thu Aug 23 2001 Alex Larsson <alexl@redhat.com> 1.0.4-38
- Added patch to fix the .directory issuer

* Thu Aug 23 2001 Havoc Pennington <hp@redhat.com>
- I screwed up the build yesterday, so it didn't actually contain the
  fixes mentioned. This build should contain them.

* Wed Aug 22 2001 Havoc Pennington <hp@redhat.com>
- fix bug causing 32000 stats or so in large directories, 
  should speed things up somewhat
- fix #52104 via gruesome kdesktop-detection hack and setting
  window type hint on our desktop window
- fix so Start Here icon displays in sidebar
- don't load non-local .desktop files

* Mon Aug 20 2001 Havoc Pennington <hp@redhat.com>
- make Programs icon into a link, to match the other .desktop files
- own various directories #51164
- web page titles in Japanese, #51709
- tree defaults to only directories #51850

* Wed Aug 15 2001 Havoc Pennington <hp@redhat.com>
- make start here icon work again
- kill some warning spew, #51661
- cache getpwnam() results to speed things up a bit

* Tue Aug 14 2001 Owen Taylor <otaylor@redhat.com>
- Fix problem with missing desktop starthere.desktop file
- New snapshot from our branch, fixes:
  - On upgrade, icons migrated from GNOME desktop are not properly lined up
    (#51436)
  - icons dropped on the desktop don't end up where dropped. (#51441)
  - Nautilus shouldn't have fam monitor read-only windows. This
    keeps CDROMS from being unmounted until you close all

    nautilus windows pointing to them. (#51442)
  - Warnings about 'cannot statfs...' when moving items to trash.
- Use separate start-here.desktop for panel, since the one used
  for the root window only works from Nautilus.

* Fri Aug 10 2001 Alexander Larsson <alexl@redhat.com>
- Changed starthere .desktop files to be links instead
- of spawning a new nautilus. This makes start-here:
- much faster.

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com>
- Added hwbrowser dependency
- New snapshot, fixes the mozilla-view submit form problem

* Wed Aug  8 2001 Jonathan Blandford <jrb@redhat.com>
- Rebuild with new xml-i18n-tools
- fix crash in creating new desktop files

* Tue Aug  7 2001 Jonathan Blandford <jrb@redhat.com>
- Fix up DnD code some more

* Thu Aug 02 2001 Havoc Pennington <hp@redhat.com>
- Sync our CVS version; fixes some MUSTFIX
  (the one about drawing background on startup, 
   properly translate desktop files, etc.)

* Wed Aug  1 2001 Alexander Larsson <alexl@redhat.com> 1.0.4-24
- Fix 64bit cleanness issue
- Fix NULL mimetype crash
- Disable additional_text for .desktop files

* Tue Jul 31 2001 Alexander Larsson <alexl@redhat.com> 1.0.4-23
- Fix unmounting devices.

* Tue Jul 31 2001 Alexander Larsson <alexl@redhat.com> 1.0.4-22
- Make it depend on gnome-vfs-1.0.1-13. Needed for .desktop
- mimetype sniffing.

* Mon Jul 30 2001 Alexander Larsson <alexl@redhat.com> 1.0.4-21
- Remove the "don't run as root" warning.
- Remove eazel from bookmarks
- langified (again? did someone change it?)

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Apply a patch that makes nautilus dnd reset work with the latest
- eel release.

* Thu Jul 26 2001 Alexander Larsson <alexl@redhat.com>
- Build on ia64 without the mozilla component.

* Wed Jul 25 2001 Havoc Pennington <hp@redhat.com>
- Fix crash-on-startup showstopper
- Fix can't-find-images bug (this one was only showing up
  when built with debug symbols, since it was an uninitialized memory
  read)

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- sync new tarball from our CVS branch, 
  fixes some drag-and-drop, changes URI scheme names,
  etc.

* Tue Jul 24 2001 Owen Taylor <otaylor@redhat.com>
- Add BuildRequires (#49539, 49537)
- Fix %%post, %%postun (#49720)
- Background efficiency improvements and hacks

* Fri Jul 13 2001 Alexander Larsson <alexl@redhat.com>
- Don't launch esd on each mouseover.

* Wed Jul 11 2001 Havoc Pennington <hp@redhat.com>
- move first time druid patch into my "CVS outstanding" patch
- try to really remove Help/Feedback
- try to really fix Help/Community Support
- try again to get Start Here in the Go menu
- try again to get Start Here on the desktop
- don't show file sizes for .desktop files

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- add newline to ends of .desktop files that were missing them

* Tue Jul 10 2001 Havoc Pennington <hp@redhat.com>
- update to my latest 'cvs diff -u' (adds default 
  Start Here link, displays .directory name in sidebar)
- include /etc/X11/* links (starthere, sysconfig, serverconfig)

* Tue Jul 10 2001 Jonathan Blandford <jrb@redhat.com>
- Patch to remove firsttime druid and flash

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- add hacks for displaying desktop files
- add hack to turn off the "unwriteable" emblem

* Sun Jul  8 2001 Tim Powers <timp@redhat.com>
- added defattr to the files lists to be (-,root,root)
- languified

* Sat Jul  7 2001 Alexander Larsson <alexl@redhat.com>
- Need to run autoheader too.

* Fri Jul  6 2001 Alexander Larsson <alexl@redhat.com>
- Make the fam dependency a real runtime dependency
- by linking to libfam (nautilus-1.0.4-fam-lib.patch)
- Cleaned up specfile.

* Fri Jul  6 2001 Alexander Larsson <alexl@redhat.com>
- Change default background and rubberband color.
- Use the sidebar tabs from the default theme
- BuildDepend on fam-devel, depend on fam
- Disable the eazel update pages in the first-time druid.
- Remove the eazel logo from the first-time druid

* Thu Jul 05 2001 Havoc Pennington <hp@redhat.com>
- 1.0.4, removes eazel services icon and wizard page
- Eazel logo is still in startup wizard for now, needs fixing

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- fix group (s/Desktop/Desktops/) #47134
- remove ammonite dependency

* Wed Jun 27 2001 Havoc Pennington <hp@redhat.com>
- add a different default theme
- clean up file list overspecificity a bit

* Tue Jun 26 2001 Havoc Pennington <hp@redhat.com>
- move to a CVS snapshot of nautilus for now
  (Darin is my hero for having distcheck work out of CVS)

* Thu May 10 2001 Jonathan Blandford <jrb@redhat.com>
- clean up defaults a bit

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- New version

* Tue Apr 17 2001 Gregory Leblanc <gleblanc@grego1.cu-portland.edu>
- Added BuildRequires lines
- Changed Source to point to ftp.gnome.org instead of just the tarball name
- Moved %description sections closer to their %package sections
- Moved %changelog to the end, where so that it's not in the way
- Changed configure and make install options to allow moving of
  libraries, includes, binaries more easily
- Removed hard-coded paths (don't define %prefix or %docdir)
- replace %{prefix}/bin with %{_bindir}
- replace %{prefix}/share with %{_datadir}
- replace %{prefix}/lib with %{_libdir}
- replace %{prefix}/include with %{_includedir}

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
