%define pkgname ffmpeg2theora
%define name	self-build-%{pkgname}
%define version	0.27
%define release	1%{?_dist_release}

%define sourceurl	http://www.v2v.cc/~j/ffmpeg2theora/downloads/%{pkgname}-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{pkgname}-vl.spec
Source100:	ffmpeg2theora-0.27-ldflags.patch
License:	GPL
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.9

# (build)requies of target package.
Requires(post):		scons
Requires(post):		libogg-devel >= 1.1
Requires(post):		libtheora-devel >= 1.1.0
Requires(post):		libvorbis-devel
Requires(post):		self-build-ffmpeg >= 0.6.1

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
ffmpeg2theora is a tool to convert any file that ffmpeg can
decode to theora.

If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.


[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
ffmpeg2theora は ffmpeg がデコードできるファイルを theora 形式
に変換するツールです。

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version} の rpm
パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。


[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE100} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec %{sourceurl} 11000
#/usr/lib/rpm/pre-allocate-rpm.sh %{pkgname}-%{version}-%{release}

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> - 0.27-1
- new upstream release
- fixed the location of %%sourceurl

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.25-2
- renamed %%{Source0} to ffmpeg2theora-vl.spec

* Thu Feb 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.25-1
- new upstream release
  - with recent ffmpeg

* Sat Jun 20 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.24-1
- new upstream release

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.23-2
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Wed Feb 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.23-1
- new upstream release
- dropped ffmpeg2theora-0.20-new_ffmpeg.patch
- added PreReq: scons

* Sat May 17 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.20-2
- spec in utf8

* Sat May 17 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.20-1
- initial build for Vine Linux.
