%define pkgname k9copy
%define name    self-build-%{pkgname}
%define version 2.3.7
%define release 1%{?_dist_release}

%define sourceurl0	http://prdownloads.sourceforge.net/%{pkgname}/%{pkgname}-%{version}-Source.tar.gz

%define _kde4_bindir		%{_bindir}
%define _kde4_iconsdir 		%{_datadir}/icons
%define _kde4_datadir		%{_datadir}
%define _kde4_docdir		%{_datadir}/doc
%define _kde4_appsdir		%{_datadir}/kde4/apps

%define _qt4_qmake		%{_libdir}/qt4/bin/qmake

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{version}
Release: 	%{release}

Obsoletes:	k9copy < 2.0.0
Obsoletes:	self-build-k9copy < 2.0.0

Source0:	%{pkgname}-vl.spec
## vine
Source100:      k9copy-2.3.5-ja.po
# upstreamable patches
Source151:      k9copy-2.3.5-dso.patch
Source152:      k9copy-2.3.5-mimetype.patch

License:	GPLv2+
Group:		Restricted Software

Requires(post):		self-build-setup >= 0.9.0

Requires(post):	qt4-devel
Requires(post):	cmake
Requires(post):	desktop-file-utils
Requires(post):	self-build-ffmpeg
Requires(post):	gettext
Requires(post):	hal-devel
Requires(post):	kdelibs4-devel >= 4.4.3
Requires(post):	libdvdread-devel
Requires(post):	self-build-libmpeg2
Requires(post):	pkgconfig
Requires(post):	xine-lib-devel

Requires:	dvd+rw-tools
Requires:	dvdauthor
Requires:	kdebase-runtime >= 4.4.3

## 
Requires(post):	self-build-mplayer

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi

%description
Video DVD backup and creation program, features include:
* Video stream compression for fit onto a single layer 4.7GB DVD
* DVD Burning
* Creation of ISO images
* Audio tracks and subtitle selection
* Video title preview
* Preservation of the original menus


If you install this package, it automaticaly downloads source
code ,compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[Note]
This package requires many other packages to compile
targetsoftware. So it consume more disk space than usual.
Also installation takes logner time because of compilation.
(This will take a few minutes to quarter or half of an hour,
depends on building environment)

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
ビデオDVDバックアップと作成プログラム。
特徴は：
* 片面一層4.7GB DVDへ収めるためのビデオストリーム圧縮
* DVD書き込み
* ISOイメージの作成
* オーディオトラックとサブタイトル選択
* ビデオタイトルプレビュー
* オリジナルのメニューの保存


このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[注意]
コンパイルに必要な多くの関連パッケージを要求するので通常より
ディスクの領域を多く消費します。
またインストール時にコンパイルを行うため、通常より時間がかか
る場合があります。(環境にもよりますが数分から数十分程度)

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m 644 \
    %{SOURCE100} %{SOURCE151} %{SOURCE152} \
    ${RPM_BUILD_ROOT}/%{_datadir}/%{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 71000

%files
%defattr(-,root,root)
%{_datadir}/%{name}/*


%changelog
* Sun May 08 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.3.7-1
- new upstream release

* Sat Aug 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.3.6-1
- new upstream release

* Sat Jul 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2.3.5-1
- new upstream release
- added k9copy-2.3.5-ja.po
- check version between original spec and self-build spec in %%prep

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.4-4
- added Requires(post): arts-devel

* Tue May 26 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.4-3
- added BuildArch: noarch
- avoided to execute self-build-rpm.sh on RPM transaction
  - moved %%post actions to %%posttrans

* Sat Jan 24 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.4-2
- initial build

### end of file
