%define pkgname Config-IniFiles

Summary:	A perl module for reading .ini-style configuration files.
Name:		perl-%{pkgname}
Version:	2.39
Release:	2%{?_dist_release}
Group:		Development/Libraries
License:	distributable
URL:		http://config-inifiles.sourceforge.net/
Source0:	%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%description
Config::IniFiles provides a way to have readable configuration files
outside your Perl script. Configurations can be imported (inherited,
stacked,...), sections can be grouped, and settings can be accessed
from a tied hash.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{pkgname}-%{version}-filelist
if [ "$(cat %{pkgname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{pkgname}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.39-2
- rebuild with perl-5.12.3

* Tue Jan 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.39-1
- apply new versioning policy 

* Wed May 16 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.39-0vl1
- new upstream release

* Sun Oct 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.38-0vl1
- initial build for Vine Linux

