%define perl_vendorlib    %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch    %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

Summary: DBD-CSV module for perl
Name: perl-DBD-CSV
Version: 0.22
Release: 2%{?_dist_release}
License: distributable
Group: Development/Libraries
Source0: http://www.cpan.org/authors/id/J/JZ/JZUCKER/DBD-CSV-%{version}.tar.gz
URL: http://search.cpan.org/~jzucker/DBD-CSV/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.8.6, perl-DBI >= 1.0
BuildRequires: perl-Text-CSV_XS perl-SQL-Statement
Requires: perl >= 5.8.6, perl-DBI >= 1.0
Requires: perl-SQL-Statement, perl-Text-CSV_XS
BuildArch: noarch

%description
DBD-CSV module for perl

%prep
%setup -q -n DBD-CSV-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS="vendor"
make

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}.files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/*/*
%dir %{perl_vendorlib}/Bundle/DBD
%dir %{perl_vendorlib}/DBD

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22-2
- rebuild with perl-5.12.3

* Mon May 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22-1
- applied new versioning policy

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22-0vl2
- changed Group to Development/Libraries
- s/Copyright/License/

* Thu Sep  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.22-0vl1
- updated to 0.22
- added BuildRequires: perl-DBI
- rebuild with perl 5.8.6
- use vendor_perl dir

* Sat Apr 13 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.2002-0vl1
- first build for Vine Linux
