%define module	Image-Size
%define name	perl-%{module}
%define version 3.1.1
%define release 3%{_dist_release}

Name: 		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Read the dimensions of an image in several popular formats
License:	Artistic and GPL
Group:          Development/Libraries
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Image/%{module}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildArch:	noarch

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}
# rm -f %{buildroot}%{perl_archlib}/perllocal.pod
# rm -rf %{buildroot}%{perl_vendorarch}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Image
%{perl_vendorlib}/auto/Image

%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.1-3
- rebuild with perl-5.12.3

* Sun Feb 15 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.1.1-2
- added BuildRequires: perl-Test-Pod, perl-Test-Pod-Coverage
- changed Group to Development/Libraries

* Mon May 05 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 3.1.1-1
- rebuild with perl 5.10
- new versioning policy

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.1.1-0vl1
- built for release

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.1.1-0vl0.1
- test package for VineSeed
- new upstream release 
- add Vendor/Distribution tag

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-1mdv2008.0
+ Revision: 48726
- switch to Module::Build

  + Olivier Thauvin <nanardon@mandriva.org>
    - buildrequires
    - 3.01


* Mon Jul 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:3.0-2
- add BuildRequires: perl-Compress-Zlib

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.0-1mdv2007.0
- new version
- rpmbuildupdate aware
- spec cleanup
- better summary

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 2.992-3mdk
- rebuild

* Tue Aug 12 2003 Per ﾘyvind Karlsen <peroyvind@linux-mandrake.com> 2.992-2mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Mon Jul 21 2003 Fran輟is Pons <fpons@mandrakesoft.com> 2.992-1mdk
- 2.992.

