%global phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.4.4)
%global _qt4_version %(pkg-config --modversion --silence-errors Qt 2>/dev/null || echo 4.7.1)

Name:    phonon-backend-xine
Summary: Xine phonon backend 
Summary(ja): Phonon の xine バックエンド
Version: 4.4.4
Release: 2%{?_dist_release}

Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://phonon.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-xine/%{version}/src/phonon-backend-xine-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: phonon-devel >= 4.4.4
BuildRequires: libxcb-devel
BuildRequires: xine-lib-devel

Provides: phonon-backend%{?_isa} = %{phonon_version}

Obsoletes: phonon-xine < 4.4.4-0.2
Provides:  phonon-xine = %{version}-%{release}

Requires: phonon => %{phonon_version}
Requires: qt4 >= %{_qt4_version}

%description
%{summary}.

%description -l ja
Phonon の xine バックエンドです.

%prep
%setup -q -n phonon-backend-xine-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DUSE_INSTALL_PLUGIN=TRUE \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# move icons to hicolor
mv $RPM_BUILD_ROOT%{_datadir}/icons/oxygen \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%{_datadir}/kde4/services/phononbackends/xine.desktop
%{_datadir}/icons/hicolor/*/apps/phonon-xine.*



%changelog
* Sun Jan 30 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.4-2
- Initial build for VineSeed 

* Fri Jan 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.4-1
- phonon-backend-xine-4.4.4

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.3.20110104
- %%doc COPYING.LIB
- add comment on pnonon-xine_snapshot.sh usage

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.2.20110104
- phonon-backend-xine

* Tue Jan 04 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.1.20110104
- phonon-xine-4.4.4-20110104 snapshot
