%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pysvn
Version:        1.7.0
Release:        3%{?_dist_release}
Summary:        Pythonic style bindings for Subversion
Summary(ja):	Subversion 用の python バインディング
Group:          Development/Languages
License:        ASL 1.1
URL:            http://pysvn.tigris.org/
Source0:        http://pysvn.barrys-emacs.org/source_kits/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel
BuildRequires:  PyXML
BuildRequires:  subversion-devel
BuildRequires:  krb5-devel
BuildRequires:  neon-devel
BuildRequires:  apr-devel
BuildRequires:  openssl-devel

Packager:	kazutaka

%description
Pythonic style bindings for Subversion

%description -l ja
Subversion 用の python バインディングです。

%prep
%setup -q -n %{name}-%{version}

%build
pushd Source
%{__python} setup.py backport
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py configure --enable-debug --verbose --norpath --fixed-module-name
# Set correct build flags
%{__sed} -i -e 's/-Wall -fPIC -fexceptions -frtti/%{optflags} -fPIC -frtti/' Makefile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m 755 %{buildroot}%{python_sitearch}/%{name}
%{__install} -p -m 644 Source/pysvn/__init__.py %{buildroot}%{python_sitearch}/%{name}
%{__install} -p -m 755 Source/pysvn/_pysvn.so %{buildroot}%{python_sitearch}/%{name}

%check
#pushd Tests
#%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Docs/pysvn.html Docs/pysvn_prog_guide.html Docs/pysvn_prog_ref.html
%doc Docs/pysvn_prog_ref.js
%doc Examples
%doc LICENSE.txt
%{python_sitearch}/%{name}

%changelog
* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.0-3
- rebuild with openssl-1.0.0c

* Sun Feb 14 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.7.0-2
- rebuild with python-2.6 (Seed only)

* Sat May 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.7.0-1
- initial build for Vine Linux based of fedora development
- add japanese description and summary
- run backport command to skip reserved keyword check for python 2.6

* Wed Mar 04 2009 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.3-2
- Remove the benchmark patch.  Changes included in this release.

* Tue Mar 03 2009 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.3-1
- Update to 1.6.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 1.6.2-3
- rebuild with new openssl

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.2-2
- Rebuild for Python 2.6

* Tue Oct 28 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.2-1
- Upstream to 1.6.2, upstream provided some build fixes to remove patches
-   (Thanks Barry!).  Re-enabled testing with provided patch to fix whitespace

* Sat Oct 11 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.1-2
- Fixed lingering module versioning in __init__

* Mon Oct 06 2008 Caitlyn O'Hanna <ravenoak@virtualxistenz.com> - 1.6.1-1
- Update to 1.6.1, fix F10 FBFS
- Disabled tests, might be because of subversion 1.5

* Wed Feb 27 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.3-1
- Update to 1.5.3

* Thu Feb 14 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-6
- Clean up. Name change (back to upstream)

* Tue Feb 12 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-5
- Temporary fix for tests.  Need to work with upstream for permanent fix.

* Fri Feb 08 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-4
- Fixed build requires, libgssapi-devel was still in there (for EL5 support)

* Fri Jan 11 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-3
- Merged patches and spec changes by Terje Røsten <terje.rosten@ntnu.no>
- Fixed the test failures

* Fri Jan 04 2008 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-2 
- Attempting to make the spec work with different versions of Python

* Mon Sep 03 2007 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.2-1
- Update to 1.5.2
- Some spec clean up

* Fri Jan 12 2007 Timothy Selivanow <timothy.selivanow@virtualxistenz.com> - 1.5.0-1
- Initial spec creation

