%define tdb_version 1.2.9
%define talloc_version 2.0.5
%define samba_version 3.5.8
%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

%define samba_release 2

%define samba_source source3

Summary: The Samba Suite of programs
Summary(ja): Samba スイート
Name: samba
Version: %{samba_version}
Release: %{samba_release}%{?_dist_release}
License: GPLv3+ and LGPLv3+
Group: System Environment/Daemons
URL: http://www.samba.org/

Source: http://www.samba.org/samba/ftp/%{name}-%{version}.tar.gz

# Vine specific replacement-files
Source1: samba.log
Source2: samba.xinetd
Source3: swat.desktop
Source4: samba.sysconfig
Source5: smb.init
Source6: samba.pamd
Source7: smbprint
Source8: winbind.init
Source9: smb.conf.default
Source10: nmb.init
Source11: pam_winbind.conf

# fixed manual
Source100: smb.conf.5

# Don't depend on Net::LDAP
Source999: filter-requires-samba.sh

# upstream patches.  Applied first so that they'll break our patches rather
# than the other way around
# (none right now)

# generic patches
Patch102: samba-3.2.0pre1-pipedir.patch
Patch104: samba-3.0.0rc3-nmbd-netbiosname.patch
# The passwd part has been applied, but not the group part
Patch107: samba-3.2.0pre1-grouppwd.patch
Patch200: samba-3.2.5-inotify.patch

Requires(pre): samba-common = %{version}-%{release}
Requires: pam >= 0:0.64
Requires: logrotate >= 0:3.4
Requires: krb5-libs, libacl, libattr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): /sbin/chkconfig, /sbin/service
Requires(preun): /sbin/chkconfig, /sbin/service
BuildRequires: net-tools
BuildRequires: pam-devel, readline-devel, ncurses-devel, libacl-devel
BuildRequires: krb5-devel, openldap-devel, openssl-devel, cups-devel
BuildRequires: autoconf, gawk, popt-devel, gtk2-devel, libcap-devel
BuildRequires: libtalloc-devel, libtdb-devel

%if %{?_dist_release}!="vl5"
BuildRequires: libuuid-devel
%endif

# Working around perl dependency problem from docs
%define __perl_requires %{SOURCE999}


Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	tomop


%description
Samba is the suite of programs by which a lot of PC-related machines
share files, printers, and other information (such as lists of
available files and printers). The Windows NT, OS/2, and Linux
operating systems support this natively, and add-on packages can
enable the same thing for DOS, Windows, VMS, UNIX of all kinds, MVS,
and more. This package provides an SMB/CIFS server that can be used to
provide network services to SMB/CIFS clients.
Samba uses NetBIOS over TCP/IP (NetBT) protocols and does NOT
need the NetBEUI (Microsoft Raw NetBIOS frame) protocol.

%description -l ja
Samba は Microsoft Windows や OS/2、その他の Linux マシンを含む SMB/CIFS
クライアントにネットワークファイル・プリンタ共有サービスを提供します。
Samba は NetBIOS over TCP/IP (NetBT, NBT) プロトコルを使用しますので、
NetBUEI (Microsoft Raw NetBIOS frame) プロトコルは必要ありません。


%package client
Summary: Samba client programs
Summary(ja): Samba クライアントプログラム
Group: Applications/System
Requires: samba-common = %{samba_version}-%{release}
Obsoletes: smbfs

%description client
The samba-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.

%description client -l ja
samba-client は Linux カーネルがサポートしている SMB ファイルシステム
機能を操作する SMB クライアントを提供します。
これらは SMB 共有のアクセスと SMB プリンタへの印刷を実現します。


%package common
Summary: Files used by both Samba servers and clients
Summary(ja): Samba サーバーとクライアントの両方に使用されるファイル
Requires: libtdb >= %{tdb_version}
Requires: libtalloc >= %{talloc_version}
Group: Applications/System
Requires(pre): /usr/sbin/groupadd
Requires(post): /sbin/chkconfig, /sbin/service, coreutils
Requires(preun): /sbin/chkconfig, /sbin/service

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%description common -l ja
samba-common は Samba のサーバーとクライアントの両方のパッケージで
使用される共通のファイルを提供します。


%package winbind
Summary: Samba winbind
Group: Applications/System
Requires: samba-common = %{samba_version}-%{release}
Requires(pre): /usr/sbin/groupadd
Requires(post): /sbin/chkconfig, /sbin/service, coreutils
Requires(preun): /sbin/chkconfig, /sbin/service

%description winbind
The samba-winbind package provides the winbind daemon, a NSS library, a PAM
module and some client tools. Winbind enables Linux to be a full member in
Windows domains and to use Windows user and group accounts on Linux.


%package winbind-krb5-locator
Summary: Samba winbind krb5 locator
Requires: samba-winbind-clients = %{samba_version}-%{release}
Group: Applications/System

%description winbind-krb5-locator
The winbind krb5 locator is a plugin for the system kerberos library to allow
the local kerberos library to use the same KDC as samba and winbind use


%package winbind-clients
Summary: Samba winbind clients
Group: Applications/System

%description winbind-clients
The samba-winbind-clients package provides the NSS library and a PAM
module necessary to communicate to the Winbind Daemon


%package winbind-devel
Summary: Developer tools for the winbind library
Group: Development/Libraries
Requires: samba-winbind = %{samba_version}-%{release}

%description winbind-devel
The samba-winbind package provides developer tools for the wbclient library.


%package swat
Summary: The Samba SMB server Web configuration program
Summary(ja): Web ベースの Samba サーバ設定ツール
Group: Applications/System
Requires: samba = %{samba_version}-%{release}, xinetd

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.

%description swat -l ja
SWAT (Samba Web Administration Tool) を使うと、Samba の管理をお好きな Web
ブラウザで行うことができるようになります。

%package doc
Summary: Documentation for the Samba suite
Group: Applications/Documentation
Requires: samba-common = %{samba_version}-%{release}

%description doc
The samba-doc package includes all the non-manpage documentation for the
Samba suite.


%package domainjoin-gui
Summary: Domainjoin GUI
Group: Applications/System
Requires: samba-common = %{samba_version}-%{release}, gtk2

%description domainjoin-gui
The samba-domainjoin-gui package includes a domainjoin gtk application.


%package -n libsmbclient
Summary: The SMB client library
Summary(ja): SMB クライアントライブラリ
Group: System Environment/Libraries
Obsoletes: samba-libsmbclient < 3.1
Provides: samba-libsmbclient = %{samba_version}-%{release}

%description -n libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%description -n libsmbclient -l ja
libsmbclient は Samba クライアントの機能を提供するライブラリを
提供します。

%if %build_compat32

%package -n compat32-libsmbclient
Summary: The SMB client library
Summary(ja): SMB クライアントライブラリ
Group: System Environment/Libraries
Provides: compat32-samba-libsmbclient = %{samba_version}-%{release}

%description -n compat32-libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%description -n compat32-libsmbclient -l ja
libsmbclient は Samba クライアントの機能を提供するライブラリを
提供します。

%package -n compat32-samba-winbind
Summary: Samba winbind
Group: Applications/System
Requires: samba-common = %{samba_version}-%{release}
Requires(pre): /usr/sbin/groupadd
Requires(post): /sbin/chkconfig, /sbin/service, coreutils
Requires(preun): /sbin/chkconfig, /sbin/service

%description -n compat32-samba-winbind
The samba-winbind package provides the winbind daemon, a NSS library, a PAM
module and some client tools. Winbind enables Linux to be a full member in
Windows domains and to use Windows user and group accounts on Linux.

%endif

%package -n libsmbclient-devel
Summary: Developer tools for the SMB client library
Summary(ja): SMB クライアントライブラリ開発用ファイル
Group: Development/Libraries
Requires: libsmbclient = %{samba_version}-%{release}
Obsoletes: samba-libsmbclient-devel < 3.1
Provides: samba-libsmbclient-devel = %{samba_version}-%{release}

%description -n libsmbclient-devel
The libsmbclient-devel package contains the header files and libraries needed to
develop programs that link against the SMB client library in the Samba suite.

%description -n libsmbclient-devel -l ja
libsmbclient-devel は Samba クライアントの機能を提供するライブラリを
使ったアプリケーションを開発するためのファイルを提供します。


%prep
%setup -q

# copy Red Hat specific scripts
mkdir packaging/Vine
cp packaging/RHEL/setup/smbusers packaging/Vine/
cp %{SOURCE5} packaging/Vine/
cp %{SOURCE6} packaging/Vine/
cp %{SOURCE7} packaging/Vine/
cp %{SOURCE8} packaging/Vine/winbind.init
cp %{SOURCE9} packaging/Vine/
cp %{SOURCE10} packaging/Vine/
cp %{SOURCE11} packaging/Vine/

# Upstream patches
#(none)
# generic patches
%patch102 -p1 -b .pipedir
#%patch103 -p1 -b .logfiles
#%patch104 -p1 -b .nmbd-netbiosname # FIXME: does not apply
%patch107 -p1 -b .grouppwd
%patch200 -p0 -b .inotify


mv %samba_source/VERSION %samba_source/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&\"%{release}\"/' < %samba_source/VERSION.orig > %samba_source/VERSION
cd %samba_source
script/mkversion.sh
cd ..

#Remove smbldap-tools, they are already packaged separately in Fedora
rm -fr examples/LDAP/smbldap-tools-*/


%build
cd %samba_source
sh autogen.sh
%ifarch i386 sparc
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%endif
%ifarch ia64
#libtoolize --copy --force     # get it to recognize IA-64
#autoheader
#autoconf
EXTRA="-D_LARGEFILE64_SOURCE"
%endif
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DLDAP_DEPRECATED" %configure \
	--with-dnsupdate \
	--with-ads \
	--with-acl-support \
	--with-automount \
	--with-dnsupdate \
	--with-libsmbclient \
	--with-libsmbsharemodes \
	--with-mmap \
	--with-pam \
	--with-pam_smbpass \
	--with-quotas \
	--with-sendfile-support \
	--with-syslog \
	--with-utmp \
	--with-vfs \
	--with-winbind \
	--without-smbwrapper \
	--with-lockdir=/var/lib/samba \
	--with-piddir=/var/run \
	--with-mandir=%{_mandir} \
	--with-privatedir=/var/lib/samba/private \
	--with-logfilebase=/var/log/samba \
	--with-libdir=%{_libdir} \
	--with-modulesdir=%{_libdir}/samba \
	--with-configdir=%{_sysconfdir}/samba \
	--with-pammodulesdir=%{_lib}/security \
	--with-swatdir=%{_datadir}/swat \
	--with-shared-modules=idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2 \
    --with-cluster-support=auto \
    --with-libtalloc=no \
    --enable-external-libtalloc=yes \
    --with-libtdb=no
#    --enable-external-libtdb=yes \
#    --with-aio-support \


make pch

make LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{samba_version}/%samba_source/bin \
	%{?_smp_mflags} \
	all ../nsswitch/libnss_wins.so modules \
	test_pam_modules test_nss_modules test_shlibs

make LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{samba_version}/%samba_source/bin \
	%{?_smp_mflags} \
	-C lib/netapi/examples

make debug2html smbfilter

%install
rm -rf $RPM_BUILD_ROOT

build_libdir="$RPM_BUILD_ROOT%{_libdir}"

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{pam.d,logrotate.d,security}
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
mkdir -p $RPM_BUILD_ROOT/var/lib/samba
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/private
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/winbindd_privileged
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/scripts
mkdir -p $RPM_BUILD_ROOT/var/log/samba/old
mkdir -p $RPM_BUILD_ROOT/var/spool/samba
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/var/run/winbindd
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/samba
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

cd %samba_source

%makeinstall \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir} \
	LOCKDIR=$RPM_BUILD_ROOT/var/lib/samba \
	PRIVATEDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MODULESDIR=$RPM_BUILD_ROOT%{_libdir}/samba \
	CONFIGDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	PAMMODULESDIR=$RPM_BUILD_ROOT/%{_lib}/security \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	VARDIR=$RPM_BUILD_ROOT/var/log/samba \
	CODEPAGEDIR=$RPM_BUILD_ROOT%{_libdir}/samba \
	SWATDIR=$RPM_BUILD_ROOT%{_datadir}/swat \
	SAMBABOOK=$RPM_BUILD_ROOT%{_datadir}/swat/using_samba \
	PIDDIR=$RPM_BUILD_ROOT/var/run

cd ..

# Install other stuff
install -m644 packaging/Vine/smb.conf.default $RPM_BUILD_ROOT%{_sysconfdir}/samba/smb.conf
install -m755 %samba_source/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_bindir}
install -m644 packaging/Vine/smbusers $RPM_BUILD_ROOT%{_sysconfdir}/samba/smbusers
install -m755 packaging/Vine/smbprint $RPM_BUILD_ROOT%{_bindir}
install -m755 packaging/Vine/smb.init $RPM_BUILD_ROOT%{_initrddir}/smb
install -m755 packaging/Vine/nmb.init $RPM_BUILD_ROOT%{_initrddir}/nmb
install -m755 packaging/Vine/winbind.init $RPM_BUILD_ROOT%{_initrddir}/winbind
install -m644 packaging/Vine/pam_winbind.conf $RPM_BUILD_ROOT%{_sysconfdir}/security
#ln -s ../..%{_initrddir}/smb  $RPM_BUILD_ROOT%{_sbindir}/samba
install -m644 packaging/Vine/samba.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/samba
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/samba
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT%{_sysconfdir}/samba/lmhosts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/samba.schema

# winbind
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so.2
ln -sf /%{_lib}/libnss_winbind.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_winbind.so
install -m 755 nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_lib}/libnss_wins.so.2
ln -sf /%{_lib}/libnss_wins.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_wins.so

# winbind krb5 locator
#mkdir -p $RPM_BUILD_ROOT%{_libdir}/krb5/plugins/libkrb5
install -d -m 0755 %{buildroot}%{_libdir}/krb5/plugins/libkrb5
install -m 755 source3/bin/winbind_krb5_locator.so $RPM_BUILD_ROOT/%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so

# libraries {
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}

# make install puts libraries in the wrong place
# (but at least gets the versioning right now)

list="smbclient smbsharemodes netapi wbclient"
for i in $list; do
    install -m 644 %samba_source/pkgconfig/$i.pc $build_libdir/pkgconfig/ || true
done


/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}/

# }

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/swat

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/samba

install -m 755 %samba_source/lib/netapi/examples/bin/netdomjoin-gui $RPM_BUILD_ROOT/%{_sbindir}/netdomjoin-gui
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/samba.ico $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/samba.ico
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/logo.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/logo.png
install -m 644 %samba_source/lib/netapi/examples/netdomjoin-gui/logo-small.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}/logo-small.png

install -m644 %{SOURCE100} $RPM_BUILD_ROOT%{_mandir}/man5/

rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/editreg.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/log2pcap.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbsh.1*
#rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbget.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/smbgetrc.5*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/vfstest.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/testprns.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbmount.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbmnt.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbumount.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{u,}mount.cifs.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{u,}cifs.upcall.8*

rm -f $RPM_BUILD_ROOT%{_sbindir}/{u,}mount.cifs
rm -f $RPM_BUILD_ROOT%{_sbindir}/cifs.upcall

#Rename ldb tools, as samba3 has an old copy of ldb.
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbadd $RPM_BUILD_ROOT%{_bindir}/ldb3add
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbdel $RPM_BUILD_ROOT%{_bindir}/ldb3del
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbmodify $RPM_BUILD_ROOT%{_bindir}/ldb3modify
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbsearch $RPM_BUILD_ROOT%{_bindir}/ldb3search
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbrename $RPM_BUILD_ROOT%{_bindir}/ldb3rename
mv -f $RPM_BUILD_ROOT%{_bindir}/ldbedit $RPM_BUILD_ROOT%{_bindir}/ldb3edit
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbadd.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3add.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbdel.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3del.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbedit.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3edit.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbmodify.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3modify.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbsearch.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3search.1
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/ldbrename.1 $RPM_BUILD_ROOT%{_mandir}/man1/ldb3rename.1

#rm -f $RPM_BUILD_ROOT%{_libdir}/libtalloc.so.*
#rm -f $RPM_BUILD_ROOT%{_includedir}/talloc.h
#rm -f $RPM_BUILD_ROOT%{_libdir}/libtalloc.so
#rm -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/talloc.pc

#rm -f $RPM_BUILD_ROOT%{_libdir}/libtdb.so.*
#rm -f $RPM_BUILD_ROOT%{_includedir}/tdb.h
#rm -f $RPM_BUILD_ROOT%{_libdir}/libtdb.so
#rm -f $RPM_BUILD_ROOT%{_libdir}/pkgconfig/tdb.pc
rm -f $RPM_BUILD_ROOT%{_bindir}/tdbbackup
rm -f $RPM_BUILD_ROOT%{_bindir}/tdbdump
rm -f $RPM_BUILD_ROOT%{_bindir}/tdbtool
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tdbbackup.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tdbdump.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/tdbtool.8*

%clean
rm -rf $RPM_BUILD_ROOT

#%pre

%post
/sbin/chkconfig --add smb
/sbin/chkconfig --add nmb
if [ "$1" -ge "1" ]; then
	/sbin/service smb condrestart >/dev/null 2>&1 || :
	/sbin/service nmb condrestart >/dev/null 2>&1 || :
fi
exit 0

%preun
if [ $1 = 0 ] ; then
    /sbin/service smb stop >/dev/null 2>&1 || :
    /sbin/service nmb stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del smb
    /sbin/chkconfig --del nmb
fi
exit 0

#%postun


%pre winbind
/usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :

%post winbind
/sbin/chkconfig --add winbind

if [ "$1" -ge "1" ]; then
	/sbin/service winbind condrestart >/dev/null 2>&1 || :
fi

%post common
/sbin/ldconfig

%preun winbind
if [ $1 = 0 ] ; then
    /sbin/service winbind stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del winbind
fi
exit 0

%postun common
/sbin/ldconfig


%post -n libsmbclient
/sbin/ldconfig

%postun -n libsmbclient
/sbin/ldconfig

%if %build_compat32

%post -n compat32-libsmbclient
/sbin/ldconfig

%postun -n compat32-libsmbclient
/sbin/ldconfig

%endif

%files
%defattr(-,root,root)
%{_sbindir}/smbd
%{_sbindir}/nmbd
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbstatus
%{_bindir}/eventlogadm
%config(noreplace) %{_sysconfdir}/samba/smbusers
%attr(755,root,root) %{_initrddir}/smb
%attr(755,root,root) %{_initrddir}/nmb
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%config(noreplace) %{_sysconfdir}/pam.d/samba
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/vfs_*.8*
%{_libdir}/samba/vfs
%{_libdir}/samba/auth
%{_libdir}/samba/charset
%attr(1777,root,root) %dir /var/spool/samba
%dir %{_sysconfdir}/openldap/schema
%{_sysconfdir}/openldap/schema/samba.schema

%doc examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting
%doc examples/printing

%files swat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_datadir}/swat
%{_sbindir}/swat
%{_mandir}/man8/swat.8*
%attr(755,root,root) %{_libdir}/samba/*.msg

%files client
%defattr(-,root,root)
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/findsmb
%{_bindir}/smbget
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_bindir}/sharesec
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man1/smbget.1*
%{_mandir}/man1/sharesec.1*
%{_mandir}/man8/smbspool.8*

%files common
%defattr(-,root,root)
%attr(755,root,root) /%{_lib}/security/pam_smbpass.so
%dir %{_libdir}/samba
%{_libdir}/samba/lowcase.dat
%{_libdir}/samba/upcase.dat
%{_libdir}/samba/valid.dat
%{_libdir}/libnetapi.so
%attr(755,root,root) %{_libdir}/libnetapi.so.*
%{_includedir}/netapi.h
%{_libdir}/pkgconfig/netapi.pc
%{_bindir}/net
%{_bindir}/testparm
%{_bindir}/smbpasswd
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcquotas
%{_bindir}/smbcontrol
%{_bindir}/ldb3add
%{_bindir}/ldb3del
%{_bindir}/ldb3edit
%{_bindir}/ldb3modify
%{_bindir}/ldb3search
%{_bindir}/ldb3rename
%dir /var/lib/samba
%attr(700,root,root) %dir /var/lib/samba/private
%dir /var/lib/samba/scripts
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%dir %{_sysconfdir}/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(0700,root,root) %dir /var/log/samba/old
%{_mandir}/man1/ldb3add.1.gz
%{_mandir}/man1/ldb3del.1.gz
%{_mandir}/man1/ldb3edit.1.gz
%{_mandir}/man1/ldb3modify.1.gz
%{_mandir}/man1/ldb3search.1.gz
%{_mandir}/man1/ldb3rename.1.gz
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/smbcontrol.1*
#%{_mandir}/man1/vfstest.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/net.8*
%{_datadir}/locale/*/LC_MESSAGES/net.mo

%doc README COPYING Manifest
%doc WHATSNEW.txt Roadmap

%files winbind
%defattr(-,root,root)
%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_sbindir}/winbindd
%dir /var/run/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_initrddir}/winbind
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man5/pam_winbind.conf.5*
%{_mandir}/man8/pam_winbind.8*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/idmap_*.8*
%{_datadir}/locale/*/LC_MESSAGES/pam_winbind.mo

%files winbind-krb5-locator
%{_mandir}/man7/winbind_krb5_locator.7*
%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so

%files winbind-clients
%defattr(-,root,root)
%{_libdir}/libnss_winbind.so
/%{_lib}/libnss_winbind.so.2
%{_libdir}/libnss_wins.so
/%{_lib}/libnss_wins.so.2
/%{_lib}/security/pam_winbind.so
%attr(755,root,root) %{_libdir}/libwbclient.so.*

%files winbind-devel
%defattr(-,root,root)
%{_includedir}/wbclient.h
%{_includedir}/wbc_async.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc

%files doc
%defattr(-,root,root)
%doc docs/Samba3-Developers-Guide.pdf docs/Samba3-ByExample.pdf
%doc docs/Samba3-HOWTO.pdf
%doc docs/htmldocs

%files -n libsmbclient
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/libsmbclient.so.*
%attr(755,root,root) %{_libdir}/libsmbsharemodes.so.*

%files -n libsmbclient-devel
%defattr(-,root,root)
%{_includedir}/libsmbclient.h
%{_includedir}/smb_share_modes.h
%{_libdir}/libsmbclient.so
%{_libdir}/libsmbsharemodes.so
%{_libdir}/pkgconfig/smbclient.pc
%{_libdir}/pkgconfig/smbsharemodes.pc
%{_mandir}/man7/libsmbclient.7*

%files domainjoin-gui
%defattr(-,root,root)
%{_sbindir}/netdomjoin-gui
%dir %{_datadir}/pixmaps/samba
%{_datadir}/pixmaps/samba/samba.ico
%{_datadir}/pixmaps/samba/logo.png
%{_datadir}/pixmaps/samba/logo-small.png

%if %build_compat32

%files -n compat32-%{name}-winbind
%attr(755,root,root) %{_libdir}/libwbclient.so.*

%files -n compat32-libsmbclient
%attr(755,root,root) %{_libdir}/libsmbclient.so.*
%attr(755,root,root) %{_libdir}/libsmbsharemodes.so.*

%endif

%changelog
* Fri Mar 25 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.8-2
- fix smb.conf(5).

* Thu Mar 24 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.8-1
- new upstream release.
- updated patches.
- added subpackages 'winbind-krb5-locator' and 'winbind-client'.
- dropped tdb and talloc subpackages became independent packages.
- dropped {,u}mount.cifs were included in cifs-utils.

* Sat Oct 02 2010 Shu KONNO <owa@bg.wakwak.com> 3.3.10-13
- rebuilt with rpm-4.8.1 for pkg-config
- changed spec file name as vine style
- dropt script lines in %%build that no work

* Sun Feb  7 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.3.10-12
- add patch1000 for fix CVE-2010-0547 (cifs.mount)

* Sat Jan 30 2010 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.10-11
- new upstream release.

* Fri Nov 20 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.9-10
- added 'Packager' tag.

* Sun Oct 25 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.9-9
- new upstream release.
- added '--disable-fam' option.
- added 'compat32-*' subpackages.
- added 'libuuid-devel' to 'BuildRequires:'.

* Thu Jul 30 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.7-7
- new upstream release.

* Thu Jun 25 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.6-6
- new upstream release.

* Thu Jun  4 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.4-5
- increased release number for libtalloc/libtdb.

* Tue Jun  2 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.4-2
- fixed dependency.
- fixed modulepath.

* Fri May 29 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3.4-1
- new upstream release.

* Sun Mar 01 2009 NAKAMURA Kenta <kenta@vinelinux.org> 3.2.5-4
- rebuilt with openldap-2.4.11

* Sat Jan 17 2009 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 3.2.5-3
- samba-doc: changed Group to Applications/Documentation
- samba-winbind-devel: changed Group to Development/Libraries
- libsmbclient: changed Group to System Environment/Libraries
- libsmbclient-devel: changed Group to Development/Libraries
- libtalloc: changed Group to System Environment/Libraries
- libtalloc-devel: changed Group to Development/Libraries
- libtdb: fixed summary
          changed Group to System Environment/Libraries
- libtdb-devel: changed Group to Development/Libraries

* Thu Dec 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.5-2
- new upstream release

* Sat Nov 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.3-1
- new upstream release
- drop jp patch
- use UTF-8 as default charset
- rename samba-libsmbclient to libsmbclient

* Fri Apr 11 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 3.0.28a-1
- new upstream release.
- remove gamin-devel from BuildRequires: (no longer needed).

* Sat Sep 15 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.0.24-0vl4
- BuildRequires: gamin-devel (see [wishes:0127])

* Wed May 16 2007 KAZUKI SHIMURA <ksh753@gmail.com> 3.0.24-0vl3
- [SECURITY FIX] add security patches (#50-52)
  - CVE-2007-2444: local SID/Name translation bug (user privilege elevation)
  - CVE-2007-2446: multiple heap overflows allow remote code execution
  - CVE-2007-2447: remote command injection vulnerability

* Fri Mar 09 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.24-0vl2
- apply upstream patches (#0-5)
  - fix an issues with servers set to "security = share" and Vista clients
    that send NTLMv2 responses
  - fixe several point-n-print bugs with Vista clients
  - fix failure when using the Vista backup utility
  - fix expansion of the %a smb.conf variable for Vista clients
  - fix MS-DFS referrals with Windows Vista clients
  - fix for Vista failing to delete directories on a Samba share
- display service start/stop messages ([VineSeed:13299])

* Wed Feb 14 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.24-0vl1
- [SECURITY FIX] new upstream release
  - CVE-2007-0452: potential denial of service bug in smbd
  - CVE-2007-0453: buffer overrun in NSS host lookup winbind library on Solaris
  - CVE-2007-0454: format string bug in afsacl.so vfs plugin

* Thu Dec 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23d-0vl1
- new upstream release

* Sun Nov 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23c-0vl3
- disable swat (via inetd) by default
- fix code for editing %%{_sysconfdir}/inetd.conf

* Sun Sep 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23c-0vl2
- fix dependencies:
  - move PreReq: mktemp, psmisc, fileutils, sed, gawk, grep to -swat
  - drop PreReq: gawk from -client
  - drop PreReq: inetd from -swat
  - drop Requires: tcp_wrappers from -swat (is needed by inetd)
- fix %%post etc...
  - drop code for editing /etc/services: no more needed
  - move code for editing %%{_sysconfdir}/{hosts.*,inetd.conf}
    from %%triggerin swat -- inetd to %%post swat
  - check if %%{_sysconfdir}/inetd.conf exist before updating at %%postun

* Fri Sep 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23c-0vl1
- new upstream release

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.0.23b-0vl2
- rebuilt with openldap-2.3.27-0vl1

* Mon Aug 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23b-0vl1
- new upstream release

* Fri Jul 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23a-0vl1
- new upstream release

* Sat Jul 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.23-0vl1
- [SECURITY] new upstream release
  - Memory exhaustion DoS against smbd (CVE-2006-3403)
- update patches
  - buildroot.patch (#100)
  - logfiles.patch (#103)
  - smb.conf.patch (#106)
- update filter-requires-samba.sh (source999)
  - get rid of bogus dependency on perl(Unicode::MapUTF8)

* Fri Jun 23 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.22-0vl1
- new upstream release
- renumber patches
  - 000- for upstream patches
  - 050- for security patches
  - 100- for generic patches
- update logfiles.patch (#103)
- drop warning.patch (#104)
- not apply hex.patch (#105)
- add smb.conf.patch (#106)
- drop samba.log (source1), smb.conf (source2)
- use samba.pamd.stack instead of samba.pamd
- define macro: pkgingdir
- add files:
  - samba-client
    - %%{_bindir}/{smbget,eventlogadm}
  - samba-common:
    - %%{_bindir}/tdbtool
- separate development files to samba-libsmbclient-devel
- change groups

* Sat Apr 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl5
- remove unneeded dependencies
  - update filter-requires-samba.sh (source999)
  - overwrite __find_requires instead of __perl_requires

* Tue Mar 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl4
- rebuild with readline-5.1

* Sat Aug 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl3
- separate doc package with %%docpkg
- use %%htmlview instead of %%browser

* Sat Jul 16 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl2
- add %%config(noreplace) against %%{_sysconfdir}/xinetd.d/swat

* Fri Jul 15 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.14a-0vl1
- new upstream release
- install %%{_sysconfdir}/xinetd.d/swat
- update filter-requires-samba.sh
- add swat.desktop.in instead of swat.desktop
  - switch browser by %%browser
- drop i18n patches
- update logfiles.patch (#3)
- add warning.patch (#4)

* Sun Jul 10 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.10-0vl2
- fix samba.log
  - thanks, K. Moriyama [VinePlus:02606]
- remove docs/manpages from %%doc

* Mon Dec 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.10-0vl1
- new upstream release
- update struplower_m_i18n.patch (#102)
- drop obsolete patch (#10)

* Fri Dec 17 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.9-0vl2
- [SECURITY FIX] fix possible remote code execution (CAN-2004-1154)
  - add samba-3.0.9-CAN-2004-1154.patch (#10)
- update patch (#102)

* Fri Nov 26 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.9-0vl1
- new upstream release
- drop obsolete patches (#10,11,110)
- update patches (#3,102)

* Sun Nov 21 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl6
- [SECURITY FIX] fix smbd buffer overrun (CAN-2004-0882)
  - add samba-3.0.7-CAN-2004-0882.patch (patch11)
- update Source URL

* Tue Nov 09 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl5
- [SECURITY FIX] fix smbd remote DoS vulnerability (CAN-2004-0930)
  - add samba-3.0.7-CAN-2004-0930.patch (patch10)

* Fri Oct 15 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl4
- update samba.log, {smb,winbind}.init
- use *.log as logfile name instead of log.* (patch3)

* Wed Oct 06 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl3
- change directories from %%{_localstatedir}/lock/samba
  - LOCKDIR: %%{_localstatedir}/cache/samba
  - PIDDIR:  %%{_localstatedir}/run
- restart {smb,winbind} at postun (upgrade)
- samba-common
  - convert smbpasswd at triggerpostun -- samba < 3.0.7
  - add convert_smbpasswd
  - add PreReq: gawk

* Sat Sep 25 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl2
- add docs_ja (source101) from 3.0.5-16ml

* Wed Sep 22 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 3.0.7-0vl1
- new upstream release (shift to 3.0 series)
  - refer to 3.0.6-3 (Fedora Core), 3.0.5-16ml (MIRACLE)
  - drop obsolete paches, configure options
  - update buildroot.patch
  - add I18N patches (#101-)
  - update smb.conf
- add URL
- use more macros
- change LIBDIR from %%{_sysconfdir}/samba to %%{_libdir}/samba
- move %%{_localstatedir}/log/samba, smbpasswd to samba-common
- move smbspool, smbcacls, rpcclient to samba-client
- update descriptions

* Wed Sep 08 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.11.ja.1.0-0vl1
- new upstream release

* Wed Sep 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.11.ja.1.0-0vl0.beta1
- 2.2.11-ja-1.0beta1
  - drop patch10
- add BuildPreReq: openssl-devel
- swat
  - add PreReq/Requires: inetd
  - add swat.desktop

* Sun Jul 25 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl3
- fix changelog

* Sat Jul 24 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl2
- [SECURITY FIX] fix buffer overflow (CAN-2004-0686)
  - add samba-2.2.9-ja-1.0-mangle.patch (Patch10)
- add BuildPreReq: cups-devel
- add Prereq: chkconfig mktemp psmisc (instead of each files)

* Thu Jun 03 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl1
- new upstream release

* Thu May 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.2.9.ja.1.0-0vl0.beta1
- 2.2.9-ja-1.0beta1
- add BuildPreReq: readline-devel

* Sat Jan 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.8a.ja.1.1-0vl3
- add ldconfig in %%post/%%postun script for libsmbclient

* Sat Jan 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.8a.ja.1.1-0vl2
- add libsmbclient subpackage.

* Thu Sep 11 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2.8a.ja.1.1-0vl1
- new upstream release.

* Sat Aug 09 2003 KAZUKI SHIMURA <rito@pos.to> 2.2.8a.ja-1.0vl3
- fix smb.conf (SAMBADOC's path)

* Tue May 27 2003 Tomoya TAKA <taka@vinelinux.org> 2.2.8a.ja-1.0vl2
- tentatively skip to build examples/VFS on alpha

* Tue May 27 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2.8a.ja-1.0vl1
- new upstream release.

* Mon May 19 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2.7b.ja-1.0vl2
- fix smb.conf
- fix smbadduser

* Thu Apr 17 2003 KAZUKI SHIMURA <rito@pos.to> 2.2.7b.ja-1.0vl1
- new upstream version

* Sun Mar 23 2003 Satoshi MACHINO <machino@vinelinux.org> 2.2.7a.ja-1.1vl2
- added smbinit-vine.patch
	-- added '-D' option in smbd and nmbd

* Fri Mar 20 2003 Satoshi MACHINO <machino@vinelinux.org> 2.2.7a.ja-1.1vl1
- New upstream version
	-- security fix.

* Wed Feb 26 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl5
- merged from SPEC for RH60 by samba-jp.

* Mon Feb 17  2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl4.beta1
- fix 'Requires:'.

* Tue Jan 28 2003 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl3.alpha1
- disable --with-tdbsam.

* Sat Dec 28 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl2.alpha1
- modify %%post script for new password database.

* Fri Dec 27 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.7a.ja-1.0vl1.alpha1

* Tue Nov 19 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6.ja-1.0vl1.alpha2
- apply alpha2 patch.

* Fri Nov 15 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6.ja-1.0vl1.alpha1
- remove swat from package 'samba'.

* Thu Nov 14 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6.ja-1.0vl0.alpha1
- enable winbind modules.
- change numbering rule.

* Thu Oct 24 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.6_ja_0.alpha1-0vl1

* Tue Jun 11 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.4_ja_0.alpha1.3-0vl1

* Sun Mar 17 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.2_ja_1.1-0vl1
- disable winbind modules (2.2.2 or earlier has critical bugs).
- modify 'Requires:'.

* Fri Mar 15 2002 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net>
- 2.2.2_ja_1.1-0vl0
- shift sources to 2.2.x.
- add debugging mode for '%%files' section.
- modify spec largely because of too many difference between 2.0.x and 2.2.x.
-  . exchange %%prep, %%build, %%install section with samba-jp's spec.
-  . create a package 'samba-swat'.
-  . move smbclient and nmblookup to samba-common.
-  . move testprns to package 'samba' because it's checking tool for 
-    server on LOCALHOST.
-  . move '%%post' to '%%post swat'.
-  . disable '%%post common'.

* Sun Dec 02 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0.10_ja_1.2

* Mon Sep 03 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0.10_ja_1.1-0vl4
- eliminate executable bit in %%doc to erase perl/sh requirement

* Thu Aug 23 2001 Toru Sagami <sagami@vinelinux.org>
- 2.0.10_ja_1.1-0vl3: s/$RPM_BUILD_ROOT/%%{buildroot}/
- patch swat/ja/help/welcome.html to hide some missing matter
- also remove docs/zh_{CN,TW} files in %%doc

* Wed Aug 22 2001 Satoshi MACHINO <machino@vinelinux.org> 2.0.10_ja_1.1-0vl2
- for VineSeed
- deleted %%define _syssbindir and _localedir (defined in rpmmacros in rpm-3.0.6-0vl14)

* Wed Aug 22 2001 Satoshi MACHINO <machino@vinelinux.org> 2.0.10_ja_1.1-0vl1
- 2.0.10_ja_1.1
- for 2.1.x update

* Fri Aug 17 2001 <sagami@vinelinux.org>
- 2.0.10_ja_1.0-0vl2
- remove almost duplicated docs/{,ja/}{manpages,yodldocs} files in %%doc

* Mon Jul 09 2001 <sagami@vinelinux.org>
- 2.0.10_ja_1.0-0vl1: includes secrity fix
 (http://www.samba.org/samba/whatsnew/macroexploit.html)
- remove using_samba, HowToUseSamba and docs/ja_JP.SJIS directory from %%doc

* Thu May 31 2001 <sagami@vinelinux.org>
- 2.0.9_ja_1.0-0vl1: added swat/ja/help/HowToUseSamba
- added BuildPreReq = pam-devel for Vine 2.1.5+
- fixed init script to match our current/old style
- eliminate CVS related files from %%doc

* Thu Apr 19 2001 <sagami@vinelinux.org>
- 2.0.7_ja_2.2-0vl1

* Thu Dec 21 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0.7_ja_1.3-0vl2
- rebuilt with readline2
- use better macros (although not almost complete... needs comfirmation)

* Tue Sep 19 2000 Jun Nishii <jun@vinelinux.org>
- 2.0.7_ja_1.3-0vl1

* Tue Sep 12 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0.7_ja_1.2.1-0vl2
- fixed missing Changelog.ja (was Chagelog.ja)

* Tue Sep 12 2000 Jun Nishii <jun@vinelinux.org>
- updated to 2.0.7-ja-1.2.1

* Wed Jul 19 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 2.0.7-ja-1.2

* Tue Jul 11 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added some Japanese documents to %doc

* Mon Jul 10 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 2.0.7-ja-1.0

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 2.0.7-ja-0.99

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added rpccilent
- modified tcpdconf for stability.

* Fri May 26 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- first test release for Vine based on RH6.2 spec file.
- activated swat in default for only localhost.

* Fri Feb 25 2000 Bill Nottingham <notting@redhat.com>
- fix trigger, again.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix trigger.

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- turn on quota support

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fox dependencies
- man pages are compressed

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- munge post scripts slightly

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- turn on mmap again. Wheee.
- ship smbmount on alpha

* Mon Dec  6 1999 Bill Nottingham <notting@redhat.com>
- turn off mmap. ;)

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- change /var/log/samba to 0700
- turn on mmap support

* Thu Nov 11 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.6

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- add a %defattr for -common

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- shift some files into -client
- remove /home/samba from package.

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- initscript oopsie. killproc <name> -HUP, not other way around.

* Sat Sep 26 1999 Bill Nottingham <notting@redhat.com>
- script cleanups. Again.

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix dropped reconnection attempts

* Mon Sep  6 1999 Jeff Johnson <jbj@redhat.com>
- use cp rather than mv to preserve /etc/services perms (#4938 et al).
- use mktemp to generate /etc/tmp.XXXXXX file name.
- add prereqs on sed/mktemp/killall (need to move killall to /bin).
- fix trigger syntax (i.e. "samba < 1.9.18p7" not "samba < samba-1.9.18p7")

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- sed "s|nawk|gawk|" /usr/bin/convert_smbpasswd

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix typo in mount.smb

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- add a %trigger to work around (sort of) broken scripts in
  previous releases

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- add domain parsing to mount.smb

* Fri Aug  6 1999 Bill Nottingham <notting@redhat.com>
- add a -common package, shuffle files around.

* Fri Jul 23 1999 Bill Nottingham <notting@redhat.com>
- add a chmod in %postun so /etc/services & inetd.conf don't become unreadable

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map

