Summary:	Feature-rich screenshot application. 
Summary(ja): 	機能の豊富なスクリーンショットツール
Name:		shutter
Version:	0.87.2
Release: 	1%{?_dist_release}
Source0:	http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.gz
#Source1:	shutter-0.86.4-ja.po
License:	GPL v3
Group:		Applications/Graphics
URL:		http://shutter-project.org

Requires:	gnome-web-photo
Requires:	perl-Gtk2
Requires:	perl(Gtk2::ImageView)
Requires:	perl(X11::Protocol)
Requires:	perl(Image::Magick)
Requires:	perl(Gtk2::Unique)
Requires:	perl(Image::ExifTool)
Requires(post):	 desktop-file-utils
Requires(postun):desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	kazutaka

%description
Shutter is a feature-rich screenshot program. You can take a
screenshot of a specific area, window, your whole screen, or
even of a website - apply different effects to it, draw on it
to highlight points, and then upload to an image hosting site,
all within one window.

%description -l ja
Shutter は機能の豊富なスクリーンショットツールです。指定した
範囲や、ウィンドウ、スクリーン全体だけでなく、ウェブページの
スクリーンショットも撮ることができます。また様々なエフェクト
を適用したり、注釈を書き込んだり、イメージホスティングサイト
にアップロードしたりといったことが、1つのウィンドウの中で実行
できます。


%prep
%setup -q

%build
# shutter.1.gz isn't gzipped (fixed [VineLinux:1133])
if [ -f share/man/man1/shutter.1.gz ];then
	if ! gzip -t share/man/man1/shutter.1.gz 2> /dev/null ; then
		%{__mv} share/man/man1/shutter.1{.gz,}
	fi
fi

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__install} -d -m 0755 -p ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -d -m 0755 -p ${RPM_BUILD_ROOT}%{_datadir}
%{__cp} -pfr bin/*   ${RPM_BUILD_ROOT}%{_bindir}/
%{__cp} -pfr share/* ${RPM_BUILD_ROOT}%{_datadir}/

# remove unnecessary message catalogue text and docs
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/resources/po
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/doc

# remove a module to drop extra dependencies 
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/resources/modules/Net

# install updated japanese translation
#msgfmt %{SOURCE1} -o ${RPM_BUILD_ROOT}/%{_localedir}/ja/LC_MESSAGES/%{name}.mo

# overwrite .desktop
%{__cat} << EOF > ${RPM_BUILD_ROOT}/%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Version=1.0
Name=Shutter - Screenshot Tool
Name[ja]=Shutter スクリーンショットツール
Comment=Shutter - Screenshot Tool
Comment[ja]=デスクトップやウィンドウ、ウェブページの画像の取得と加工を行います
Exec=shutter
Icon=shutter
Terminal=false
Type=Application
Categories=Application;Graphics;
EOF

# remove unnecessary icons
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/icons/ubuntu-mono-dark
%{__rm} -rf ${RPM_BUILD_ROOT}/%{_datadir}/icons/ubuntu-mono-light

%find_lang %{name} --all-name

%post
update-desktop-database %{_datadir}/applications>& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
update-desktop-database %{_datadir}/applications>& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz


%changelog
* Wed May 11 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.87.2-1
- new upstream release
- fixed [VineLinux:1133]
- add Vendor, Distribution tags.

* Sat Feb 12 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.87-1
- new upstream release
- add Requires: perl(Gtk2::Unique), perl(Image::ExifTool)

* Fri Oct 15 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.86.4-1
- new upstream release
- update Source1 (Japanese translation)

* Sat Apr 17 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.86.1-1
- new upstream release
- update Source1 (Japanese translation)

* Wed Jan 06 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.85.1-1
- new upstream release
- update Source1 (Japanese translation)

* Wed Dec 30 2009 Kazutaka HARADA <kazutaka@vinelinux.org> 0.85.1-1
- new upstream release

* Mon Nov 16 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.80.1-2
- japanese translation updated

* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.80.1-1
- initial build for Vine Linux
- add updated japanese translation as Source1
