# ----------------------------------------------------------
# (1) Data definition
# ----------------------------------------------------------

Summary: The starttls provides STARTTLS extensions for emacs.
Summary(ja): emacs 用の STARTTLS 拡張パッケージ
Name: starttls
Version: 0.9
Release: 2%{?_dist_release}
Source: starttls-%{version}.tar.gz
URL: ftp://ftp.opaopa.org/pub/elisp/
License: GPL
Group: Applications/Editors/Emacs
Packager: Takashi `Muneharu' SUGIMOTO <mailto:muneharu@raug.net>

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}

Requires: emacs, openssl
BuildRequires: emacs, openssl-devel


%description
The starttls provides STARTTLS extensitons for emacs.
Several elisp applications can use secure connection with openssl.

%description -l ja
starttls は emacs 用の STARTTLS 拡張を提供します。
いくつかの elisp アプリケーションで openssl を利用した
安全な接続を使うことができるようになります。



# ----------------------------------------------------------
# (2) Scripts
# ----------------------------------------------------------

%prep -q
#%setup -n ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
%setup -n %{name}-%{version}

%build
./configure --prefix=${RPM_BUILD_ROOT}/usr
make
make check

%install
rm -rf ${RPM_BUILD_ROOT}
make install

%clean
rm -rf ${RPM_BUILD_ROOT}


# ----------------------------------------------------------
# (3) File Lists
# ----------------------------------------------------------

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING INSTALL ChangeLog NEWS
#%dir /usr/bin/
#%dir /usr/share/emacs/site-lisp/
%{_bindir}/starttls
%{_datadir}/emacs/site-lisp/starttls.el
%{_datadir}/emacs/site-lisp/starttls.elc
#/usr/bin/starttls
#/usr/share/emacs/site-lisp/starttls.el
#/usr/share/emacs/site-lisp/starttls.elc


# ----------------------------------------------------------
# (4) Change Log
# ----------------------------------------------------------

%changelog
* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9-2
- rebuild with openssl-1.0.0c

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.9-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9-0vl3
- rebuilt with openssl-0.9.8e

* Tue Sep 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9-0vl2
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>
- s/Copyright/License/

* Mon Aug 19 2002 Takashi `Muneharu' Sugimoto
- 0.9-0vl1

