%define name supertuxkart
%define version 0.7
%define release 1%{?_dist_release}

Summary: An enhanced version of TuxKart, a kart racing game
Summary(ja): TuxKartを拡張したカートレーシングゲーム
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://download.berlios.de/supertuxkart/%{name}-%{version}-src.tar.bz2
# Source: http://download.berlios.de/supertuxkart/%{name}-%{version}.tar.bz2
License: GPL
Group: Applications/Games
URL: http://supertuxkart.sourceforge.net/

Requires: mesa-libGL, SDL, plib, openal, freealut, mikmod
BuildRequires: xorg-x11-devel, mesa-libGL-devel, plib-devel, SDL-devel 
BuildRequires: openal-devel, freealut-devel, mikmod-devel
BuildRequires: libvorbis-devel libogg-devel
BuildRequires: freeglut-devel 
BuildRequires: irrlicht-devel fribidi-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SuperTuxKart is an enhanced version of TuxKart, a kart racing game,
originally done by Steve Baker, featuring Tux and a bunch of his
friends.

%description -l ja
SuperTuxKartはTuxKartを拡張したカートレーシングゲームです。


%prep
%setup -q 
chmod ugo-x AUTHORS COPYING NEWS README TODO

%__sed -i -e 's/games/bin/g' data/supertuxkart_desktop.template

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
#%{__make} DESTDIR=$RPM_BUILD_ROOT install 
%makeinstall

## remove unpackaged files
%__rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/supertuxkart
%{_datadir}/games/supertuxkart/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_*.xpm


%changelog
* Wed Mar 16 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.7-1
- new upstream release
- add BuildRequires: irrlicht-devel fribidi-devel

* Fri Oct 09 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.6.2-1
- new upstream release
- changed URL: to http://supertuxkart.sourceforge.net/

* Thu Jul 30 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.6.1a-2
- added Japanese Summary and description

* Fri May 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.6.1a-1
- new upstream release
- added BuildRequires: libvorbis-devel

* Sun Jan 25 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.6-1
- new upstream release

* Mon Nov 24 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.5-3
- s|/usr/games/supertuxkart|/usr/bin/supertuxkart|g in supertuxkart.desktop

* Wed Oct 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5-2vl5
- added BuildRequires: freeglut-devel

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.5-1vl5
- new upstream release
- applied new versioning policy

* Sat Feb 9 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.3-0vl2
- rebuild for VineSeed

* Sun Aug 5 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 0.3-0vl1
- initial build for Vine Linux 4.1
