%define tlversion	2009

%define hirapropver	0.3
%define kokanaver	1.0b2
%define otfver		1.5.6.1

%define texmf		%{_datadir}/texmf
%define texvf		%{texmf}/fonts/vf/public
%define texofm		%{texmf}/fonts/ofm/public
%define textfm		%{texmf}/fonts/tfm/public
%define mapdir		%{texmf}/fonts/map/dvipdfm/otf
%define build_texmf	%{buildroot}%{texmf}
%define build_texvf	%{buildroot}%{texvf}
%define build_texofm	%{buildroot}%{texofm}
%define build_textfm	%{buildroot}%{textfm}
%define build_mapdir	%{buildroot}%{mapdir}
%define dvipdfmconfig	%{texmf}/dvipdfm/config

%define exec_updmap	[ -x %{_bindir}/updmap-sys ] && %{_bindir}/env - %{_bindir}/updmap-sys --nostop 2> /dev/null
%define exec_updmap_otf	[ -x %{_bindir}/updmap-otf ] && %{_bindir}/env - %{_bindir}/updmap-otf auto 2> /dev/null

Summary: TeX Live macro packages for "VF for OpenType Fonts" by S. Saito
Summary(ja): TeX Live で使うマクロパッケージ (齋藤修三郎氏による「OpenType Font用VF」)
Name: texmacro-otf
Version: %{otfver}
Release: 4%{?_dist_release}
BuildArch: noarch
# #Source0: http://psitau.at.infoseek.co.jp/otfstable.zip
# Source0: otfstable-%{version}.tar.bz2
# $ md5sum otfcurrent.zip 
# fc38d8384f73ae4b4238698eef4e11fd  otfcurrent.zip
# $ unzip otfcurrent.zip
# $ mv otfcurrent otfcurrent-1.5.6.1
# $ tar jcf otfcurrent-1.5.6.1.tar.bz2 otfcurrent-1.5.6.1
#Source0: http://psitau.at.infoseek.co.jp/otfstable.zip
Source0: otfcurrent-%{version}.tar.bz2
#Source1: http://psitau.at.infoseek.co.jp/hiraprop.zip
Source1: hiraprop-%{hirapropver}.tar.bz2
#Source2: http://psitau.at.infoseek.co.jp/kokana.zip
Source2: kokana-%{kokanaver}.tar.bz2
Source3: http://psitau.at.infoseek.co.jp/otfmanual.pdf
Source4: http://psitau.at.infoseek.co.jp/kitunetuki.pdf
Source5: http://psitau.at.infoseek.co.jp/meijinden.pdf
Source10: updmap-otf
Source20: otf-noEmbed.map
Source21: otf-cktx.map

Patch1: texmacro-otf-RmlGbm.patch

URL: http://psitau.at.infoseek.co.jp/otf.html
License: distributable
Group:  Applications/Publishing
BuildRequires: texlive = %{tlversion}
BuildRequires: perl, nkf
Requires:     texlive = %{tlversion}
Requires:     ghostscript

Buildroot:    %{_tmppath}/%{name}-%{version}-root

Obsoletes: texlive-texmacro-otf <= 1.5.6.1

Distribution: Vine Linux
Vendor:       Project Vine

%description
TeX Live macro packages of VF for OpenType Fonts by SAITO Shuzaburo
Users can use these macros on platex.
Including
	hiraprop.sty ajmacros.sty mlcid.sty mlutf.sty otf.sty
	otfaltkana.sty redeffont.sty

%description -l ja
齋藤修三郎氏作成の TeX Live で用いる追加マクロパッケージです。
LaTeX(pLaTeX2e)でOpen Type Fontを有効に利用するための 
VF およびスタイルファイルです。
platex 上で利用できます。
以下のマクロが含まれています。
	hiraprop.sty ajmacros.sty mlcid.sty mlutf.sty otf.sty
	otfaltkana.sty redeffont.sty

%prep
%setup -q -c -n %{name}-%{version} -a 1 -a 2

#for i in `grep -l -ir ovp2ovf * | grep -v readme`;
#do
#	perl -pi -e "s@ovp2ovf@ovp2ovf-1.11@" $i
#done

## rename from pltotf to ppltotf
%__sed -i -e "s,^pltotf,ppltotf,g" kokana-%{kokanaver}/makealtkana || exit 1

%build

# ###### otfstable #####
pushd otfcurrent-%{version}
./makeotf
popd

###### kokana #####
pushd kokana-%{kokanaver}
nkf -be basepl/base-h.pl > base-h.pl
nkf -be basepl/base-v.pl > base-v.pl
%__mv -f base-[hv].pl basepl
./makealtkana
popd

%install
%__rm -rf %{buildroot}

%__mkdir fontmap test pdf
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{build_texmf}/ptex/platex/otf
%__mkdir_p %{build_texmf}-var/updmap-otf
%__mkdir_p %{build_texvf}/otf
%__mkdir_p %{build_textfm}/otf
%__mkdir_p %{build_mapdir}

%__install -m 644 %{SOURCE3} %{SOURCE4} %{SOURCE5} pdf
%__install -m 755 %{SOURCE10} %{buildroot}%{_bindir}/updmap-otf

### set prefix dir ###
%__sed -i -e "s@/usr/local@/usr@" \
          -e "s@/fonts/map/dvipdfm@/fonts/map/dvipdfm/otf@g" \
    %{buildroot}%{_bindir}/updmap-otf || exit 1

###### otfstable #####
pushd otfcurrent-%{version}
%__install -m 644 sty/*.sty %{build_texmf}/ptex/platex/otf
%__install -m 644 vf/* %{build_texvf}/otf
%__install -m 644 tfm/* %{build_textfm}/otf

#install -m 644 fontmap/cktx.map* %{build_mapdir}/otf-cktx.map
#install -m 644 fontmap/hiraginox.map* %{build_mapdir}/otf-hiraginox.map
%__sed -e 's/W.$/&.otf/g' fontmap/hiraginox.map* > %{build_mapdir}/otf-hiraginox.map
%__install -m 644 fontmap/kozukax.map* %{build_mapdir}/otf-kozukax.map
%__install -m 644 fontmap/morisawax.map* %{build_mapdir}/otf-morisawax.map

## morisawa map files remaped PS Kanji (CIDFont) Name
%__sed -e 's@A-OTF-@@g' %{build_mapdir}/otf-morisawax.map > %{build_mapdir}/otf-ps-morisawax.map
%__sed -e 's@A-OTF-@!@g' %{build_mapdir}/otf-morisawax.map > %{build_mapdir}/otf-ps-morisawax-noEmbed.map

# Install our own noFont map 
%__install -m 644 %{SOURCE20}  %{build_mapdir}
%__install -m 644 %{SOURCE21}  %{build_mapdir}

pushd %{build_mapdir}
patch -p1 < %{PATCH1}
popd

%__install -m 644 fontmap/vfontmap.txt ../fontmap

%__install -m 644 test/*.tex ../test
%__install -m 644 readme.txt ../readme-otfcurrent.txt
popd

###### hiraprop #####
%__mkdir_p %{build_texmf}/ptex/platex/hiraprop
%__mkdir_p %{build_texvf}/hiraprop
%__mkdir_p %{build_texofm}/hiraprop
%__mkdir_p %{build_textfm}/hiraprop

pushd hiraprop-%{hirapropver}
%__install -m 644 sty/* %{build_texmf}/ptex/platex/hiraprop
%__install -m 644 vf/hiraprop/* %{build_texvf}/hiraprop
%__install -m 644 ofm/hiraprop/* %{build_texofm}/hiraprop
%__install -m 644 tfm/hiraprop/* %{build_textfm}/hiraprop

%__install -m 644 *.tex ../test
%__install -m 644 readme.txt ../readme-hiraprop.txt
popd

###### kokana #####
pushd kokana-%{kokanaver}
%__install -m 644 otfaltkana.sty %{build_texmf}/ptex/platex/otf
%__install -m 644 vf/* %{build_texvf}/otf
%__install -m 644 tfm/* %{build_textfm}/otf

%__install -m 644 sample/kokanatest.tex ../test
%__install -m 644 readme.txt ../readme-kokana.txt
popd


%post
%{exec_updmap}
%{exec_updmap_otf}
exit 0

%postun
if [ "$1" = 0 ]; then
	%__rm -rf %{texmf}-var/updmap-otf
	%{exec_updmap}
fi
exit 0

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme* fontmap test pdf
%dir %{texmf}-var/updmap-otf
%{_bindir}/updmap-otf
%{texmf}/ptex/platex/otf
%{texmf}/ptex/platex/hiraprop
%{texvf}
%{textfm}
%{texofm}
%{mapdir}

%changelog 
* Mon May 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.5.6.1-4
- fixed updmap-otf
  - changed $$MAPDIR to $${TEXMF}/fonts/map/dvipdfm/otf

* Sat Apr 16 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.5.6.1-3
- changed %%mapdir to %%{texmf}/fonts/map/dvipdfm/otf

* Sat Jan 15 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.5.6.1-2
- added Obsoletes: texlive-texmacro-otf <= 1.5.6.1
  - for TeX Live 2009 of VinePlus/5, supported texlive-texmacro-otf

* Sat Jul 03 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.5.6.1-1
- new upstream release
- TeX Linux 2009

* Fri May 15 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.9-3
- added otf-ps-morisawax{-noEmbed}.map

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.9-2
- spec in utf8

* Tue Aug 05 2008 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.9-1
- applied new versioning policy

* Sun Apr 07 2007 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.9-0vl1
- new upstream release

* Sat May 27 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.7.1-0vl2
- updmap-otf v0.9: use noEmbed.map instead of noEmbeddedFont.map

* Fri May 12 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 1.2.7.1-0vl1
- resync with ptetex3-20060506

* Sun Nov 06 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.7-0vl3
- resync with ptetex3-20051102

* Wed Aug 31 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.7-0vl2
- resync with ptetex3-20050830

* Sat Jun 18 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.7-0vl1
- source update
- modified for teTeX3

* Thu Feb 03 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.6-0vl1
- source update

* Thu Jan 20 2005 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.5-0vl1
- source update

* Sun Nov 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl5
- updmap-0.7

* Mon Oct 18 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl4
- updmap-0.6

* Mon Oct 11 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl3
- updmap-0.5

* Thu Sep 30 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl2
- fixed updmap

* Thu Sep 30 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.4-0vl1
- source update
- updmap-0.4

* Thu Apr 08 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl4
- update updmap-otf: take over before setting in "auto" target
- remove requires texmacro-sfujita

* Sat Apr 03 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl3
- fix postun

* Fri Apr 02 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl2
- drop extrafonts and added hiraprop
- update updmap-otf and *-udvips.map

* Sun Mar 28 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.2.2-0vl1
- source update
- added updmap-otf

* Wed Feb 04 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.9-0vl1
- first release
