Name:		totem-pl-parser
Version:	2.32.4
Release:	1%{?_dist_release}
Summary:	Totem Playlist Parser library
Summary(ja):	Totem プレイリスト解析ライブラリ

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.gnome.org/projects/totem/
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/2.32/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	totem-plparser

BuildRequires:	gtk2-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	evolution-data-server-devel >= 2.32.0
BuildRequires:	gettext
BuildRequires:	perl-XML-Parser
BuildRequires:	sqlite3-devel
BuildRequires:	gmime-devel >= 2.4.19
BuildRequires:	gobject-introspection-devel

%description
A library to parse and save playlists, as used in music and movie players.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Obsoletes:	totem-devel
Requires:       %{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	gnome-vfs2-devel
Requires:	gtk2-devel
Requires:	evolution-data-server-devel >= 2.32.0
Requires:	libxml2-devel
Requires:	gmime-devel >= 2.4.19

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --enable-static=no --enable-introspection=yes
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/totem-pl-parser
%{_datadir}/gir-1.0

%changelog
* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.4-1
- new upstream release

* Tue Feb 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.3-1
- new upstream release

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.2-1
- new upstream release

* Sat Nov 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: gobject-introspection-devel
- add configure option (--enable-introspection=yes)

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: gmime-devel >= 2.4

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Sun Jan 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.24.3-2
- added BuildRequires: sqlite3-devel

* Sun Dec 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release
- built with evolution-data-server-2.24.2

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-3
- build with evolution-data-server-2.24.1

* Tue Oct 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-2
- added Japanese summary
- added Requires: evolution-data-server-devel, libxml2-devel to devel package

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.22.3-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.22.2-1vl5
- new upstream release

* Wed Apr  3 2008 - Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.22.1-1vl5
- Initial build for Vine Linux

* Mon Mar 10 2008 - Bastien Nocera <bnocera@redhat.com> - 2.22.1-1
- Update to 2.22.1

* Mon Mar 10 2008 - Bastien Nocera <bnocera@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Sun Feb 24 2008 - Bastien Nocera <bnocera@redhat.com> - 2.21.92-1
- Update to 2.21.92

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.21.91-3
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 - Matthew Barnes <mbarnes@redhat.com> - 2.21.21-2
- Rebuild against newer libcamel-1.2.

* Mon Jan 21 2008 - Bastien Nocera <bnocera@redhat.com> - 2.21.91-1
- Update to 2.21.91

* Mon Jan 07 2008 - Bastien Nocera <bnocera@redhat.com> - 2.21.90-1
- Update to 2.21.90

* Thu Dec 06 2007 - Bastien Nocera <bnocera@redhat.com> - 2.21.6-1
- First package

