# version, patch version
%define vimversion	7.3
%define vimpversion	154

%define vimsubdir	vim%(echo %{vimversion} | sed -e's/\\.//')
%define vimdir		%{vimsubdir}

%define binprefix	/
%define x11prefix	/usr
%define vimrcloc	%{_sysconfdir}/vim
%define vimruntime	%{_datadir}/vim

%define configopts	--bindir='${exec_prefix}/bin' --disable-gpm
%define features_x11	--exec-prefix=%{_prefix} --with-x=yes --enable-gui=gtk2 --enable-xim --enable-fontset
%define features_nox11	--exec-prefix=%{_prefix} --with-x=no  --enable-gui=no
%define features_huge	--with-features=huge   --enable-multibyte --enable-rubyinterp --enable-pythoninterp --enable-perlinterp
%define features_big	--with-features=big    --enable-multibyte
%define features_normal	--with-features=normal --enable-multibyte
%define features_tiny	--exec-prefix=%{binprefix} --with-features=tiny --enable-multibyte --with-tlib=tinfo


Summary:     Vi IMproved - enhanced vi editor
Summary(ja): Vi IMproved - 改良された vi エディタ
Name: vim
License: Vim
Group: Applications/Editors
URL: http://www.vim.org/

%if %{vimpversion}
Version: %{vimversion}.%{vimpversion}
%else
Version: %{vimversion}
%endif
Release: 1%{?_dist_release}

Source0: ftp://ftp.vim.org/pub/vim/unix/vim-%{vimversion}.tar.bz2

# gvim desktop file
Source100: gvim.desktop
Source101: gvim16.png
Source102: gvim32.png
Source103: gvim48.png
Source104: gvim64.png

Source300: vimrc.ja
Source400: format.vim
Source401: verifyenc.vim

Patch2002: vim-7.0-fixkeys.patch
Patch2003: vim-6.2-specsyntax.patch
Patch2004: vim-7.0-crv.patch

# Patches 1000 and up are patches from the base maintainer.
# If you're as lazy as me, generate the list using
# for i in seq 1 154; do printf "Patch%03d: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.%03d\n" $i $i; done > vimpatches
Patch001: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.001
Patch002: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.002
Patch003: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.003
Patch004: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.004
Patch005: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.005
Patch006: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.006
Patch007: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.007
Patch008: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.008
Patch009: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.009
Patch010: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.010
Patch011: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.011
Patch012: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.012
Patch013: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.013
Patch014: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.014
Patch015: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.015
Patch016: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.016
Patch017: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.017
Patch018: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.018
Patch019: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.019
Patch020: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.020
Patch021: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.021
Patch022: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.022
Patch023: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.023
Patch024: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.024
Patch025: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.025
Patch026: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.026
Patch027: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.027
Patch028: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.028
Patch029: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.029
Patch030: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.030
Patch031: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.031
Patch032: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.032
Patch033: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.033
Patch034: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.034
Patch035: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.035
Patch036: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.036
Patch037: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.037
Patch038: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.038
Patch039: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.039
Patch040: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.040
Patch041: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.041
Patch042: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.042
Patch043: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.043
Patch044: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.044
Patch045: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.045
Patch046: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.046
Patch047: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.047
Patch048: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.048
Patch049: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.049
Patch050: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.050
Patch051: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.051
Patch052: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.052
Patch053: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.053
Patch054: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.054
Patch055: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.055
Patch056: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.056
Patch057: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.057
Patch058: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.058
Patch059: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.059
Patch060: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.060
Patch061: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.061
Patch062: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.062
Patch063: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.063
Patch064: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.064
Patch065: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.065
Patch066: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.066
Patch067: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.067
Patch068: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.068
Patch069: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.069
Patch070: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.070
Patch071: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.071
Patch072: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.072
Patch073: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.073
Patch074: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.074
Patch075: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.075
Patch076: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.076
Patch077: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.077
Patch078: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.078
Patch079: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.079
Patch080: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.080
Patch081: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.081
Patch082: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.082
Patch083: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.083
Patch084: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.084
Patch085: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.085
Patch086: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.086
Patch087: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.087
Patch088: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.088
Patch089: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.089
Patch090: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.090
Patch091: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.091
Patch092: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.092
Patch093: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.093
Patch094: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.094
Patch095: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.095
Patch096: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.096
Patch097: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.097
Patch098: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.098
Patch099: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.099
Patch100: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.100
Patch101: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.101
Patch102: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.102
Patch103: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.103
Patch104: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.104
Patch105: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.105
Patch106: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.106
Patch107: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.107
Patch108: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.108
Patch109: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.109
Patch110: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.110
Patch111: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.111
Patch112: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.112
Patch113: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.113
Patch114: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.114
Patch115: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.115
Patch116: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.116
Patch117: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.117
Patch118: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.118
Patch119: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.119
Patch120: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.120
Patch121: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.121
Patch122: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.122
Patch123: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.123
Patch124: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.124
Patch125: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.125
Patch126: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.126
Patch127: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.127
Patch128: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.128
Patch129: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.129
Patch130: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.130
Patch131: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.131
Patch132: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.132
Patch133: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.133
Patch134: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.134
Patch135: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.135
Patch136: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.136
Patch137: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.137
Patch138: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.138
Patch139: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.139
Patch140: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.140
Patch141: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.141
Patch142: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.142
Patch143: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.143
Patch144: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.144
Patch145: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.145
Patch146: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.146
Patch147: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.147
Patch148: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.148
Patch149: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.149
Patch150: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.150
Patch151: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.151
Patch152: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.152
Patch153: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.153
Patch154: ftp://ftp.vim.org/pub/vim/patches/7.3/7.3.154

Patch2010: xxd-locale.patch

Patch3000: vim-7.3-syntax.patch
Patch3002: vim-7.1-nowarnings.patch
Patch3003: vim-6.1-rh3.patch
#Patch3004: vim-7.0-rclocation.patch
Patch3006: vim-6.4-checkhl.patch
Patch3007: vim-7.3-fstabsyntax.patch
Patch3009: vim-7.0-warning.patch
Patch3010: vim-7.0-syncolor.patch
Patch3011: vim-7.0-specedit.patch

Patch4000: vim-7.2-fix-menu.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby, ruby-devel, python-devel, perl, gtk2-devel, ncurses-devel, autoconf, libtool, net-tools, pixman-devel, libXt-devel
%if "%{?_dist_release}" != "vl5"
BuildRequires: glibc-static
%endif
Requires(post): alternatives
Requires: vim-common = %{version}

%description
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-normal package provides a VIM executable configured
with essential features enabled.

%description -l ja 
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージでは最も基本的な機能を含んだVIMが提供されます．

%package common
Summary: Common files needed by the non-X VIM packages
Summary(ja): 各種の VIM パッケージに必要なファイル
Group: Applications/Editors
Requires: gawk
Conflicts: vim-X11 < 6.0, vim-enhanced < 6.0, vim-minimal < 6.0

%description common
vim-common package contains files which every VIM binary packages will 
need in order to run. VIM itself is included in various packages (under
every different configuration) such as:

  * vim        - normal features
  * vim-big    - big features
  * vim-huge   - huge features and Ruby/Perl/Python support

%description -l ja common
このパッケージは以下に示す各VIMパッケージで提供されるVIMエディタを実行
するために必要となる共通のファイル群を提供します:

  * vim          - 最も基本的な機能を含んだVIMパッケージ
  * vim-big      - より多くの機能を効有にしたVIMパッケージ
  * vim-huge     - Ruby/Perl/Pythonの各スクリプトの実行機能と，それ以外の
                   ほぼすべての機能を有効にしたVIMパッケージ

%package man
Summary: Man pages for the VIM editor
Summary(ja): VIM エディタの man ページ
Group: Applications/Documentation
Conflicts: nvi <= 1.79_jp-18vl1, jvim <= 3.0j2.1a-0vl1

%description man
This package contains man pages for the VIM editor.

%description -l ja man
このパッケージはVIMエディタのmanページを含んでいます．

%package tiny
Summary: A minimal version of the VIM editor
Summary(ja): 最小構成の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Conflicts: nvi <= 1.79_jp-18vl1, jvim <= 3.0j2.1a-0vl1, vim-minimal
Obsoletes: vim-minimal

%description tiny
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-tiny package contains /bin/vi, a minimally configured version
of the VIM. It may be handy when only the root partition is present.
vim-common package is NOT needed to run this program.

%description -l ja tiny
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージでは最小構成のVIMを/bin/vimとして提供しています。このパッ
ケージで提供されるVIMを使うにあたってはvim-commonパッケージは必要あり
ません．

%package big
Summary: VIM editor with big features
Summary(ja): 多機能版の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-common = %{version}
Obsoletes: vim-color

%description big
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-big package contains the VIM with "big" features enabled.

%description -l ja big
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではvimパッケージで提供されるVIMよりも多くの機能を含んだ
VIMを提供しています．

%package huge
Summary: VIM editor with huge features
Summary(ja): 最大機能版の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-common = %{version}
Requires: %(perl -le 'use Config; print $Config{archlibexp}')
Obsoletes: vim-color
Obsoletes: vim-ruby, vim-python, vim-perl

%description huge
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-huge package contains the VIM with most of its features (except
X11 features) enabled such as Ruby, Perl and Python features.

%description -l ja huge
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではX11対応以外のほとんどすべての機能のサポートに加え，
Ruby/Perl/Pythonスクリプトの実行機能までを含んでVIMを提供しています．

%package X11
Summary: VIM editor with X11 support
Summary(ja): X11 対応の VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-X11-common = %{version}
Provides: gvim

%description X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular. VIM has many new features including:
multiple windows, multi-level undos, block highlighting and more.

vim-X11 package contains the VIM with X11 features enabled:
you can run VIM as an X application with a full GUI interface and mouse
support.

%description -l ja X11
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージでは最も基本的な構成のVIMにX11対応を加えたものを提供して
います．

%package X11-common
Summary: The common files needed by any version of the GVIM editor
Summary(ja): X11 対応 VIM エディタに必要な共通ファイル
Group: Applications/Editors
Requires: vim-common = %{version}, gtk2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description X11-common
vim-X11-common package contains files which every GVIM (VIM with X11
features enabled) binaries will need in order to run. 
GVIM itself is included in various packages (under every different
configuration) such as:

  * vim-X11 - normal features
  * vim-X11-big - big features
  * vim-X11-huge - huge features and Ruby/Perl/Python support

%description -l ja X11-common
このパッケージは以下に示す各X11対応のVIMパッケージで提供されるVIMエディ
タを実行するために必要となる共通のファイル群を提供します:

  * vim-X11      - X対応機能を有効にしたVIMパッケージ
  * vim-X11-big  - vim-bigをX対応にしたVIMパッケージ
  * vim-X11-huge - vim-hugeをX対応にしたVIMパッケージ

%package X11-big
Summary: VIM editor with big features and X11 support
Summary(ja): X11 対応の多機能版 VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-X11-common = %{version}
Provides: gvim

%description X11-big
VIM-X11 is a version of the VIM editor which is configured to run on the X 
Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

The vim-X11-big package provides the VIM which supports more features
than vim-X11 package does.

%description -l ja X11-big
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではvim-X11パッケージで提供されるVIMよりも，より多くの機
能を含んだVIMを提供しています．

%package X11-huge
Summary: VIM editor with huge features and X11 support
Summary(ja): X11 対応の最大機能版 VIM エディタ
Group: Applications/Editors
Requires(post): alternatives
Requires: vim-X11-common = %{version}
Requires: %(perl -le 'use Config; print $Config{archlibexp}')
Provides: gvim

%description X11-huge
VIM-X11 is a version of the VIM editor which is configured to run on the X
Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

The vim-X11-huge package provides the VIM which supports much more extra
features than vim-X11-huge does, such as Ruby/Perl/Python support.

%description -l ja X11-huge
VIM(VIsual editor iMproved)はviエディタ互換のエディタで，次のような多
くの機能が加えられています: マルチレベルのアンドゥ，シンタックスハイラ
イト，コマンドのヒストリ，オンラインヘルプ，ファイル名の補完，ブロック
を対象とした処理，行の折り畳み，ユニコードやその他の文字コードのサポー
トなどです．

このパッケージではX11対応も含めたほとんどすべての機能のサポートに加え，
Ruby/Perl/Pythonスクリプトの実行機能までを含んでVIMを提供しています．

%prep
%setup -q -b 0 -n %{vimdir}
# fix rogue dependencies from sample code
chmod -x runtime/tools/mve.awk
%patch2002 -p1
%patch2003 -p1
%patch2004 -p1

perl -pi -e "s,bin/nawk,bin/awk,g" runtime/tools/mve.awk

# Base patches...
# for i in seq 1 154; do printf "%%patch%03d -p0\n" $i; done
%patch001 -p0
%patch002 -p0
%patch003 -p0
%patch004 -p0
%patch005 -p0
%patch006 -p0
%patch007 -p0
%patch008 -p0
%patch009 -p0
%patch010 -p0
%patch011 -p0
%patch012 -p0
%patch013 -p0
%patch014 -p0
%patch015 -p0
%patch016 -p0
%patch017 -p0
%patch018 -p0
%patch019 -p0
%patch020 -p0
%patch021 -p0
%patch022 -p0
%patch023 -p0
%patch024 -p0
%patch025 -p0
%patch026 -p0
%patch027 -p0
%patch028 -p0
%patch029 -p0
%patch030 -p0
%patch031 -p0
%patch032 -p0
%patch033 -p0
%patch034 -p0
%patch035 -p0
%patch036 -p0
%patch037 -p0
%patch038 -p0
%patch039 -p0
%patch040 -p0
%patch041 -p0
%patch042 -p0
%patch043 -p0
%patch044 -p0
%patch045 -p0
%patch046 -p0
%patch047 -p0
%patch048 -p0
%patch049 -p0
%patch050 -p0
%patch051 -p0
%patch052 -p0
%patch053 -p0
%patch054 -p0
%patch055 -p0
%patch056 -p0
%patch057 -p0
%patch058 -p0
%patch059 -p0
%patch060 -p0
%patch061 -p0
%patch062 -p0
%patch063 -p0
%patch064 -p0
%patch065 -p0
%patch066 -p0
%patch067 -p0
%patch068 -p0
%patch069 -p0
%patch070 -p0
%patch071 -p0
%patch072 -p0
%patch073 -p0
%patch074 -p0
%patch075 -p0
%patch076 -p0
%patch077 -p0
%patch078 -p0
%patch079 -p0
%patch080 -p0
%patch081 -p0
%patch082 -p0
%patch083 -p0
%patch084 -p0
%patch085 -p0
%patch086 -p0
%patch087 -p0
%patch088 -p0
%patch089 -p0
%patch090 -p0
%patch091 -p0
%patch092 -p0
%patch093 -p0
%patch094 -p0
%patch095 -p0
%patch096 -p0
%patch097 -p0
%patch098 -p0
%patch099 -p0
%patch100 -p0
%patch101 -p0
%patch102 -p0
%patch103 -p0
%patch104 -p0
%patch105 -p0
%patch106 -p0
%patch107 -p0
%patch108 -p0
%patch109 -p0
%patch110 -p0
%patch111 -p0
%patch112 -p0
%patch113 -p0
%patch114 -p0
%patch115 -p0
%patch116 -p0
%patch117 -p0
%patch118 -p0
%patch119 -p0
%patch120 -p0
%patch121 -p0
%patch122 -p0
%patch123 -p0
%patch124 -p0
%patch125 -p0
%patch126 -p0
%patch127 -p0
%patch128 -p0
%patch129 -p0
%patch130 -p0
%patch131 -p0
%patch132 -p0
%patch133 -p0
%patch134 -p0
%patch135 -p0
%patch136 -p0
%patch137 -p0
%patch138 -p0
%patch139 -p0
%patch140 -p0
%patch141 -p0
%patch142 -p0
%patch143 -p0
%patch144 -p0
%patch145 -p0
%patch146 -p0
%patch147 -p0
%patch148 -p0
%patch149 -p0
%patch150 -p0
%patch151 -p0
%patch152 -p0
%patch153 -p0
%patch154 -p0

%patch2010 -p1

%patch3000 -p1
%patch3002 -p1
%patch3003 -p1
#%patch3004 -p1

%patch3006 -p1
%patch3007 -p1
#%patch3008 -p1
%patch3009 -p1
%patch3010 -p1
%patch3011 -p1

%patch4000 -p1

%build
cd src
autoconf

make shadow
mv shadow vim-X11-huge
(cd vim-X11-huge && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_x11} %{features_huge} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-X11-big
(cd vim-X11-big && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_x11} %{features_big} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-X11-normal
(cd vim-X11-normal && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_x11} %{features_normal} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-huge
(cd vim-huge && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_nox11} %{features_huge} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-big
(cd vim-big && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_nox11} %{features_big} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-normal
(cd vim-normal && \
 mkdir po && (cd po && ln -s ../../po/* .) && \
 %configure %{configopts} %{features_nox11} %{features_normal} && \
 make %{?_smp_mflags})

make shadow
mv shadow vim-tiny
cp os_unix.h os_unix.h.orig
sed -i -e 's|$VIM/vimrc|/etc/vimrc.tiny|g' os_unix.h
(cd vim-tiny && \
 LDFLAGS=-static export LDFLAGS; \
 %configure %{configopts} %{features_nox11} %{features_tiny} && \
 make %{?_smp_mflags})
cp os_unix.h.orig os_unix.h

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}%{vimrcloc}
mkdir -p %{buildroot}/%{vimruntime}

ln -s %{vimrcloc}/vimrc.ja  %{buildroot}/%{vimruntime}/vimrc
ln -s %{vimrcloc}/gvimrc.ja %{buildroot}/%{vimruntime}/gvimrc
ln -s %{vimrcloc}           %{buildroot}/%{vimruntime}/vimfiles

cd src

for d in vim-normal vim-big vim-huge vim-X11-normal vim-X11-big vim-X11-huge vim-tiny
do
  make -C$d DESTDIR=%{buildroot} installvimbin 
  vimbin=`find %{buildroot} -name vim -type f`
  mv $vimbin `dirname $vimbin`/`echo $d | sed -e's/^vim-/vim./'`
done
make -Cvim-huge     DESTDIR=%{buildroot} installtools installtutor
make -Cvim-X11-huge DESTDIR=%{buildroot} installtools installtutor installtutorbin
make -Cvim-X11-huge DESTDIR=%{buildroot} install-languages install-icons
make -Cvim-X11-huge DESTDIR=%{buildroot} installruntime installlinks installmanlinks
find %{buildroot}/%{_bindir} -type l -exec rm \{\} \;

# Dependency cleanups
chmod 644 %{buildroot}/%{_datadir}/vim/%{vimsubdir}/doc/vim2html.pl \
 %{buildroot}/%{_datadir}/vim/%{vimsubdir}/tools/*.pl \
 %{buildroot}/%{_datadir}/vim/%{vimsubdir}/tools/vim132
chmod 644 ../runtime/doc/vim2html.pl

# installing vimrc files.
install -p -m644 %{SOURCE300} %{buildroot}%{vimrcloc}/vimrc.ja
install -p -m644 %{SOURCE300} %{buildroot}%{vimrcloc}/gvimrc.ja
install -p -m644 %{SOURCE300} %{buildroot}%{_sysconfdir}/vimrc.tiny

# installing misc utils.
install -p -m644 %{SOURCE400} %{buildroot}%{_datadir}/vim/%{vimsubdir}/plugin/format.vim
install -p -m644 %{SOURCE401} %{buildroot}%{_datadir}/vim/%{vimsubdir}/plugin/verifyenc.vim

cd ../..

# desktop file
%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -p -m644 %{SOURCE100} %{buildroot}%{_datadir}/applications/gvim.desktop

# icons
%__mkdir_p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
%__install -p -m644 %{SOURCE101} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/gvim.png
%__install -p -m644 %{SOURCE102} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gvim.png
%__install -p -m644 %{SOURCE103} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gvim.png
%__install -p -m644 %{SOURCE104} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/gvim.png

# remove international manuals
rm -rf %{buildroot}/%{_mandir}/{fr,it,ru,pl}*

%post tiny
update-alternatives \
  --install /bin/vi      vi      /bin/vim.tiny 20 \
  --slave   /bin/vim     vim     /bin/vim.tiny \
  --slave   /bin/eview   eview   /bin/vim.tiny \
  --slave   /bin/evim    evim    /bin/vim.tiny \
  --slave   /bin/ex      ex      /bin/vim.tiny \
  --slave   /bin/rview   rview   /bin/vim.tiny \
  --slave   /bin/rvim    rvim    /bin/vim.tiny \
  --slave   /bin/view    view    /bin/vim.tiny \
  --slave   /bin/vimdiff vimdiff /bin/vim.tiny

%triggerpostun -- vim-minimal < 6.0
update-alternatives --auto vi

%triggerpostun tiny -- vim-tiny <= 6.2.532-0vl3
update-alternatives --remove vi /bin/vim
update-alternatives --auto vi

%preun tiny
if [ "$1" = "0" ]
then
  update-alternatives --remove vi /bin/vim.tiny
fi

%post
update-alternatives \
  --install /bin/vi      vi      %{_bindir}/vim.normal 31 \
  --slave   /bin/vim     vim     %{_bindir}/vim.normal \
  --slave   /bin/eview   eview   %{_bindir}/vim.normal \
  --slave   /bin/evim    evim    %{_bindir}/vim.normal \
  --slave   /bin/ex      ex      %{_bindir}/vim.normal \
  --slave   /bin/rview   rview   %{_bindir}/vim.normal \
  --slave   /bin/rvim    rvim    %{_bindir}/vim.normal \
  --slave   /bin/view    view    %{_bindir}/vim.normal \
  --slave   /bin/vimdiff vimdiff %{_bindir}/vim.normal

%triggerpostun -- vim <= 6.2.532-0vl3
update-alternatives --remove vim /usr/bin/vim.normal

%preun
if [ "$1" = "0" ]
then
  update-alternatives --remove vi %{_bindir}/vim.normal
fi

%post big
update-alternatives \
  --install /bin/vi      vi      %{_bindir}/vim.big 41 \
  --slave   /bin/vim     vim     %{_bindir}/vim.big \
  --slave   /bin/eview   eview   %{_bindir}/vim.big \
  --slave   /bin/evim    evim    %{_bindir}/vim.big \
  --slave   /bin/ex      ex      %{_bindir}/vim.big \
  --slave   /bin/rview   rview   %{_bindir}/vim.big \
  --slave   /bin/rvim    rvim    %{_bindir}/vim.big \
  --slave   /bin/view    view    %{_bindir}/vim.big \
  --slave   /bin/vimdiff vimdiff %{_bindir}/vim.big

%triggerpostun big -- vim-big <= 6.2.532-0vl3
update-alternatives --remove vim /usr/bin/vim.big

%preun big
if [ "$1" = "0" ]
then
  update-alternatives --remove vi %{_bindir}/vim.big
fi

%post huge
update-alternatives \
  --install /bin/vi      vi      %{_bindir}/vim.huge 51 \
  --slave   /bin/vim     vim     %{_bindir}/vim.huge \
  --slave   /bin/eview   eview   %{_bindir}/vim.huge \
  --slave   /bin/evim    evim    %{_bindir}/vim.huge \
  --slave   /bin/ex      ex      %{_bindir}/vim.huge \
  --slave   /bin/rview   rview   %{_bindir}/vim.huge \
  --slave   /bin/rvim    rvim    %{_bindir}/vim.huge \
  --slave   /bin/view    view    %{_bindir}/vim.huge \
  --slave   /bin/vimdiff vimdiff %{_bindir}/vim.huge

%triggerpostun huge -- vim-huge <= 6.2.532-0vl3
update-alternatives --remove vim /usr/bin/vim.huge

%preun huge
if [ "$1" = "0" ]
then
  update-alternatives --remove vi %{_bindir}/vim.huge
fi

%post X11
update-alternatives \
  --install /bin/vi       vi       %{_bindir}/vim.X11-normal 30 \
  --slave   /bin/vim      vim      %{_bindir}/vim.X11-normal \
  --slave   /bin/eview    eview    %{_bindir}/vim.X11-normal \
  --slave   /bin/evim     evim     %{_bindir}/vim.X11-normal \
  --slave   /bin/ex       ex       %{_bindir}/vim.X11-normal \
  --slave   /bin/rview    rview    %{_bindir}/vim.X11-normal \
  --slave   /bin/rvim     rvim     %{_bindir}/vim.X11-normal \
  --slave   /bin/view     view     %{_bindir}/vim.X11-normal \
  --slave   /bin/vimdiff  vimdiff  %{_bindir}/vim.X11-normal
update-alternatives \
  --install %{_bindir}/gvim     gvim     %{_bindir}/vim.X11-normal 30 \
  --slave   %{_bindir}/gview    gview    %{_bindir}/vim.X11-normal \
  --slave   %{_bindir}/gvimdiff gvimdiff %{_bindir}/vim.X11-normal \
  --slave   %{_bindir}/rgview   rgview   %{_bindir}/vim.X11-normal \
  --slave   %{_bindir}/rgvim    rgvim    %{_bindir}/vim.X11-normal

%triggerpostun X11 -- vim-X11 <= 6.2.532-0vl3
update-alternatives --remove vim %{_bindir}/vim.X11-normal

%preun X11
if [ "$1" = "0" ]
then
  update-alternatives --remove vi   %{_bindir}/vim.X11-normal
  update-alternatives --remove gvim %{_bindir}/vim.X11-normal
fi

%post X11-big
update-alternatives \
  --install /bin/vi       vi       %{_bindir}/vim.X11-big 40 \
  --slave   /bin/vim      vim      %{_bindir}/vim.X11-big \
  --slave   /bin/eview    eview    %{_bindir}/vim.X11-big \
  --slave   /bin/evim     evim     %{_bindir}/vim.X11-big \
  --slave   /bin/ex       ex       %{_bindir}/vim.X11-big \
  --slave   /bin/rview    rview    %{_bindir}/vim.X11-big \
  --slave   /bin/rvim     rvim     %{_bindir}/vim.X11-big \
  --slave   /bin/view     view     %{_bindir}/vim.X11-big \
  --slave   /bin/vimdiff  vimdiff  %{_bindir}/vim.X11-big
update-alternatives \
  --install %{_bindir}/gvim     gvim     %{_bindir}/vim.X11-big 40 \
  --slave   %{_bindir}/gview    gview    %{_bindir}/vim.X11-big \
  --slave   %{_bindir}/gvimdiff gvimdiff %{_bindir}/vim.X11-big \
  --slave   %{_bindir}/rgview   rgview   %{_bindir}/vim.X11-big \
  --slave   %{_bindir}/rgvim    rgvim    %{_bindir}/vim.X11-big

%triggerpostun X11-big -- vim-X11-big <= 6.2.532-0vl3
update-alternatives --remove vim %{_bindir}/vim.X11-big

%preun X11-big
if [ "$1" = "0" ]
then
  update-alternatives --remove vi   %{_bindir}/vim.X11-big
  update-alternatives --remove gvim %{_bindir}/vim.X11-big
fi

%post X11-huge
update-alternatives \
  --install /bin/vi       vi       %{_bindir}/vim.X11-huge 50 \
  --slave   /bin/vim      vim      %{_bindir}/vim.X11-huge \
  --slave   /bin/eview    eview    %{_bindir}/vim.X11-huge \
  --slave   /bin/evim     evim     %{_bindir}/vim.X11-huge \
  --slave   /bin/ex       ex       %{_bindir}/vim.X11-huge \
  --slave   /bin/rview    rview    %{_bindir}/vim.X11-huge \
  --slave   /bin/rvim     rvim     %{_bindir}/vim.X11-huge \
  --slave   /bin/view     view     %{_bindir}/vim.X11-huge \
  --slave   /bin/vimdiff  vimdiff  %{_bindir}/vim.X11-huge
update-alternatives \
  --install %{_bindir}/gvim     gvim     %{_bindir}/vim.X11-huge 50 \
  --slave   %{_bindir}/gview    gview    %{_bindir}/vim.X11-huge \
  --slave   %{_bindir}/gvimdiff gvimdiff %{_bindir}/vim.X11-huge \
  --slave   %{_bindir}/rgview   rgview   %{_bindir}/vim.X11-huge \
  --slave   %{_bindir}/rgvim    rgvim    %{_bindir}/vim.X11-huge

%triggerpostun X11-huge -- vim-X11-huge <= 6.2.532-0vl3
update-alternatives --remove vim %{_bindir}/vim.X11-huge

%preun X11-huge
if [ "$1" = "0" ]
then
  update-alternatives --remove vi   %{_bindir}/vim.X11-huge
  update-alternatives --remove gvim %{_bindir}/vim.X11-huge
fi

%post X11-common
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun X11-common
%{_bindir}/update-desktop-database %{_datadir}/applications >& /dev/null ||:

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/vim.normal

%files common
%defattr(-,root,root)
%doc README.txt
%doc README_extra.txt
%doc README_lang.txt
%doc README_unix.txt
%{vimrcloc}
%{_bindir}/vimtutor
%{_bindir}/xxd
%{_datadir}/vim

%files man
%defattr(-,root,root)
%{_mandir}/man1/eview.1*
%{_mandir}/man1/evim.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/rgview.1*
%{_mandir}/man1/rgvim.1*
%{_mandir}/man1/rview.1*
%{_mandir}/man1/rvim.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/vim.1*
%{_mandir}/man1/vimdiff.1*
%{_mandir}/man1/vimtutor.1*
%{_mandir}/man1/xxd.1*

%files X11-common
%defattr(-,root,root)
%config(missingok) %{_datadir}/applications/gvim.desktop
%{_datadir}/icons/hicolor/*/apps/gvim.png
%{_mandir}/man1/gview.1*
%{_mandir}/man1/gvim.1*
%{_mandir}/man1/gvimdiff.1*

%files tiny
%defattr(-,root,root)
%{binprefix}bin/vim.tiny
%{_sysconfdir}/vimrc.tiny

%files big
%defattr(-,root,root)
%{_bindir}/vim.big

%files huge
%defattr(-,root,root)
%{_bindir}/vim.huge

%files X11
%defattr(-,root,root)
%{_bindir}/vim.X11-normal

%files X11-big
%defattr(-,root,root)
%{_bindir}/vim.X11-big

%files X11-huge
%defattr(-,root,root)
%{_bindir}/vim.X11-huge

%changelog
* Thu Apr 07 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 7.3.154-1
- update to 7.3.154
  - update Patch001-154

* Tue Mar 29 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 7.2.446-5
- rebuild with perl-5.12.3

* Sun Jan 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.2.446-4
- add BuildRequires: libXt-devel

* Sun Jan 09 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 7.2.446-3
- update vimrc.ja (fixed http://bts.vinelinux.org/user.cgi?action=view_report&id=1067&project=VineLinux)

* Sun Sep 19 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.446-2
- do not BR: glibc-static on Vine 5.x

* Sun Sep 19 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.446-1
- update tp 7.2.446 (add Patch149-446)
- run update-alternatives on vim-huge post script
- drop Patch3004 (use %%{_datadir}/vim/vimrc)
- add vimrc.tiny for vim.tiny
- add BR: glibc-static to build vime-tiny

* Sat Mar 20 2010 Shu KONNO <owa@bg.wakwak.com> 7.2.148-2
- rebuilt with python-2.6

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.2.148-1
- new upstream release
- modified vimrc.ja to support utf-8 locale
- drop vim-{ruby,perl,python}

* Mon May 05 2008 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 6.4.10-1vl5
- rebuild with perl-5.10.0
- applied new versioning policy
- add "make installghelplinks"
- add BuildRequires: pixman-devel

* Wed Sep 05 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 6.4.10-0vl3
- [SECURITY] add helptags.patch (patch2000) renamed from 7.1.039
  - fix format string vulnerability in the helptags_one (CVE-2007-2953)

* Sat Jul 28 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4.10-0vl2
- changed man Group to Applications/Documentation

* Mon May 15 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4.10-0vl1
- new upstream patch version

* Tue Feb 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4.8-0vl2
- update patching script
  - exit if upstream patches not exist

* Mon Feb 27 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4.8-0vl1
- new upstream patch version

* Fri Nov 04 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4-0vl2
- add cssIdentifier.patch to avoid error

* Mon Oct 31 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.4-0vl1
- new upstream release
- drop tmpfile.patch
- import verifyenc.vim from KaoriYa.net ([vine-users:073279])
  - http://www.kaoriya.net/dist/vim-6.4-w32j.tar.bz2
- import checkhl.patch from FC 6.4.000-2

  * Tue Oct 25 2005 Karsten Hopp <karsten@redhat.de> 6.4.000-2
  - add syntax highlighting rule for %%check (Ralf Ertzinger, #165277)

* Mon Oct 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.90-0vl1
- new upstream patch version
- add numeric-keypad.patch (patch101)
  - Thanks, ISOBE Takeshi

* Sun Aug 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.86-0vl2
- [SECURITY] re-add patches, import tmpfile.patch from FC
  - oops, patches not added at 6.3.86-0vl1
  - overwrite or create arbitrary files via a symlink attack (CAN-2005-0069)

* Sat Jul 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.86-0vl1
- [SECURITY] new upstream patch version
  - modelines shell command execution vulnerability (CAN-2005-2368)
- add README_patches.txt

* Sun May 15 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.71-0vl1
- new upstream patch version
- update desktop file
  - import icons from FC
  - import gvim.desktop from FC and modify
  - move gvim.desktop to %%{_datadir}/applications
  - run update-desktop-database at X11-common's post/postun
- import specsyntax.patch from FC

* Wed Jan 26 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.58-0vl1
- new upstream patch version
- perl/huge/X11-huge
  - add Requires: %%(perl -le 'use Config; print $Config{archlibexp}')

* Tue Jan 11 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.53-0vl2
- rebuild with perl-5.8.6

* Mon Dec 27 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.53-0vl1
- [SECURITY] new upstream patch version
  - arbitrary command execution vulnerability (CAN-2004-1138)
- add URL
- fix common's Japanese description
  - remove package information about vim-X11-*
- add Provides: gvim (vim-X11-*)

* Fri Oct 29 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 6.3.31-0vl1
- new upstream patch version
- fix URLs (source1,2)

* Sun Jun 20 2004 Tomoya TAKA <taka@vinelinux.org> 6.3.6-0vl1
- new upstream release
- update configurations of alternatives
- vim-tiny contains /bin/vim.tiny only
- remove 'Requires: vim-common' from vim-man subpackage
- change order of fileencordings in vimrc.ja

* Wed May 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.2.532-0vl3
- use gtk2 instead of gtk+
- add Requires: gtk2 to vim-X11-common
- add BuildRequires: gtk2-devel

* Tue May 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 6.2.532-0vl2
- add --enable-multibyte to vim-tiny

* Sat May 15 2004 Tomoya TAKA <taka@vinelinux.org> 6.2.532-0vl1
- new upstream patch version

* Sat Mar 20 2004 Tomoya TAKA <taka@vinelinux.org> 6.2.382-0vl1
- new upstream version

* Mon Oct 06 2003 akira yamada <akira@vinelinux.org> 6.2.106-0vl1
- new upstream version
- bulid with ruby-1.8.0.

* Tue Jun 17 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 6.2.14-0vl1
- new upstream version

* Wed Jan 22 2003 Tomoya TAKA <taka@vinelinux.org> 6.1.300-0vl1
- new upstream patch version

* Wed Jan 22 2003 Tomoya TAKA <taka@vinelinux.org> 6.1.265-0vl1
- patch level 265, including fix of modeline vulnerability
  cf. http://www.guninski.com/vim1.html

* Wed Apr 03 2002 akira yamada <akira@vinelinux.org> 6.1.5-0vl1
- new upstream version.
- updated format.vim. (extracted from
  http://www.kaoriya.net/dist/gvim-6.1-w32j.tar.bz2.)
- clean uped vimrc, vimrc.ja, gvimrc, gvimrc.ja.

* Thu Jan 31 2002 Toru Sagami <sagami@vinelinux.org> 6.0.158-0vl1
- patch level 6.0.158

* Sun Nov 25 2001 akira yamada <akira@vinelinux.org> 6.0.93-0vl1
- new upstream patch version.
- added PreReqs: alternatives for vim, vim-tiny, vim-X11.

* Mon Nov 12 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl4
- added Japanese descriptions.
- English descriptions by shaolin.

* Wed Nov 07 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl3
- added triggerpostun for vim-minimal.

* Mon Nov 05 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl2
- patch #44, #54, #64 is now available.

* Mon Nov 05 2001 akira yamada <akira@vinelinux.org> 6.0.68-0vl1
- new upstream patch version.
- removed jcode2.vim and added new default vimrc.
- removed unused sources and patches.
- alternatives for /bin/vi.
- added net-tools to BuildRequires. (/bin/hostname)

* Wed Oct 31 2001 akira yamada <akira@vinelinux.org> 6.0.43-0vl1
- new upstream patch version.
- added vim-lang and vim-extra.
- added gawk to Requires of vim-common.
- added gtk+ to Requires of vim-X11-common.

* Wed Oct 17 2001 akira yamada <akira@vinelinux.org> 6.0.11-0vl2
- added autoconf and libtool to BuildRequires.

* Mon Oct 15 2001 akira yamada <akira@vinelinux.org> 6.0.11-0vl1
- vim and vim-X11 is no longer virturl package.
- obsoleted vim-normal and vim-X11-normal.
- added check "$1" = "0" for  preun scripts.

* Mon Oct 15 2001 akira yamada <akira@vinelinux.org> 6.0-0vl2
- linked staticly vim of vim-tiny.

* Sun Oct 14 2001 akira yamada <akira@vinelinux.org> 6.0-0vl1
- new upstream version.
- now, vim and vim-X11 is virtual package.
- new sub-packages vim-tiny, vim-normal, vim-big, vim-ruby, vim-perl,
  vim-python, vim-huge, vim-X11-normal, vim-X11-big and vim-X11-huge.
- obsoleted vim-minimal and vin-enhanced.

* Sat Sep 08 2001 Toru Sagami <sagami@vinelinux.org>
- 5.8-0vl4: rebuilt on current ncurses
- added format.vim and more useful comments in vimrc.ja

* Sat Aug 04 2001 <sagami@vinelinux.org>
- 5.8-0vl3: patch level 5.8.9
- dont pack duplicated runtime/syntax directory into %%doc

* Thu Jul 19 2001 <sagami@vinelinux.org>
- 5.8-0vl2: patch level 5.8.7
- Add postfix config syntax highlighting

* Fri Jun 08 2001 <sagami@vinelinux.org>
- vim-5.8-0vl1: patch level 5.8.002

* Fri Jun 01 2001 <sagami@vinelinux.org>
- vim-5.8-0vl0: vim-5.8 bug fix release

* Thu May 10 2001 <sagami@vinelinux.org>
- vim-5.7-0vl8: patch level 5.7.030
- use versioned sources, not older ones and patches
- sync with RH6.2 updates

* Wed Apr 18 2001 sagami@vinelinux.org
- jcode2.vim: fix back to original one
- patch level 5.7.028

* Mon Feb 05 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- patch level 5.7.024
- small fix for jcode2.vim
- split man package from common package to avoid conflict with jvim3

* Tue Dec 26 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- %%{makeinstall}
- acutally build against current ncurses5 without gpm with ncurses4

* Thu Dec 21 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- build against current ncurses5
- added CVS commit filetype detection to scripts.vim

* Wed Dec 06 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 5.7.19
- jcode.pl-2.13
- added License recognition to .spec syntax
- added RFC822 mail/ emacs-lips filetype detection to scripts.vim
- FHS stuff: _mandir

* Wed Jul 19 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- based on RH 5.6-14 ->  5.7 (patchlevel .2)
- manpath: /usr/share/man -> /usr/man/man :-)
- delete %%makeinstall macro for rpm-3.0.x
- gvim: --enable-multibyte, xim, fontset
- vim: --enable-multibyte
- jcode.pl-2.11 and jcode2.vim from Nozomu Kobayashi's rpm package
- vimrc: added bzip2 and Japanese stuff of a kind

* Sat Jun  3 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- patchlevel 74
- add %%makeinstall macro recognition to .spec file syntax highlighting rules
- fix up Makefiles

* Fri Apr 14 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- patchlevel 66
- fix compilation with perl 5.6.0

* Mon Mar 20 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- patchlevel 12

* Tue Mar 07 2000 Preston Brown <pbrown@redhat.com>
- fix home/end in vimrc (we did a term = rxvt, totally wrong)

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- change F1-F4 keybindings for xterm builtin terminfo to match real terminfo

* Thu Feb 17 2000 Bill Nottingham <notting@redhat.com>
- kill autoindent

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Sat Feb  5 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- Patchlevel 11
- handle compressed man pages
- fix man page symlinks

* Wed Feb  2 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on X in vim-enhanced, and ncurses/gpm
  in vim-minimal

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- eliminate dependencies on csh and perl in vim-common

* Wed Jan 19 2000 Bernhard Rosenrk舅zer <bero@redhat.com>
- Use awk, not nawk

* Tue Jan 18 2000 Bernhard Rosenrk舅zer <bero@redhat.com>
- 5.6
- patch 5.6.001
- remove /usr/bin/vi - if you want vim, type vim

* Tue Jan 11 2000 Bernhard Rosenkr舅zer <bero@redhat.com>
- 5.6a
- Remove dependency on nawk (introduced by base update)
- some tweaks to make updating easier

* Tue Nov  9 1999 Bernhard Rosenkr舅zer <bero@redhat.com>
- 5.5
- fix path to vimrc

* Tue Jul 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- moved from athena to gtk widgets for X version
- removed vim.1 from X11 filelist because X11 depends on vim-common anyway
- fixed rogue dependencies from sample files

* Tue Jul 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.4.

* Thu Jul 22 1999 Jeff Johnson <jbj@redhat.com>
- man page had buildroot pollution (#3629).

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- with recent termcap/terminfo fixes, regular vim works in xterm/console
- in color, so vim-color package removed.

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- removed "set backupdir=/tmp/vim_backup" from default vimrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Michael Maher <mike@redaht.com>
- built pacakge for 6.0

* Tue Sep 15 1998 Michael Maher <mike@redhat.com>
- removed '--with-tlib=termcap' so that color-vim works

* Wed Sep  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.3.

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- merge in Toshio's changes
- color-vim: changed "--disable-p" to "--disable-perlinterp --with-tlib=termcap"
- added minimal rvi/rview and man pages.
- move Obsoletes to same package as executable.

* Thu Aug 06 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>
- Break the package apart similar to the way the netscape package was
  broken down to handle navigator or communicator: The vim package is
  Obsolete, now there is vim-common with all the common files, and a
  package for each binary: vim-minimal (has /bin/vi compiled with no
  frills), vim-enhanced (has /usr/bin/vim with extra perl and python
  interpreters), and vim-X11 (has /usr/X11R6/bin/gvim compiled with
  GUI support.)
- Enable the perl and python interpreters in the gui version (gvim).

* Tue Jun 30 1998 Michael Maher <mike@redhat.com>
- Fixed tutor help.
- cvim package added.  Thanks to Stevie Wills for finding this one :-)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added patch to turn off the "vi compatibility" by default.  You can
  still get it via the -C command line option

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- removed perl and python interpreters (sorry, but those don't belong
  in a /bin/vi and having two vi's seemed like overkill...complain
  to suggest@redhat.com if you care)

* Fri Apr 17 1998 Donnie Barnes <djb@redhat.com>
- fixed buildroot bug

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- updated from 4.6 to 5.1
- moved to buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- fixed missing man page

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry to vim-X11

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- upgraded from 4.5 to 4.6

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.5
- Added ex symlinks

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added view symlink.
