Name: 		xfce4-clipman-plugin
Summary:        Clipboard manager plugin for the Xfce panel
Summary(ja):    Xfce パネル用クリップボード管理プラグイン
Version:        1.1.3
Release: 	2%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.1/%{name}-%{version}.tar.bz2

# https://bugzilla.redhat.com/show_bug.cgi?id=552892
# https://bugzilla.redhat.com/show_bug.cgi?id=552895
# fixed with a rebased version of
# http://git.xfce.org/panel-plugins/xfce4-clipman-plugin/commit/?id=d06e35ee62a0477adc84b5d7aeb29e348bb0b813
Patch0:         xfce4-clipman-plugin-1.1.3-fix-possible-NULL-values.patch
#
# build with 4.7.x exo
# http://bugzilla.xfce.org/show_bug.cgi?id=6853
#
Patch1:		xfce4-clipman-plugin-1.1.3-use-exo.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxfcegui4-devel >= 4.4.0
BuildRequires:  xfce4-panel-devel >= 4.4.0
BuildRequires:  libexo-devel >= 0.3.0 
BuildRequires:  libglade2-devel >= 2.6.0
BuildRequires:  xfconf-devel >= 4.6.0
BuildRequires:  unique-devel >= 1.0.0
BuildRequires:  gettext, intltool, desktop-file-utils
Requires:       xfce4-panel >= 4.4.0

%description
xfce4-clipman is a clipboard history plugin for the Xfce4 panel.

%description -l ja
xfce4-clipman は Xfce パネル用のクリップボード履歴管理プラグインです．

%prep
%setup -q
%patch0 -p1 -b .null-value
%if %{?_dist_release} != "vl5"
%patch1 -p1 -b .exo-build
%endif

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install-strip

%find_lang %{name}

desktop-file-install                                      \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
  --add-category=X-Xfce                                   \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install                                      \
  --dir ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart     \
  --add-category=X-Xfce                                   \
  --delete-original                                       \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libexecdir}/xfce4/panel-plugins/%{name}
%config %{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_bindir}/xfce4-clipman
%{_bindir}/xfce4-clipman-settings
%{_bindir}/xfce4-popup-clipman
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/xfce4/doc/*/images/clipman-*.png
%{_datadir}/xfce4/doc/*/%{name}.html
%{_datadir}/xfce4/panel-plugins/%{name}.desktop

%changelog
* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.3-2
- do not apply Patch1 on Vine Linux 5

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.3-1
- updated to 1.1.3
- added Patch1 from Fedora for building with new libexo
- added BR: unique-devel

* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.8.0-2vl5
- applied new versioning policy, spec in utf-8

* Sun Oct 14 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.8.0-1vl2
- upstream release
- remove unnecessary Requires and Packager macro
- whole rewrite %%files section

* Sun Jan 23 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl3
- rebuild with XFce 4.2.0 packages
- changed required version number of xfce4-panel

* Fri Oct 22 2004 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl2
- rebuild for VineSeed

* Thu Oct 21 2004 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.1-1vl1
- initial build for Vine Linux
- spec file from http://download.berlios.de/xfce-goodies/xfce4-clipman-plugin-0.4.0-1suse82.src.rpm
- change Packager
- change spec file name
- fix URL, License
- add BuildRequires: libxfcegui4-devel, gtk2-devel, libxfce4util-devel,
  zlib-devel, libxml2-devel, XOrg-devel, atk-devel, glibs-devel, pango-devel
- add Requires: XOrg-libs, atk, gtk2, glib2, pango, libxfcegui4, libxfce4util,
  libxml2, zlib
