Name:		xfce4-xkb-plugin
Summary:	XKB layout switcher for the Xfce panel
Summary(ja):	Xfce パネル用 XKB レイアウト変更器
Version:	0.5.3.3
Release:	7%{?_dist_release}

Group:		User Interface/Desktops
License:	BSD
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		xfce4-xkb-plugin-0.5.2-xklavier-api.patch
Patch1:		xfce4-xkb-plugin-0.5.3.3-libxklavier5.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=525471
# fix at http://bugzilla.xfce.org/show_bug.cgi?id=6122#c1
Patch2:		xfce4-xkb-plugin-0.5.3.3-fix-various-segfaults.patch
Patch3:		xfce4-xkb-plugin-0.5.3.3-fix-segfault-in-kb-selector.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  librsvg2-devel >= 2.18
BuildRequires:  libwnck-devel >= 2.12
BuildRequires:  libxfcegui4-devel >= 4.3.90.2
BuildRequires:	libxklavier-devel >= 3.2
BuildRequires:  libxml2-devel
BuildRequires:	xfce4-panel-devel >= 4.3.20
BuildRequires:	gettext, intltool
Requires:	xfce4-panel >= 4.4.0

%description
Xfce XKB layout switch plugin for the Xfce panel. It displays the current 
keyboard layout, and refreshes when layout changes. The layout can be 
switched by simply clicking on the plugin. For now the keyboard layouts 
cannot be configured from the plugin itself, they should be set in the 
XF86Config file or some other way (e.g. setxkbmap).

%prep
%setup -q
%patch2 -p1 -b .orig
%patch3 -p1 -b .segfault-in-kb-selector
# Vine Linux 6 will have libxklavier 5.1
%if %{?_dist_release} != "vl5"
%patch0 -p1 -b .xklavier4
%patch1 -p1 -b .xklavier5
%endif

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%dir %{_datadir}/xfce4/xkb/
%dir %{_datadir}/xfce4/xkb/flags
%{_datadir}/xfce4/xkb/flags/*.svg

%changelog
* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5.3.3-7
- initial build for Vine Linux

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Kevin Fenzi <kevin@tummy.com> - 0.5.3.3-5
- Rebuild for Xfce 4.8

* Fri Nov 25 2010 François Cami <fcami@fedoraproject.org> - 0.5.3.3-4
- Fix segfault when adding a second keymap. Thanks to Lionel Le Folgoc (#597207)

* Fri Feb 12 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.3.3-3
- Fix various segfaults. Thanks to Lionel Le Folgoc (#525471, #547553)

* Mon Jan 25 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.3.3-2
- Add patch for libxklavier 5.0. Thanks to Caolan McNamara (#558083)

* Sun Aug 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.3.3-1
- Update to 0.5.3.3 (#502878)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 07 2009 Adam Jackson <ajax@redhat.com> 0.5.2-4
- xxp-0.5.2-xklavier-api.patch: Fix for new libxklavier API.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.2-2
- Rebuild for Xfce 4.6 (Beta 3)

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2

* Thu Oct 02 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Mon Jul 07 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.3-5
- fix conditional comparison

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.3-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-3
- Rebuild for BuildID feature

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-2
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3 on Xfce 4.4.

* Sat Dec 09 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2.

* Fri Dec 01 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1 on Xfce 4.3.99.2.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-0.2.20060923svn
- Bump release for devel checkin.

* Sat Sep 23 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.0-0.1.20060923svn
- Update to svn snapshot of Sep 23rd 2006 on Xfce 4.3.99.1.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-3
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.5-2
- Require xfce4-panel.

* Fri Mar 31 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.5-1
- Update to 0.3.5.

* Fri Mar 17 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.4-1
- Update to 0.3.4.

* Fri Mar 10 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.3-1
- Update to 0.3.3.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-6
- Rebuild for Fedora Extras 5. 

* Fri Dec 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-5
- Changes for modular X: Add libXext-devel and libXpm-devel BuildReqs.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-1.fc3.cw
- Initial RPM release.
