Name: 		xfwm4
Summary: 	Next generation window manager for XFce
Summary(ja): 	XFce のための次世代ウィンドウマネージャ
Version: 	4.8.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2
URL: 		http://www.xfce.org/

Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	chrpath
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	gettext
BuildRequires:	gtk2-devel >= 2.14.0
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libSM-devel
BuildRequires:	libwnck-devel >= 2.22
BuildRequires:	libxfce4ui-devel >= 4.8.0
BuildRequires:	libxfce4util-devel >= 4.8.0
BuildRequires:	libxfcegui4-devel >= 4.8.0
BuildRequires:	libXrandr-devel
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	xfconf-devel >= 4.8.0
Requires:	xfconf
Requires(post): gtk2
Requires(postun): gtk2

%description
xfwm4 is a window manager compatable with GNOME, GNOME2, KDE2, KDE3 and Xfce.

%prep
%setup -q

%build
%configure --enable-silent-rules
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' mandir=%{_mandir}

chrpath --delete $RPM_BUILD_ROOT%{_libdir}/xfce4/xfwm4/helper-dialog

rm -rf _docs_to_include
mkdir -p _docs_to_include
mv $RPM_BUILD_ROOT%{_docdir}/xfwm4/html _docs_to_include 

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans 
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun 
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc example.gtkrc-2.0 README INSTALL TODO COPYING AUTHORS COMPOSITOR
%doc _docs_to_include/html
%{_bindir}/*
%{_libdir}/xfce4/xfwm4/helper-dialog
%{_datadir}/applications
%{_datadir}/icons/hicolor/*
%{_datadir}/themes
%{_datadir}/xfwm4

%changelog
* Mon Mar 28 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.0-1
- new upstream release
- added %%post, %%posttrans and %%postun section

* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.2-1
- new upstream release
- built with new toolchain

* Fri May 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- updated BR

* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-1vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3.2-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Tue Jan 13 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3.1-0vl1
- new upstream release

* Fri Jan 09 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Wed Jan 07 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release

